# Generated by Makefile.  Do not edit.

commit baf0baf0901ae4269a62ef421f07ad677d84d1ff
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2017-09-27 13:55:21 +0100

    AUTHORS: Add Joseph Timothy Foley and Spencer E. Olson
    
    Various fixes and improvements to SWIG and Python support, and the
    comedi.h header file.

AUTHORS

commit 1b988961a229dd768f14c69f9658ee687c473cb8
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2017-09-20 16:26:36 +0100

    demo/gpct_pulse_generator: Fix some error checking
    
    Store the comedi_data_write() return values for channel 1 and 2 in the
    'retval' variable, so that the following 'if(retval < 0) return retval;'
    is meaningful.  This also avoids a compiler warning: "Identical
    condition 'retval<0', second condition is always false".
    
    Thanks to David Binderman for the bug report.

demo/gpct_pulse_generator.c

commit 44c031d0f2e6e65a99fb020207a65fc1890ea0cc
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2017-05-11 12:12:37 +0100

    doc/drivers.txt: Rebuilt from Comedi sources
    
    Rebuilt from the "out-of-tree" Comedi kernel module sources.  The
    adv_pci1710 driver gains support for Advantech PCI-1716.

doc/drivers.txt

commit 6e08ff2ff222a343f13d980fc254fbf5192f1836
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2017-05-02 17:09:31 +0100

    configure.ac: Enable "maintainer-mode" by default
    
    Change 'AM_MAINTAINER_MODE' to 'AM_MAINTAINER_MODE([enable])' in
    "configure.ac" so there is no need to pass the
    '--enable-maintainer-mode' option to './configure'.  If you really want
    to disable "maintainer-mode", the '--disable-maintainer-mode' option can
    be used.

configure.ac

commit 05bdfb7cfab727fc8b0cba6fd870259472eb45fc
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2017-04-27 16:35:31 +0100

    doc/drivers.txt: Rebuilt from Comedi sources
    
    Note: This is built from the "out-of-tree" Comedi kernel module sources,
    not the Linux "staging" Comedi kernel sources.

doc/drivers.txt

commit e14ce3bc9c90abe7fd0cfc554ae2c55c874c2054
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2017-04-21 16:56:24 +0100

    man: update comedi(7)

man/comedi.7

commit 43806f72fc7c0c114879b41e189947b5977c85d0
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2017-04-21 16:35:31 +0100

    comedi_config: Various changes to man page

man/comedi_config.8

commit 7d4414c7a3b9438baa3417bbe1430394e3182b9b
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2017-04-21 14:23:09 +0100

    comedi_config: Bump version to 0.11.0

comedi_config/comedi_config.c
man/comedi_config.8

commit 351958b1195e2bb4caf2db551065bb530c42834d
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2017-04-21 14:15:32 +0100

    comedi_config: Add --subdevice-buffer option
    
    Add option --subdevice-buffer to allow buffer sizes for arbitrary
    subdevices (that have asynchronous command support) to be configured.
    This complements the --read-buffer and --write-buffer options.
    
    The required argument is a comma-separated list alternating between
    subdevice number and buffer size, and should end with a buffer size.
    The option and its argument may be specified multiple times.

comedi_config/comedi_config.c
man/comedi_config.8

commit 3f8514739a2d799d2e6dbb6cd43a7f6bb624a319
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2017-04-10 19:02:55 +0100

    lib/calib.c: Include <sys/sysmacros.h> for fstat()
    
    Relying on <sys/types.h> to define major(), minor() and makedev() is
    deprecated, so include <sys/sysmacros.h> to define them.
    
    Als include <sys/types.h> and <unistd.h> as the Linux man page for
    fstat() has them in the synopsys.

lib/calib.c

commit 99958da64f78471b300a7af4015ea3a930e845ef
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2017-04-10 14:14:29 +0100

    swig/python: Removed test_comedi.py
    
    It was untested, and never worked.  It would be better to replace it
    with some small demo programs, similar to the C language demo programs.

swig/python/Makefile.am
swig/python/test_comedi.py

commit 6a73a96cbfbafda6e6dc35f935cd189f4057a2da
Author: Joseph Timothy Foley <foley@ru.is>
Date:   2017-03-13 23:42:36 +0000

    swig/comedi.i: Fixed the "break backwards compatibility"
    
    The lines:
    
    %rename("%(strip:[COMEDI_])s", regextarget=1) "COMEDI_.*";
    %rename("%(strip:[comedi_])s", regextarget=1) "comedi_.*";
    
    caused errors on import due to _comedi function names not matching at
    import time.  Stripping names is now completely done in the globals()
    modification at the end, which works properly.
    
    to indicate if the old names should be stripped or not.  This makes the
    intent very clear in the generated comedi.py file.
    
    [Reformatted commit message -- Ian Abbott]

swig/comedi.i

commit f28772a982251ff9282baad9e385556051a7c001
Author: Joseph Timothy Foley <foley@ru.is>
Date:   2017-03-12 21:47:52 +0000

    Ignore __pycache__ created during python SWIG testing.

.gitignore

commit 492c6915762c1d1cf519bbf1d340e3a25d93e2b0
Author: Joseph Timothy Foley <foley@ru.is>
Date:   2017-03-12 21:07:31 +0000

    swig/comedi.i: Fix a Python 3 incompatibility
    
    Fixed Python3 incompatibility created by trying to modify module
    globals() in iterator.  Also simplified breaking backwards compatibility
    switch as #define SWIGPYTHONONLYSHORT
    
    [Reformatted commit message -- Ian Abbott]

swig/comedi.i

commit 1e7fd436c9e676c13c450e820b30a83c39e389fb
Author: Joseph Timothy Foley <foley@ru.is>
Date:   2017-03-12 21:06:24 +0000

    Ignore any python compiled files in SWIG directory: *.pyc

.gitignore

commit 5a5a46b4eec5c8112d1b54406287f9cf7368cda7
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-11-08 18:14:20 +0000

    Add .gitignore file

.gitignore

commit fa9c5d14c9fae536870dd658d1e3bbfc21dfd9b5
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-11-08 14:57:16 +0000

    demo/mmap: limit options.n_chan to 256
    
    Set new macro N_CHANS to 256 - the length of the chanlist[] array.
    
    If the '-n' option sets options.n_chan higher than N_CHANS, reduce it to
    avoid overrunning the chanlist[] array.

demo/mmap.c

commit 235338eb7e7333461ae69a84ef73b50862725456
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-11-08 14:52:44 +0000

    demo/cmd: limit options.n_chan to N_CHANS
    
    If the '-n' option sets options.n_chan to something higher than N_CHANS
    (256), reduce it to avoid overrunning the chanlist[] array.

demo/cmd.c

commit facb713cd82cfd5f4a39d9b1334c2b0f1c834e88
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-11-08 14:29:58 +0000

    demo/mmap: check subdevice exists and supports 'read' commands
    
    Check the subdevice actually exists and that it claims to support 'read'
    commands (SDF_CMD_READ subdevice flag set), bailing out early if not.

demo/mmap.c

commit ad70295bb4eab9a76f5e0a47ba9288934829b115
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-11-08 14:25:43 +0000

    demo/mmap: use comedi_get_cmd_generic_timed()
    
    Use local function prepare_cmd_lib() -- which uses
    comedi_get_cmd_generic_timed() -- to prepare a good command for the
    device.  Bail out early if it fails.

demo/mmap.c

commit 1e8ca17ba9ce239f6aaef23896940dd03ff8452c
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-11-08 14:20:49 +0000

    demo/mmap: default to 'read' subdevice instead of subdevice 0
    
    If the '-s' option has not been specified, default to using the current
    'read' subdevice if there is one instead of defaulting to subdevice 0.
    Fall back to using subdevice 0 if there is no 'read' subdevice.

demo/mmap.c

commit c2cf7c80183478d574f9d1be4a04c7fbf3943502
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-11-08 14:15:35 +0000

    demo/cmd: check subdevice exists and supports 'read' commands
    
    Check the subdevice actually exists and that it claims to support 'read'
    commands (SDF_CMD_READ subdevice flag set), bailing out early if not.

demo/cmd.c

commit b7cb7f23313c7262baa89d920f2a1bc177412fb4
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-11-08 13:48:56 +0000

    demo/cmd: bail out if fail to prepare command
    
    Check return value of prepare_cmd_lib() and exit if less than 0.
    
    Also change prepare_cmd_lib() to write its error message to stderr
    instead of stdout.

demo/cmd.c

commit 4329a08403bc7b941271059c80d6dba01e85a02c
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-11-08 13:24:02 +0000

    demo/cmd: default to the 'read' subdevice instead of subdevice 0
    
    If the '-s' option has not been specified, default to using the current
    'read' subdevice if there is one instead of defaulting to subdevice 0.
    Fall back to using subdevice 0 if there is no 'read' subdevice.

demo/cmd.c

commit 9cf2bba2e032541faadeaac88e8e7201ea203d60
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-09-19 15:26:44 +0100

    README: Git repository migrated to github.com
    
    Updated documented URL of git repository, and provided instructions for
    updating the URL of previously cloned repositories.
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

README

commit a2573fff8f693a13b068f4da9aeb15c9da00a8fe
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-07-07 11:23:37 +0100

    doc/drivers.txt: Rebuilt from Comedi - capitalize ADLINK consistently
    
    Use updated drivers.txt from the comedi.org Comedi package.  The
    documentation for the ADLINK drivers has been updated to capitalize
    ADLINK in a consistent manner.

doc/drivers.txt

commit f6c1318c6cfc7fa7a1d6c8069caf1cafd0288706
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-07-07 10:58:55 +0100

    doc/drivers.txt: Rebuilt from comedi
    
    Rebuilt "doc/drivers.txt" using "make Documentation/comedi/drivers.txt"
    in the Comedi package, which scans the driver sources for documentation.
    
    Note: this is built from the comedi.org Comedi sources, not the Linux
    "staging" Comedi sources.

doc/drivers.txt

commit c45f319171f4828b8f2c691c64d2b0d20a5bf5d0
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-06-20 11:29:14 +0100

    comedi_test: deal with INSN_GTOD values more carefully
    
    Try and avoid arithmetic overflow when converting the difference between
    two INSN_GTOD timestamps to a signed number of microseconds.

testing/insn_read_time.c

commit a4dd004076959881b6e3cd7e7233db52d2eec24c
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-06-20 11:09:55 +0100

    demo/insn: report start and end time as unsigned values
    
    Report the seconds and microseconds values from the INSN_GTOD
    instructions as unsigned values to postpone the Y2038 problem to a Y2106
    problem.  Be a bit more careful with the conversion to a signed
    difference.  We wouldn't normally expect time to go backwards, but it is
    possible if the system time is set to to an older time between the
    instructions.
    
    Also, in the description of INSN_GTOD in the Comedilib manual,
    explicitly mention that the seconds and microseconds values are
    unsigned.

demo/insn.c
doc/reference.xml

commit e0ee6039eb77c5aa8319d3238ddb6ec095798a7f
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-06-10 10:42:37 +0100

    c++: Add a lot of missing wrapper functions to comedilib.hpp
    
    Add missing C++ wrappers for most comedilib functions.  Also make some
    of the existing wrappers 'const' where if that appears to have been
    omitted.

c++/include/comedilib.hpp

commit 70d6a02dd9d7689d65398dd2404a6495c5d6f176
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-06-09 15:04:28 +0100

    lib: dio: set internal error for incompatible subdevice type
    
    comedi_dio_get_config(), comedi_dio_read(), comedi_dio_write(),
    comedi_dio_bitfield2() (and comedi_dio_bitfield()) return -1 if the
    subdevice type is unsuitable, but do not set an internal comedi error
    code in that case.  Change them to do so.
    
    Also, don't bother checking if instruction list ioctl is supported in
    comedi_get_dio_config(), as it doesn't use it.

lib/dio.c

commit 2fb6289b1cb66eb85aa93829ebe72ff87a2ef293
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-05-16 11:24:07 +0100

    comedi.h: replace bare 'unsigned' with 'unsigned int'

include/comedi.h

commit 7958fec6c524ff2bf0af323652ce0c5605db5be3
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-05-13 18:14:57 +0100

    doc: Makefile.am: rebuild manual when tutorial program source changes

doc/Makefile.am

commit 63735881209686102db2003f843a78926ef7faca
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-05-13 17:55:39 +0100

    doc: include the full tut3.c program listing
    
    Include the full tut3.c program listing in the document as it's not much
    bigger than tut3_part.c and it's a pain maintaining both of them.

demo/tut3_part.c
doc/tutorial.xml

commit 59c563fea6d55dd87fb782b93f110d48254f90f9
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-05-13 17:45:15 +0100

    demo: reformat the tutorial examples a bit

demo/tut1.c
demo/tut2.c
demo/tut3.c

commit 80d809282c7fce40ae144a9dd91247e024d30cd4
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-05-13 17:19:10 +0100

    demo: update demo programs to set read or write subdevice
    
    Attempt to make the streaming command demos work if the specified
    subdevice is not the default 'read' or 'write' subdevice (depending on
    the direction of the command).
    
    This uses the new comedi_set_read_subdevice() and
    comedi_set_write_subdevice() functions.
    
    Changing the read or write subdevice is currently supported only by the
    Linux "in-tree" version of Comedi since kernel version 3.19.

demo/ao_mmap.c
demo/ao_waveform.c
demo/cmd.c
demo/do_waveform.c
demo/gpct_buffered_counting.c
demo/ledclock.c
demo/mmap.c
demo/poll.c
demo/receiver.c
demo/select.c
demo/sigio.c
demo/tut3.c
demo/tut3_part.c

commit 7a8b838e6682ee798e7b0979bf0ea545b3def7e5
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-05-13 16:42:14 +0100

    demo: poll: fix polling of wrong subdevice
    
    The call to comedi_poll() always sets the subdevice parameter to 0.  Set
    it to the subdevice that the streaming command is using.

demo/poll.c

commit 8c31fb88c1069fa72f8fa77de9cffc4adf9c2b0b
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-05-13 16:07:03 +0100

    lib: don't change read or write subdevice unnecessarily
    
    Change comedi_set_read_subdevice() and comedi_set_write_subdevice() to
    do nothing if the requested subdevice is already set as the current read
    or write subdevice, respectively.
    
    The functions now return success even if the Comedi drivers do not
    support changes to the read or write subdevice as long as the specified
    subdevice is the default one.

doc/command_funcref.txt
lib/comedi.c

commit aff4937e03f40813215e54945a4ba6a64f755406
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-05-13 15:14:47 +0100

    Added some more buffer position functions for use with mmap
    
    Added comedi_get_buffer_read_offset(), comedi_get_buffer_write_offset(),
    comedi_get_buffer_read_count(), and comedi_get_buffer_write_count().
    
    comedi_get_buffer_read_offset() is the same as
    comedi_get_buffer_offset(), which has now been documented as deprecated,
    but is currently still declared in "comedilib.h" by default.  It gets
    the read position within the buffer as an offset from the start of the
    buffer (modulo the buffer size).
    
    comedi_get_buffer_write_offset() gets the write position within the
    buffer as an offset from the start of the buffer (modulo the buffer
    size).
    
    comedi_get_buffer_read_count() gets the number of bytes read from the
    buffer, modulo UINT_MAX+1.
    
    comedi_get_buffer_write_count() gets the number of bytes written to the
    buffer, modulo UINT_MAX+1.

doc/command_funcref.txt
doc/deprecated_funcref.txt
include/comedilib.h
lib/buffer.c
lib/version_script
swig/ruby/lib/comedi.rb

commit fad46b9b16154e40b1ba4674d5baacef3163dab5
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-05-13 14:30:19 +0100

    doc: tweak some of the documentation for streaming acquisition functions

doc/command_funcref.txt

commit 22caa42aee4618f247d1e29325677e3627dddca2
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-05-13 14:19:58 +0100

    doc: command_funcref.txt: fix DocBook tag
    
    Change '<em>' to '<emphasis>'.

doc/command_funcref.txt

commit 67a364cf93872cca93f39268f61c6df8d5141532
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-05-13 11:48:31 +0100

    comedi_test: attempt to change read and write subdevice during test
    
    When testing streaming input (or streaming output) command functionality
    for a subdevice, attempt to make it the current 'read' (or 'write')
    subdevice by calling the new 'comedi_set_read_subdevice()' (or
    'comedi_set_write_subdevice()') function.
    
    That is currently only supported by the Linux "in-tree" version of
    Comedi, since kernel version 3.19.  If the attempt fails, and the
    subdevice is not the current 'read' (or 'write') subdevice, the test
    will report "not applicable" as before.

testing/cmd_1.c
testing/cmd_2.c
testing/cmd_3.c
testing/inttrig.c
testing/mmap.c
testing/select.c

commit ae03f3932e6f03a1ed9e65e8698754aece20f8e5
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-05-12 19:35:40 +0100

    swig/ruby: update bindings
    
    Add methods for several Comedilib functions that are currently absent
    from the Ruby bindings.
    
    Rename the comedi_to_physical, comedi_from_physical, and
    cleanup_calibration_file methods to to_physical, from_physical, and
    cleanup_calibration, either for consistency (comedi_to_physical and
    comedi_from_physical) or because they are wrong
    (cleanup_cleanup_calibration_file).
    
    TODO: Add a binding for comedi_get_clock_source() as well, but I'm not
    sure how to handle multiple output parameters.

swig/ruby/lib/comedi.rb

commit 5762a1dd60c6a9ecdb59588cb9cfc3a5f44e9473
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-05-12 19:08:31 +0100

    doc: corrected link content comedi_cleanup_calibration_file
    
    'comedi_cleanup_calibrate_calibration_file' should be
    'comedi_cleanup_calibration'.

doc/calibration_funcref.txt

commit 43a3ae9a27e2b02e75b6f8f97b49421ff7067e10
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-05-12 18:52:35 +0100

    comedilib.h: Don't mark 'data' parameter of comedi_data_read_n for SWIG
    
    The 'data' parameter (of type lsampl_t*) for
    comedi_data_read_n(it,subd,chan,range,aref,data,n) is currently marked
    as an OUTPUT parameter for SWIG, but we can only do that for single
    objects, and this one points to an array of objects.

include/comedilib.h

commit aec40a79aabd484cd6bf6699bd0b33a1584c6596
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-05-12 18:18:08 +0100

    doc: refer to device file descriptors rather than device files

doc/command_funcref.txt

commit 66070c6af617d55b7054f6b4f660dd7830c08b8b
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-05-12 18:00:28 +0100

    Add comedi_set_read_subdevice() and comedi_set_write_subdevice()
    
    These functions allow the current read or write subdevice to be changed
    to another subdevice that supports streaming input (for read), or
    streaming output (for write) asynchronous commands.
    
    They return 0 on success, in which case the comedi_get_read_subdevice()
    or comedi_get_write_subdevice() functions will get the updated read or
    write subdevice.
    
    Changes are local to the "open file description" that was created by
    comedi_open() (actually, by open()), and have no effect on other open
    file descriptions created by other calls to comedi_open() (or open())
    for the same underlying Comedi device node.
    
    Changes to the read or write subdevice is not currently supported by the
    comedi.org version of the Comedi drivers, but is supported by the Linux
    "in-tree" Comedi drivers since kernel version 3.19.

doc/command_funcref.txt
include/comedilib.h
lib/comedi.c
lib/version_script

commit 6458b08e5655dd6f3c89c83a4ef1e3d4f665733f
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-05-12 16:12:43 +0100

    lib: remove some unnecessary setting of __comedi_errno
    
    Since comedi_ioctl() calls libc_error() to set __comedi_errno to errno
    (and possibly print an error message), there is no need for callers of
    comedi_ioctl() to set __comedi_errno immediately afterwards.  But
    comedi_command(), comedi_command_test(), and comedi_do_insnlist()
    currently do that.  Remove the unneeded setting of __comedi_errno in
    those functions.
    
    Also, comedi_command() and comedi_command_test() check __comedi_errno
    regardless of whether comedi_ioctl() returnis an error, and possibly
    modify the error code to an internal comedi error.  Change them to only
    do that if comedi_ioctl() returns an error, because __comedi_errno might
    contain a stale value.

lib/comedi.c

commit 27509ba9c91dbbf5a51d4b7f3dc25b7f826b6f08
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-03-10 15:11:16 +0000

    Add digital trigger configuration functions
    
    Add wrapper functions for the INSN_CONFIG_DIGITAL_TRIG configuration
    instruction.  These are comedi_digital_trigger_disable(),
    comedi_digital_trigger_enable_edges(), and
    comedi_digital_trigger_enable_levels().

doc/extensions_funcref.txt
include/comedilib.h
lib/insn_config_wrappers.c
lib/version_script

commit c85d380b9361ce02f28efd8786c07316b4d278b5
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-03-10 12:25:21 +0000

    comedilib.h: fix a typo in a comment

include/comedilib.h

commit ac2ce445204e465d3e74f4dfd792d1af86c1dc5c
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-03-10 11:20:18 +0000

    Add channel-specific arm, disarm, and reset wrappers.
    
    The comedi_arm(), comedi_disarm(), and comedi_reset() functions always
    set the channel number in the corresponding configuration instructions
    to 0, as they assume the channel number will be ignored by the driver.
    Some drivers do in fact use the channel number in these configuration
    instructions.  Add additional wrapper functions comedi_arm_channel(),
    comedi_disarm_channel(), and comedi_reset_channel() to allow the channel
    number to be specified.

doc/extensions_funcref.txt
include/comedilib.h
lib/insn_config_wrappers.c
lib/version_script

commit 2062d615ff65b3311af8de2cc188d771fe81314b
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-03-10 11:20:18 +0000

    Add comedi_disarm() and bump to 0.11.0
    
    Add the comedi_disarm() function to send the INSN_CONFIG_DISARM
    configuration instruction to a subdevice.
    
    In configure.ac, bump the comedilib libtool version code to 11:0:11, so
    the comedilib version becomes 0.11.0.  Also bump the comedilib manual
    version to 0.11.0 in doc/comedilib.ent.

configure.ac
doc/comedilib.ent
doc/extensions_funcref.txt
include/comedilib.h
lib/insn_config_wrappers.c
lib/version_script

commit 0378db73991bf4fed2b6def84b877d445c54d47e
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-03-21 11:27:40 +0000

    comedi.h: adjust header comment
    
    Don't mention where the header gets installed.

include/comedi.h

commit 8b01d77b80c28f3d631b877cd9b623008628ef2c
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-03-21 11:08:06 +0000

    comedi.h: Add note that the "aux data" config options are still used
    
    The COMEDI_DEVCONF_AUX_DATA3_LENGTH, COMEDI_DEVCONF_AUX_DATA2_LENGTH,
    COMEDI_DEVCONF_AUX_DATA1_LENGTH, COMEDI_DEVCONF_AUX_DATA0_LENGTH,
    COMEDI_DEVCONF_AUX_DATA_HI, COMEDI_DEVCONF_AUX_DATA_LO, and
    COMEDI_DEVCONF_AUX_DATA_LENGTH config option indices are still used by
    the standalone COMEDI kernel modules built from comedi.org sources for
    loading firmware in some driver modules, although they are no longer
    used by the COMEDI kernel modules in the Linux kernel sources.  Adjust
    the comment to reflect this.

include/comedi.h

commit ef4c4e2e08baa180aa11bd7e58ff83a65756acc7
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-03-21 10:35:16 +0000

    Avoid using BIT(x) macro
    
    The BIT(x) macro is used by some internal kernel headers and is not
    used in user API kernel headers.  It was used incorrectly in the
    "staging" kernel version of "comedi.h" in the "linux-next" tree for a
    brief period.
    
    Replace the use of BIT(x) with explicit masks.  Handle CR_INVERT
    specially in SWIG to avoid it appearing as a negative integer.
    _CR_FLAGS_MASK was defined twice, identically, in SWIG, so remove one of
    the definitions.

include/comedi.h
swig/comedi.i

commit 32cb61fe90647f1ea70159b0d8ab12eda4cd9d20
Author: Spencer E. Olson <olsonse@umich.edu>
Date:   2016-03-19 22:53:39 -0600

    Reimplement 371dcc56e6f7(strip comedi_/COMEDI prefix)
    
    This patch reimplements 371dcc56e6f7 where the comedi_/COMEDI_ prefix was
    removed.  Just like that patch, this patch also allows for all old names
    to resolve properly.  Differently than that patch, this patch simply adds
    new items in the modules dictionary with the comedi_/COMEDI_ prefix
    removed.  Benefits of this approach:
    
    1) Do not have to create a fake module.
    2) Tab completion works well in ipython/python since the module is left
       intact.
    3) Adding new items without the comedi_/COMEDI_ prefix happens only once at
       module load time, instead of every time an item is requested from the
       module.

swig/comedi.i

commit b9821b9d8c9f9ea40604daaef9b3fab719a1c496
Author: Spencer E. Olson <olsonse@umich.edu>
Date:   2016-03-18 12:26:52 -0600

    Sync removal of obsolete/useless items in comedi.h
    
    This patch removes COMEDI_CB_* macros that are of no use to userspace at
    any rate.  COMEDI_CB_* are no longer in comedi.h in the staging tree, but
    rather in comedidev.h.
    
    This patch also removes an old commented-out INSN_CONFIG_GET_OTHER_SRC, the
    value of which was already taken long ago by
    INSN_CONFIG_GET_HARDWARE_BUFFER_SIZE.

include/comedi.h

commit 5d36757aa60769fa5fe25f16d4e908799f631e12
Author: Spencer E. Olson <olsonse@umich.edu>
Date:   2016-03-18 12:19:22 -0600

    Move old items of comedi.h into new "deprecated" section
    
    This allows the body of comedi to maintain visual sync to that of the
    staging tree.

include/comedi.h

commit 5cb320d559dab00f54520509ca76d97edbb4b696
Author: Spencer E. Olson <olsonse@umich.edu>
Date:   2016-03-18 12:09:04 -0600

    Use BIT(x) macro for better sync to staging comedi.h
    
    This patch defines a copy of the kernel BIT(x) macro and syncs the use of
    BIT(x) between the staging tree and comedilib versions of comedi.h

include/comedi.h

commit 0bb9805c829a0ae54f10f50d916ca742450b14e7
Author: Spencer E. Olson <olsonse@umich.edu>
Date:   2016-03-18 12:05:17 -0600

    Inherit documentation from staging comedi.h
    
    This partial sync of staging tree to the comedilib version of comedi.h
    brings documentation and some mild formatting.  The documentation should be
    beneficial to userspace and the sync helps to visually maintain future
    syncing between kernel and userspace code.

include/comedi.h

commit 823bf1e39876d58fdbd7f4938f67adb1cb7f82ef
Author: Spencer E. Olson <olsonse@umich.edu>
Date:   2016-03-18 10:09:27 -0600

    Teach SWIG to properly handle some unsigned consts for python
    
    This revisits the change made in da0fe745fcb9:
    1)  Changes c-macro constants back to their original definition (without
        explicit typing them as unsigned) so-as to more exactly compare
        the comedilib version of comedi.h with that of the kernel module.
    2)  Removes the duplicate definition of NI_GPCT_INVERT_CLOCK_SRC_BIT in
        comedi.i.
    3)  Instead of redefining the macros to fix the mishandling of signedness
        by SWIG for python, teach SWIG to treat these as unsigned ints.

include/comedi.h
swig/comedi.i

commit 9d4b7367ebcad6548042556ba93fbf3e191c22e6
Author: Spencer E. Olson <olsonse@umich.edu>
Date:   2016-03-18 09:55:12 -0600

    change static inline NI_* to macros
    
    This is a partial sync of the staging tree to comedilib with these
    benefits:
    1.  This is first in a series of patches to sync comedilib to the kernel
        modules in the staging development tree.  The point of this series of
        patches is to make the syncing of the userspace and kernel comedi.h
        files be visually more easily done.
    
    2.  This patch also teaches SWIG out to properly wrap these macros and
        provide them to the user.
    
    3.  The redef of static inline NI_* functions as macro functions eases
        alternative use of comedi.h as an import source for a new ctypes-based
        python interface for comedilib.

include/comedi.h
swig/comedi.i

commit ba27bddca40d814d2e8066ef83d9d9377c763e6c
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2016-03-10 11:25:09 +0000

    include/comedi.h: synced with comedi
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

include/comedi.h

commit 3f19af6b53dcd251ad415f95cf4b0af22fea9178
Author: Spencer E. Olson <olsonse@umich.edu>
Date:   2016-03-08 22:47:52 -0700

    Documents stop_arg!=0 when stop_src=TRIG_NONE
    
    This patch documents the new interpretation of stop_arg when stop_src ==
    TRIG_NONE.  In the new interpretation, if stop_src==TRIG_NONE, a user may
    specify that a buffer of finite length (and less than or equal to the
    maximum buffer size) be repeated indefinitely.
    
    For now, only the NI MIO driver implements this new interpretation.  All
    other drivers should continue to force stop_arg==0 when
    stop_src==TRIG_NONE.  In this case, the old behavior is maintained.

doc/other.xml

commit ea09b60196494a374ec90391079e2b07b308de19
Author: Spencer E. Olson <olsonse@umich.edu>
Date:   2016-03-08 22:42:34 -0700

    update supported hardware list to include NI PXI-6251

doc/drivers.txt

commit 65063d785ea505d8d7903c5a0242b026a31efccc
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2015-11-23 16:04:11 +0000

    demo/mmap: support integer wraparound and large sample size
    
    Currently, the 'front' and 'back' variables are of type 'int' (signed
    32-bit integers).  The loop will break when 'front < back', which will
    happen when more than 'INT_MAX' bytes of data have been produced.
    Redefine them as 'unsigned int' and also allow 'front < back' which will
    happen when more than 'UINT_MAX' bytes of data have been produced.
    Because the buffer size is not necessarily a power of 2, we can no
    longer just use '(back + i) % size' to get the buffer position
    corresponding to 'back + i', so introduce a new variable 'bufpos' to
    keep track of the buffer position.
    
    Also allow for subdevices that set the 'SDF_LSAMPL' flag to indicate
    they use the large (32-bit, 'lsampl_t') sample type instead of the small
    (16-bit, 'sampl_t') sample type.
    
    Also, rename the buffer size variable 'size' to 'bufsize'.

demo/mmap.c

commit 49f298cf86bd2e66f882de3499be2d20bd947920
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2015-08-24 17:33:11 +0100

    lib/range.c: deal with samples > maxdata when converting to phys
    
    By default, comedi_to_phys() and comedi_sample_to_phys() return NAN (not
    a number) if the raw sample value is 0 or maxdata.  Change it to convert
    any raw sample values above maxdata to NAN.  Such raw samples shouldn't
    occur, but this seems like a sensible thing to do.  (Note that the
    conversion of out-of-range values to NAN behavior can be changed via the
    comedi_set_global_oor_behavior() function.)

lib/range.c

commit 3e337824f4c38abef1a37e63bf8b37a081685446
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2015-08-20 13:02:53 +0100

    lib/calib_yacc.y: fix segfault in comedi_parse_calibration_file()
    
    Don't call fill_inverse_linear_polynomials(priv.parsed_file) if
    priv.parsed_file is NULL as that would dereference the NULL pointer
    leading to a segmentation fault.

lib/calib_yacc.y

commit abb45335e3f232bd238e2544deaf63cb4c6d259f
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2015-06-08 11:53:50 +0100

    doc: Bump to version 0.10.3.

doc/comedilib.ent

commit 6065b188d19a6d07832acebed6415c7656d879a7
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2015-06-08 11:52:07 +0100

    configure.ac: Bump to 0.10.3
    
    Bump the comedilib libtool version code to 10:3:10, so the comedilib
    version becomes 0.10.3.

configure.ac

commit da0fe745fcb9c0061d60d9b3bb14db00e2679904
Author: Éric Piel <piel@delmic.com>
Date:   2015-06-06 23:34:27 +0200

    include: explicitly indicate values are unsigned when it could matter
    
    In C, mixing up between int and unsigned int doesn't matter too much for constants
    because in memory they end up the same.
    However, in Python, they appear differently.
    
    Swig assumes (wrongly?) by default that the constants are signed, intead of being unsigned.
    For every value equal or greater that 2**31, it matters.
    For instance CR_INVERT should be 2147483648, but it is -2147483648 in python.
    By marking the values explicitly unsigned, swig generates the right values.
    
    That's excepted for enum, which swig just consider int. So for the only constant in that
    case, we manually override it in swig.

include/comedi.h
swig/comedi.i

commit cda898efc6366d8e8efa48d36b39110ff4fc88fe
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2015-05-28 13:45:18 +0100

    doc: update copyright years

doc/comedilib.xml

commit 29607869cd334c8d19dffc1525c438992b0c02cc
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2015-05-28 13:35:58 +0100

    doc: fix capitalization of National Instruments

doc/other.xml

commit 16142b8d9ce822df4fdabd58f95d2bf8cb4d8b81
Author: Éric Piel <piel@delmic.com>
Date:   2015-05-27 18:42:01 +0200

    doc: add information about using the National Instrument GPCT
    
    The counter interface might eventually be changed to a more generic one.
    However, for now it's good to have something documented on how things work.

doc/other.xml

commit 027ca2c5adaf2d7727eda6d40982b78c11b6ff7b
Author: Éric Piel <piel@delmic.com>
Date:   2015-05-18 15:16:32 +0200

    doc: fix names of *SOURCE constants to *_SRC
    
    Synchronises the content of the documentation with the actually content of the include files.

doc/extensions_funcref.txt

commit 9683559f511bd05ca4983c357a33bed5a6176dce
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2014-04-10 20:19:43 +0100

    comedi_test: fix test_cmd_write_fast_1chan() for big buffer
    
    If the comedi data buffer is larger than the total size of the data
    being written to the buffer in first test_cmd_write_fast_1chan(), the
    first loop iterates endlessly writing 0 bytes to the buffer.  Break out
    of the first loop once the required amount of data has been written.

testing/cmd_1.c

commit 207c72b0f94385a13390f85a67955c74ca73f130
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2014-04-04 15:03:25 +0100

    Makefile.am: Use '$(localstatedir)' instead of '${localstatedir}'
    
    In the rule to make the 'calibrations' directory during installation,
    use Make variable '$(localstatedir)' instead of shell variable
    '${localstatedir}'.  Also remove an unnecessary '/' after '$(DESTDIR)'
    in the rule.

Makefile.am

commit 2b4d72f00926cc03ab39b9f340e35325b7ec9ceb
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2014-04-04 12:11:35 +0100

    Makefile.am: create calibrations directory during installation
    
    Add an install-data-local rule that creates the
    ${localstatedir}/lib/comedi/calibrations during installation.  This
    matches the directory name used by the
    comedi_get_default_calibration_path() function.

Makefile.am

commit ae0e6dae04fb9d750afad556c9eb16c034c9e322
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2014-04-04 11:19:50 +0100

    configure.ac: Added AC_PROG_MKDIR_P

configure.ac

commit f55d30396ab390152ed95ce661e0bb18fc5ef521
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2014-02-13 11:39:35 +0000

    lib/Makefile.am: Add 'comedi_la_LIBADD = -lm'
    
    Builds on some systems need the line:
    
    comedi_la_LIBADD = -lm
    
    in lib/Makefile.am
    
    Reported by Jan Banda, using a Linux Mint Petra system with gcc version
    4.8.1.

lib/Makefile.am

commit 371dcc56e6f77c44f9ebf4b178a540b9d0833490
Author: Éric Piel <piel@delmic.com>
Date:   2014-01-31 15:07:15 +0100

    swig: remove comedi_ prefix from the function names
    
    python always use the namespace of the library so it was redundant.
    
    so what used to be written comedi.comedi_open() can be written comedi.open().
    
    The main trick is to add a special python code that allows for the old names to still be compatible.
    That avoids to break every single python program previously written.

swig/comedi.i

commit 1465834a26c87fd8c59a98afaae7a02407927f77
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2014-01-09 15:23:13 +0000

    demo/inpn: correct ranges in range loop
    
    The demo is supposed to take one reading for each channel for each
    range, but was using the range from the command line options instead.
    
    Thanks to Daniele Mazzi for spotting the bug!

demo/inpn.c

commit 6ee63ff0b02240b6f7c0f3908379632c11286462
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2014-01-07 14:56:22 +0000

    README.Git: add minimum required Bison version
    
    The minimum required version of Bison when building from git sources is
    1.875 or possibly higher.  Mention 1.875 as the minimum version for now.

README.Git

commit 2277e82787fb6fec0732463f5207810b2fe617ce
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2014-01-07 14:28:43 +0000

    lib/calib_yacc.y: eliminate priv() casting function
    
    Parse parameters are now passed as the correct type instead of `void *`,
    so the static inline priv() function is no longer needed to cast the
    pointer to the correct type.

lib/calib_yacc.y

commit c689eff475a9923b5150084d6adf3c50fd5a714c
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2014-01-07 13:44:23 +0000

    lib: replace YYPARSE_PARAM and YYLEX_PARAM
    
    In the Bison source calib_yacc.y, replace the use of YYPARSE_PARAM and
    YYLEX_PARAM C macros with the %parse-param and %lex-param declarations.
    I still need a C macro in combination with %lex-param for it to work, so
    I'm not sure I'm doing it right!
    
    Also correct the %pure_parser declaration which should be %pure-parser
    (i.e. the underscore should be a dash).  This has a knock-on effect for
    the yyerror() function, which now needs an extra parameter.

lib/calib_yacc.y
lib/libinternal.h

commit e8cefc0a0d21a737f0fd426356748f004754ec7e
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-11-08 13:12:01 +0000

    demo/ao_mmap: remove spurious 'i' from an output message

demo/ao_mmap.c

commit 1f0020e1083d252d9403df72a600441836beadf9
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-11-08 13:06:38 +0000

    demo/ao_mmap: remove msync() call
    
    The msync() call doesn't seem to work on Comedi devices, and seems a bit
    pointless anyway, as it is meant for use on files with a backing store.
    Remove it.

demo/ao_mmap.c

commit 5f3b60573e55d379b943a45159180196d27b2e90
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-08-21 11:06:24 +0100

    m4/am-check-python-headers.m4: Try python-config --includes
    
    Some systems (e.g. Arch Linux) put the Python C headers in a strange
    place, so try and run `$PYTHON-config --includes` first to find the -I
    options to pass to the C compiler.  Fall back to the old method if it
    fails.
    
    Thanks to Darrell Enns for reporting the problem and suggesting a
    solution.  I changed it a bit.

m4/am-check-python-headers.m4

commit 155529234a0919511ca5f28ec4e4caadb3f6c293
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-07-23 17:43:19 +0100

    doc/funcref: fixed a couple of minor mark-up issues.

doc/funcref

commit 18fc6139882d580f8755f386a4dc6084cc8e6f80
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-05-14 17:35:49 +0100

    include/comedi.h: synced with comedi
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

include/comedi.h

commit 6c5d8834819351f8d5064709580bcd6e44e9feae
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-05-14 14:25:50 +0100

    demo: tut3.c: add 'return 0;' to end of main() function.

demo/tut3.c

commit 0404ed50dd4f827ac95bc129689d768e798f4f0a
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-05-14 12:50:14 +0100

    doc/driverwriting.xml: editing Kbuild
    
    Add a step to the instructions for integrating a new driver into comedi.
    The Kbuild file needs to be edited.

doc/driverwriting.xml

commit 383919639adc4dd17ea6ae0fd143add092c5246a
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-05-07 13:43:11 +0100

    demo/sender: add error checking
    
    Check for errors from comedi_dio_config() and comedi_do_insnlist().

demo/sender.c

commit c413483a6694f782e1d2e154d3c37acf74d5500f
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-05-07 13:29:54 +0100

    demo/dio: exit with failure if comedi_dio_config() fails.

demo/dio.c

commit a19f4d463fe26cd49191c07ed7a17f0d79855a0b
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-05-07 13:24:03 +0100

    demo/choose_routing: remove unused variable 'period_ns'.

demo/choose_routing.c

commit 82ee0c80e2fd59a19c34ea0c7614fa02a1633ea2
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-05-07 13:15:54 +0100

    testing: remove unused variables in comedi_test program
    
    Remove the global variable 'capabilities' which is set to 0 by the
    get_capabilities() function but not used anywhere else.  Remove the
    'type' and 'flags' local variables from get_capabilities() which are set
    to the return values of comedi_get_subdevice_type() and
    comedi_get_subdevice_flags() but never used.  Remove the 'tmp' local
    variable from test_segfault(); it was involved in a volatile memory
    access to test for segmentation faults.  Still do the volatile memory
    access but don't use the variable.

testing/main.c
testing/mmap.c

commit fdf9d2d98bb31dbc95a14d4b403e4e0836fb9a9a
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-05-07 13:01:08 +0100

    lib/data.c: remove unused variables
    
    Remove unused variable 's' from comedi_data_write() and
    comedi_data_read_delayed().

lib/data.c

commit 0868eccbf7ce7416170d3f5c739d2fd08fd3975e
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-05-07 12:48:11 +0100

    lib: remove cached cmd_timed and cmd_timed_errno from subdevice
    
    Remove the cmd_timed and cmd_timed_errno members from the internal
    struct subdevice_struct.
    
    cmd_timed_errno is checked but never set, so it will always be 0 and the
    code that uses it is buggy as it returns the value of s->cmd_mask_errno
    if s->cmd_timed_errno is non-zero and sets s->cmd_mask_errno on failure.
    It shouldn't be setting s->cmd_mask_errno at all.
    
    Since the generic timed command could depend on the length of the
    channel list, don't bother caching the result, and don't set
    s->cmd_mask_errno on failure.

lib/cmd.c
lib/comedi.c
lib/libinternal.h

commit 2811aea03894e1306f9426c78a4b8b8a6f906c56
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-05-07 12:32:26 +0100

    lib: check some malloc/calloc/realloc failures
    
    Some calls to malloc(), realloc() or calloc() do not check the result.
    Do so.  Also call internal function libc_error() if they fail to set the
    result for comedi_errno().

lib/calib_yacc.y
lib/cmd.c
lib/sv.c

commit df2466c0f6efc0a1b4f71062604dd3fd332863ec
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-04-15 12:26:05 +0100

    doc: add missing -lm option to command line for compiling tut1

doc/tutorial.xml

commit ada711164c2c7c447faf606a3a946def7f4e56b2
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-03-21 16:36:42 +0000

    doc: Bump to version 0.10.2.

doc/comedilib.ent

commit d9b2a47a32efee78386781fbbc15eb431037dcca
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-03-21 16:33:08 +0000

    configure.ac: Bump to 0.10.2
    
    Bump the comedilib libtool version code to 10:2:10, so the comedilib
    version becomes 0.10.2.

configure.ac

commit ddec51884bf194b1f2c02cd5e27085eabc788093
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-03-21 16:27:56 +0000

    include/comedi.h: synced with comedi
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

include/comedi.h

commit f4e228e23162eca185d593a2c736645ec50ab716
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-03-21 15:49:18 +0000

    lib/calib_lex.l: Add #define YY_NO_INPUT to C pre-amble
    
    This suppresses a compiler warning about 'input' defined but not used.

lib/calib_lex.l

commit cc0c9e740579640ef92ee5e7d37d6453cb2c8e9c
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-03-21 15:36:14 +0000

    lib/calib_yacc.y: Move comedi_parse_calibration_file()
    
    Move the comedi_parse_calibration_file() function definition to the
    bottom of the file.  It calls calib_yyparse() and the declaration might
    not be in scope since we removed the declaration from
    "lib/libinternal.h", but we know it will be declared somewhere above the
    bottom of the generated "lib/calib_yacc.c" above the new location of
    comedi_parse_calibration_file().

lib/calib_yacc.y

commit 90ce9a94bdb6b26a9cbffdf2e9922b0b1f668a65
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-03-21 15:12:35 +0000

    lib: fix calib_yyparse() conflict
    
    For newer versions of Bison, the declaration of our calib_yyparse()
    function in "lib/libinternal.h" clashes with that in the generated
    "lib/calib_yacc.h".
    
    Remove the declarations of calib_yyerror() and calib_yyparse() from
    "lib/libinternal.h" and declare them in "lib/calib_yacc.c".

lib/calib_yacc.y
lib/libinternal.h

commit 3dfae5a6ee6040d294493f3856a3949e1b602af0
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-01-21 16:15:30 +0000

    configure.ac: Replaced AM_CONFIG_HEADER() with AC_CONFIG_HEADERS()
    
    AM_CONFIG_HEADER is obsolete and doesn't work with Automake 1.13.  Use
    AC_CONFIG_HEADERS instead.

configure.ac

commit af8ab01d906ba7b0579d0e0de68102bd197ae9ee
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2013-01-21 16:06:40 +0000

    configure.ac: Move AS_LIBTOOL() and SCXI_SO_VERSION
    
    Move the call to AS_LIBTOOL() to avoid warnings from automake 1.12.6.
    Move SCXI_SO_VERSION as it is nearby!
    
    On Gentoo Linux:
    $ WANT_AUTOMAKE=1.12 ./autogen.sh
    configure.ac:101: warning: LT_INIT was called before AM_PROG_AR
    /usr/share/aclocal-1.12/ar-lib.m4:13: AM_PROG_AR is expanded from...
    configure.ac:101: the top level
    configure.ac:101: warning: AC_PROG_LIBTOOL was called before AM_PROG_AR
    /usr/share/aclocal-1.12/ar-lib.m4:13: AM_PROG_AR is expanded from...
    configure.ac:101: the top level
    configure.ac:101: warning: LT_INIT was called before AM_PROG_AR
    aclocal.m4:8669: AM_PROG_AR is expanded from...
    configure.ac:101: the top level
    configure.ac:101: warning: AC_PROG_LIBTOOL was called before AM_PROG_AR
    aclocal.m4:8669: AM_PROG_AR is expanded from...
    configure.ac:101: the top level

configure.ac

commit af00348ee77d3333f072970109a9e2323ce40086
Author: W. Trevor King <wking@tremily.us>
Date:   2013-01-19 02:32:00 +0000

    configure.ac: Add AM_PROG_AR for automake-1.12
    
    This is what automake told me to do:
    
      $ ./autogen.sh
      ...
      automake: warnings are treated as errors
      /usr/share/automake-1.12/am/ltlibrary.am: warning: 'libcomedi.la': linking libtool libraries using a non-POSIX
      /usr/share/automake-1.12/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.ac'
      lib/Makefile.am:2:   while processing Libtool library 'libcomedi.la'
      ...
      autoreconf-2.69: automake failed with exit status: 1
    
    AM_PROG_AR is new in automake-1.11.2.  For further details, see:
    
      http://lists.gnu.org/archive/html/bug-automake/2012-05/msg00009.html

configure.ac

commit 977d9057a1199e352c335b82dfc7ef1835e3c52b
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-10-29 17:22:29 +0000

    doc: Add Éric Piel to comedilib manual authors and copyright

doc/comedilib.xml

commit df124b2ba906f2a2a7a7da77e7b78359853a22e3
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-10-29 17:11:20 +0000

    AUTHORS: Add Éric Piel
    
    Éric started a section on language bindings (for Python in particular)
    to the Comedilib manual.

AUTHORS

commit 7d4ad9ad15b9cd8620c987712fbaa38dc51b513f
Author: Éric Piel <piel@delmic.com>
Date:   2012-10-29 17:08:09 +0000

    doc: add a section about Python bindings
    
    This section goes into a "Language bindings" section where description
    for Perl and Ruby could also go.

doc/Makefile.am
doc/bindings.xml
doc/reference.xml

commit e185d974baf369399ffdbe8835e38f411951d1f9
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-10-15 16:18:47 +0100

    comedi_board_info: improve display of external ranges.
    
    The units for a range with internal unit code `RF_EXTERNAL | UNIT_volt` is currently
    displayed as " (unknown unit 256)", for example an external bipolar
    voltage range -1 to 1 is displayed as:
    
    [-1 (unknown unit 256),1 (unknown unit 256)]
    
    Change it to be displayed as:
    
    [-1*EXT V,1*EXT V]

comedi_board_info/comedi_board_info.c

commit b1824dba8d6200dbc43373e7b68590b769a80519
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-10-15 15:52:47 +0100

    comedi_board_info: reset n_chans_for_generic_timed for each subdevice
    
    Add variable `def_n_chans_for_generic_timed` to hold the preferred
    number of channels to use in calls to `comedi_get_cmd_generic_timed()`.
    Reset the `n_chans_for_generic_timed` variable to this value each time
    around the loop for each subdevice before clipping the value to the
    number of channels the subdevice has.

comedi_board_info/comedi_board_info.c

commit 1994c8d96ce6a88c35d86d600ff504aa06bb6cf1
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-10-15 15:47:46 +0100

    comedi_board_info: increased length of strtmp[]
    
    `strtmp` is currently declared as `char strtmp[16]`, but that may be too
    short for the calls to `unit_to_desc()` when the type of unit is
    unknown.  Increase its length to 32.

comedi_board_info/comedi_board_info.c

commit ba3117525a69751de3d996818492ab7ac460c884
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-08-28 14:19:09 +0100

    doc/Makefile.am: fix maintainer-clean-local rule.
    
    The maintainer-clean-local rule was removing the wrong file for
    comedilib.pdf.

doc/Makefile.am

commit bafead2b6d377aa967b2bff463d8aa1e868cb30f
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-08-28 12:08:47 +0100

    doc: Bump to version 0.10.1.

doc/comedilib.ent

commit 2c810c12e31794402455dfb985ce1e2c9e60e5eb
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-08-28 11:54:39 +0100

    doc/install.xml: Describe comedi_num_legacy_minors.
    
    Add some info to the Install section about reserving devices for manual
    configuration using the comedi_num_legacy_minors module parameter.

doc/install.xml

commit 6bd3e85bdfdb88de21ea4d6fd5ffdbf96ca19470
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-08-28 11:52:42 +0100

    etc/udev: Add z99_comedi.rules to EXTRA_DIST
    
    Mark z99_comedi.rules to be added to the released sources, but don't
    install it.

etc/udev/Makefile.am

commit 604a4dd8aaa497d8ea05dbe6bac63cc4304d51ed
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-08-28 10:41:34 +0100

    udev: Add commented out rule to set group owner to "iocard".
    
    There is already a commented out rule in the example udev rules file
    "z99_comedi.rules" to set the mode to 0660 and set the group owner to
    "comedi".  Add an almost identical commented out rule to set the group
    owner to "iocard" as this is favoured by Debian.

etc/udev/z99_comedi.rules

commit a3fe997aed486e7ff4da3f796655e1acaa4c3697
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-08-28 10:12:50 +0100

    README.Git: Add dblatex to optional dependencies

README.Git

commit c331390b149c92d7658a709839834eb85f7a9047
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-08-22 12:48:53 +0100

    configure.ac: Minor correction to example package version sequence.
    
    Removed a stray '.'.

configure.ac

commit 94ee52784504946839405eaa33f50d9a2dd49d15
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-08-22 12:20:03 +0100

    configure.ac: Expand rules for setting package/library version.
    
    The comedilib manual version is usually only updated if the manual has
    changed since the previous release (although it ought to change anyway
    if any library interfaces have changed).  Allow a lower-case letter (or
    sequence of letters) to be appended to the comedilib package version if
    the only changes are outside the library sources and language bindings.

configure.ac

commit 3f8ba17c764d7483528608eaf498813e75e8e3be
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-08-22 10:09:58 +0100

    configure.ac: Bump to 0.10.1
    
    Bump the comedilib libtool version code to 10:1:10, so the comedilib
    version becomes 0.10.1.
    
    The comedilib manual version hasn't been updated.

configure.ac

commit 2b8c2f8087d69be00c33a20d33d80106efa7f8a6
Author: Anders Blomdell <anders.blomdell@control.lth.se>
Date:   2012-08-22 08:21:56 +0100

    comedi_open has file descriptor leak
    
    If something fails after a succesful open, cleanup fails to close the file.
    
    The code
    
       cleanup:
             if(it)
                     free(it);
    
    needs to be replaced with something like:
    
       cleanup:
             if (it) {
               if (it->fd >= 0) {
                 close(it->fd);
               }
             free(it);
    
    Regards
    
    Anders Blomdell

lib/comedi.c

commit 50ad010b31758b8868fe92e287606e8d8df3efbc
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-15 14:31:08 +0100

    configure.ac: Add reminder comment for updating documentation version.
    
    The comedilib manual mentions the version of comedilib it applies to.
    This is not done automatically; it is done by editing
    "doc/comedilib.ent".  Add a comment to configure.ac as a reminder.

configure.ac

commit 96078fcadab142b4b6f540baaa2fbf23e1e4f343
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-14 17:00:35 +0100

    doc: Add Comedilib version number
    
    In "comedilib.ent", Add an XML entity 'comedilib_version' expanding to
    the Comedilib version '0.10.0'.  This is hard-edited in rather than set
    dynamically.  Setting it dynamically would be nice but producing it from
    an AC_OUTPUT() file isn't all that nice as it would end up in the
    'build' tree and we'd some ugly 'make' rule to copy it to the 'source'
    tree.  For now, just edit it manually as required.  At least having it
    as an entity means it only needs to be set in a single documentation
    file!
    
    In "comedilib.xml", change the subtitle to mention Comedilib and the
    version number, using the comediliv_version entity.

doc/comedilib.ent
doc/comedilib.xml

commit 648fac47723bc3578a11d88314a2b4769268f511
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-14 15:04:10 +0100

    demo/tut3.c: memset options to 0 before modifying
    
    options.verbose was used uninitialized.

demo/tut3.c

commit d1ad074b8c961cd70802d0270c22e5ad7b9620e7
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-14 14:54:33 +0100

    demo/tut3: Removed a couple of unused variables.

demo/tut3.c

commit 51dbae239bbc8adaf6c2aaad1aedecf241e5dbdd
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-14 14:53:13 +0100

    demo/pwm: Removed an unused variable.

demo/pwm.c

commit 68e11852cf89d7e5a7ceabb1088778aa6d81597f
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-14 14:51:06 +0100

    demo/pwm: Bug fix - should have called comedi_close()
    
    The code called close(device) instead of comedi_close(device) where
    device came from comedi_open.

demo/pwm.c

commit 77e2628600a9419e240fa85b2672a120c37cbeae
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-14 14:45:37 +0100

    demo/choose_clock: Fix a printf.
    
    "Selecting master clock %d for channel %d on subdevice %d.\n"
    
    The %d after subdevice was missing although the corresponding parameter
    in the argument list was present.

demo/choose_clock.c

commit 0f77a928308ed21ae3a91800a2cb60b812ba70e2
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-14 14:35:23 +0100

    comedi_board_info: Moved man page into ../man
    
    I'm not sure if all man pages should go in the general 'man'
    subdirectory or a more specific subdirectory, but as the general 'man'
    subdirectory already contained a man page for comedi_config (which has
    its own source subdirectory), I moved the man page for comedi_board_info
    there for consistency.
    
    Also changed the EXTRA_DIST line in man/Makefile.am.

comedi_board_info/Makefile.am
man/Makefile.am
man/comedi_board_info.1

commit 8a63ce2ecc5e698c080573d02767e93af4c02bc7
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-14 14:10:13 +0100

    doc/drivers.txt: Minor correction for USB-DUX-FAST.
    
    The Devices line still showed USB-DUX-FAST as USB-DUX.

doc/drivers.txt

commit bf8bd73b6bd4f47deaebba903ff1877a5fe8a189
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-05-13 15:00:34 +0100

    Updated the drivers.txt

doc/drivers.txt

commit 02b796adde144c33597f4e0f9a29e4dcc7413a17
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-05-13 11:09:45 +0100

    Changed my e-mail address to the linux-usb-daq one to be
    consistent with the driver e-mails which I also changed
    to the company e-mails adress.

doc/comedilib.xml

commit b39b8cb8a40e9ade1a0c2008f5a2075c1e26a83e
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-11 12:56:55 +0100

    doc/funcref: Fix "Returns:" for comedi_to_physical.
    
    There was a stray space before the "Returns:" heading so it wasn't
    processed as intended.  Also, there was an empty line above it leading
    to an empty paragraph in the DocBook funcref.xml.

doc/funcref

commit d7e611cc6f8da33647521abbcd5a67b28a794a9a
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-11 12:45:29 +0100

    doc/funcref: Add links between comedi_to_phys and comedi_set_global_oor_behavior.

doc/funcref

commit 168fcd6ed6fc85490b6d0b098274917dd9d96f57
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-11 12:34:31 +0100

    doc/funcref: Moved in comedi_set_global_oor_behavior
    
    Moved function comedi_set_global_oor_behavior out of the deprecated
    section as it is associated with the comedi_to_phys function.

doc/deprecated_funcref.txt
doc/funcref

commit cda5011a87883e9e44b4474e3db1041fc61c13ab
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-05-11 11:15:45 +0100

    Moved comedi_to_phys and comedi_from_phys back to the main
    section. Both comedi_to_phys and comedi_to_physical complement
    each other. Comedi_to_phys is linear and very fast whereas
    comedi_to_physical is more precise but requires polynomials
    and calibration data.

doc/deprecated_funcref.txt
doc/funcref

commit 034f98154f562319c72ac4f3f27382e2d6ecf7e8
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-10 14:33:33 +0100

    doc/comedilib_html_config.xsl: Use numbered sections.
    
    Change DocBook XSL parameters for HTML output to use numbered sections
    (like it was before we switched from SGML to XML) and to use just the
    numbers in cross references, rather than number and/or title.

doc/comedilib_html_config.xsl

commit f415b87538be29a86c4b700eac6676b50091cf1d
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-10 14:14:56 +0100

    doc/intro.xml: Replace a link to figure 1 with an xref.

doc/intro.xml

commit ac090c7bdfcaab4c741c5100a18d93b336694305
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-10 13:49:57 +0100

    demo/python/mmap.py: Fix buffer wraparound bug.
    
    Fix bug reported by Ross Williamson where the code does not deal with
    buffer wraparound within a chunk of data.

demo/python/mmap.py

commit dbe3c77a3d692c52c2999683058e6c5eaabc117b
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-09 18:41:51 +0100

    doc/other.xml: Add extra details about range and aref.
    
    Add extra detail to the section on acquisition functions about the
    range and aref parameters, and describe the comedi_range type.
    
    The whole section is still a bit higgledy-piggledy and could do with
    some rearrangement one day!

doc/other.xml

commit 98869fa36daa7ffb50733dd4aef3c2a197961c49
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-09 17:40:34 +0100

    doc/other.xml: Small DocBook mark-up fix.
    
    Use proper mark-up for sqrt function in slowly varying inputs section.

doc/other.xml

commit 2c729dbb346d6e7135762df6899e13e86b28e893
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-09 17:28:58 +0100

    doc/comedilib_dblatex_config.xsl: Set function.parens to "1".
    
    Persuades dblatex to output parentheses for all the <function> tags,
    even those without <parameter> tags inside.

doc/comedilib_dblatex_config.xsl

commit 24d02fde414b165510d81cc53528e1f4138e8e33
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-09 17:22:31 +0100

    doc/comedilib_html_config.xsl: Set function.parens to "1".
    
    This makes sure the HTML output for
    <function>foo<parameter>bar</parameter><parameter>baz</parameter></function>
    includes parentheses, although it doesn't seem to add empty parentheses
    after a plain <function>foo</function> which perhaps it should.

doc/comedilib_html_config.xsl

commit b41732fa6212b0cbbcbf9cd14fff58a6bc334535
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-09 17:12:23 +0100

    doc/reference.xml: Added CR_PACK_FLAGS()
    
    Added description of CR_PACK_FLAGS() macro and the various flag bits.

doc/reference.xml

commit c3ba569f877ba39230e92443b724bf3f4124f72b
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-09 16:05:02 +0100

    doc/glossary.xml: A few DocBook mark-up changes.

doc/glossary.xml

commit 4a6276c257637b189e419f2da90f6f078bf3cecc
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-09 15:50:17 +0100

    doc/driverwriting.xml: Various changes.
    
    Some DocBook mark-up changes.  Also avoided absolute path-names for
    sources as people tend to put them in different places!  Also changed
    instructions for submitting drivers for review.

doc/driverwriting.xml

commit 382f445b4a091aa964c19690587bdc3dbd6f8e3a
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-09 14:45:18 +0100

    doc/extensions_funcref.txt: Some DocBook mark-up changes.

doc/extensions_funcref.txt

commit 054ceeb77e531a9f67429332288af38853555411
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-09 14:16:23 +0100

    doc/error_funcref.txt: Some DocBook mark-up changes.

doc/error_funcref.txt

commit 32047d460bac65336095647c38268d02d6f54c06
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-09 12:32:05 +0100

    doc/dio_funcref.txt: Some DocBook mark-up changes.

doc/dio_funcref.txt

commit 4566a4a433284f9deb6b2e342e473cab1e01c762
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-08 18:44:48 +0100

    doc/deprecated_funcref.txt: Some DocBook mark-up changes.

doc/deprecated_funcref.txt

commit c1cd8025465ae3fa3beb9ec146f3184b14d7db3b
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-08 18:08:56 +0100

    doc/calibration_funcref.txt: Some DocBook mark-up changes.

doc/calibration_funcref.txt

commit 09106917dee2ab4db1d7619e75b5962cb0cfe3f8
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-08 17:08:16 +0100

    doc/command_funcref.txt: Some DocBook mark-up changes.

doc/command_funcref.txt

commit 1c64dcb1b57a37fd5f0968c1b61a1841b0609592
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-08 16:51:49 +0100

    doc/funcref: Some DocBook mark-up changes.

doc/funcref

commit eab51a0d941a2e2f82922ea527ef577ebb63a475
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-08 14:12:11 +0100

    doc/install.xml: Fixed a link.

doc/install.xml

commit 5f95a358a6f8fa5bfc9dede3d2f712715007b4b7
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-08 14:04:55 +0100

    doc/reference.xml: Minor change.
    
    Used a proper cross reference to driver structures.

doc/reference.xml

commit 48740913646eda7fb5be39fbe0d30cad710d7524
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-08 13:58:27 +0100

    doc/other.xml: More DocBook mark-up changes.
    
    More changes, mostly adding <structfield> tags.

doc/other.xml

commit 4bbaa29b410ad9b5d15a1a8f248b26a196ff6443
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-08 12:25:28 +0100

    doc/comedilib.ent: Got rid of a couple of redundant entities.
    
    Got rid of the 'hellip' and 'uuml' entities in favour of predefined
    versions of these entities.

doc/comedilib.ent

commit 5d91ff685d0fb2ad0ea4a7071667ecef747a6d86
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-08 12:11:55 +0100

    doc/install.xml: A few DocBook mark-up changes.

doc/install.xml

commit a814061d884785818ecc672ceb876f50d6f44f51
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-08 11:35:22 +0100

    doc/tutorial.xml: A few DocBook mark-up changes.

doc/tutorial.xml

commit df4d8963de1c105cd57111a1a4419a226bd5df80
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-04 18:45:33 +0100

    doc/other.xml, reference.xml: Slowly varying inputs and comedi triggers
    
    Mention that the stuff that relies on the COMEDI_TRIG ioctl, including
    the slowly varying input (comedi_sv_...) functions no longer work with
    current versions of the Comedi kernel layer.

doc/other.xml
doc/reference.xml

commit 8fae5ac58c127830a7fa49c598f4ae88ffb287c1
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-04 18:29:47 +0100

    doc/reference.xml: Improve description of comedi_insnlist...
    
    ... by adding a link to the comedi_do_insnlist function.

doc/reference.xml

commit 683e685c9f8bf15d6ef336d51e78814cd2a52969
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-04 18:20:42 +0100

    doc/reference.xml: Removed some comedilib internals.
    
    Removed subdevice_struct as it is internal to comedilib.  Removed
    struct comedi_t_struct, leaving only the comedi_t typedef as
    applications only see it as a pointer to an opaque, incomplete type.

doc/reference.xml

commit c63732907e6a963dee574e0272a8f12221cfad97
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-04 18:10:55 +0100

    doc/reference.xml: More DocBook mark-up changes.

doc/reference.xml

commit a3c29c87a8fd6e19196d7744fb02eecc1ae3aa34
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-04 16:32:35 +0100

    doc: Use a stylesheet for dblatex
    
    Add comedilib_dblatex_config.xsl stylesheet and pass it to dblatex when
    producing PDF output.  The current version of the stylesheet doesn't
    make much difference to the output, but it's somewhere we can put stuff
    later.
    
    We probably want to do something similar for the other PDF backends, but
    those are currently broken anyway.

doc/Makefile.am
doc/comedilib_dblatex_config.xsl

commit 9bd59e1defbd33edbe180c9e604d5433902a2134
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-03 19:56:59 +0100

    doc/other.xml: Moved a few tags around and minor changes.
    
    Moved <link> tags inside <function>, <type>, <constant> etc. tags so
    fonts stay a bit more consistent.

doc/other.xml

commit 2d82ee25b319e06ca4217b9736c672fcb6d44ce5
Merge: c1a454b 048c280
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-03 13:06:46 +0100

    Merge branch 'master' of git://comedi.org/git/comedi/comedilib

commit 048c280a9a035da3aa9c6d1e4dae1ea1fa662b52
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-05-03 02:11:14 +0100

    Removed a para from the section about proc which mentioned an NI
    card but that's now the dux board from above actually.

doc/install.xml

commit ee16e47509fb2dab2581e729f59ea880595e4b71
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-05-03 02:07:30 +0100

    Just spotted that the documentation also talks about board_info.
    I've updated it as well: explained the new command comedi_board_info.

doc/install.xml

commit 2d0ed0442c7c668b0cf8aee084382cb916a3cd92
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-05-03 01:24:22 +0100

    Added a couple of sentences about async acquisition and the
    two modes cards do it and then mentioned our new board_info.

doc/tutorial.xml

commit 47b3edd6e2845d92ad6ebd6be856ce570a9799f7
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-05-03 01:03:16 +0100

    Changed some of the descriptions for the SDF flags which were
    a bit misleading.

comedi_board_info/comedi_board_info.c

commit 33f3a2eada793de92aab3f133ccc1fe45ad37063
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-05-03 00:52:13 +0100

    Just what I said in the git log is now also actually in the man page
    namely that the frequency option is only there for debugging.

comedi_board_info/comedi_board_info.1

commit c22d498dc06f1f9bd3d3bb07ed98b1c92d789284
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-05-03 00:39:04 +0100

    Added comedi_board_info which has been inspired by the original
    info in the demo directory. I've made it a bit more verbose
    and also took into account that now the generic_timed command
    takes more than one channel so that a user can experiment which
    sampling rates are possible with different channel numbers.
    I've also added an option to set the sampling rate for the generic_timed
    command. That sould actually not be needed but I'm sure there
    are drivers out there which do not correct the sampling rate
    downwards automatically.

Makefile.am
comedi_board_info/Makefile.am
comedi_board_info/comedi_board_info.1
comedi_board_info/comedi_board_info.c
configure.ac

commit 74a1207a29b59e2b0b38052b3333e556b537b3b7
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-05-02 18:40:07 +0100

    Added info that '-n' is used to select the waveform.

demo/ao_waveform.c

commit 58e0e21ea975088446d3bd21f98b3996de6febc4
Merge: 90ea57b 708b802
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-05-02 17:59:46 +0100

    Merge branch 'master' of ssh://comedi.org/git/comedi/comedilib

commit 90ea57b2e964f10f5b2d9736ec86c37c07cf9e0f
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-05-02 17:58:15 +0100

    Created a PWM demo using the newly introduced defines to
    manipulate PWM frequency.

demo/Makefile.am
demo/README
demo/pwm.c

commit c1a454bb40dff971246e58ea3577c15e9fa5f6f1
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-02 15:47:59 +0100

    doc/other.xml: More fiddling about.
    
    More documentation tidy-ups.  I'll probably get bored eventually!

doc/other.xml

commit 708b802811611b04828b51c98e5a131a1b32a207
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-02 13:04:24 +0100

    doc/comedilib.xml: Add myself (Ian Abbott) to list of authors.

doc/comedilib.xml

commit ad6a93952f384011bb3f44356aebd6916d8be666
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-02 13:01:41 +0100

    doc/tutorial.xml: Fix a broken link.

doc/tutorial.xml

commit 6892b4046874e107778b927da927d47e1566a3a4
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-02 12:54:46 +0100

    doc/other.xml: Use comedi_dio_bitfield2 instead of comedi_dio_bitfield.
    
    Rework text to use comedi_dio_bitfield2 as comedi_dio_bitfield is marked
    as deprecated elsewhere in the document.

doc/other.xml

commit aaa4514804b46062ad117fd5cfee65d21dc38a2b
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-05-01 19:41:38 +0100

    I've added a bit more "meat" to the asynchronous acquisition section
    and added myself to the authors section.

doc/comedilib.xml
doc/tutorial.xml

commit 14d401376f3fe4c003af89b4683b4e8a0d245380
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-01 18:03:57 +0100

    configure: Avoid PDF generation by default if don't have dblatex
    
    Changed handling of --with-pdf-backend[=yes] to avoid picking the default
    xmlto backend for PDF generation because it's broken.
    
    The default xmlto backend for PDF generation can still be selected using
    --with-pdf-backend=default if you really want to try it.

configure.ac

commit 5392632a1c93ca09f0fc3bcfd71936b258a6833c
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-01 17:42:15 +0100

    doc/funcref: Added missing comedi_data_read_n
    
    There was a broken link to the comedi_data_read_n function from
    elsewhere, so we'd better add a section for it.

doc/funcref

commit 7655653dafccc7cb4e6b68295fc652e31db59061
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-01 17:14:27 +0100

    doc: Use ansi style funcsynopsis for html output.
    
    Set XSL parameter "funcsynopsis.style" to "ansi" in the XSL stylesheet
    used for HTML output (comedilib_html_config.xsl).

doc/comedilib_html_config.xsl

commit cc82998ec7b8fb43ec5e2eff33dcf499f70cc9d9
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-01 16:54:39 +0100

    doc/mkref: Add some refmiscinfo for man pages
    
    Make the man pages a bit neater.

doc/mkref

commit 1d351bfa0472b1fe7090b480edf367934e63aad7
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-01 15:42:07 +0100

    doc/other.xml: Some DocBook markup changes.

doc/other.xml

commit 5fdc15c3020c9a2d6da125f8cdc0915df12dadf2
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-01 12:51:08 +0100

    doc: A few whitespace tweaks in program listings

demo/tut3_part.c
doc/other.xml

commit c938e2bf609182beabd4ac7298cd330d0f35a0ad
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-05-01 11:48:46 +0100

    doc/other.xml: Replaced simplelists
    
    Replaced some simplelists with variablelists to fix some dblatex layout
    problems.

doc/other.xml

commit df6a97ec6c1175086cf8c7e912b0b4ffaad3fad9
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-04-27 01:37:33 +0100

    I've updated the manual in the section configuration and
    also updated the tutorial. I've simplified the tut2.c
    by using comedi2phys instead of comedi2physical. The use of
    polynomials as a 2nd comedi program is a bit too difficult
    for a novice and might deter the user to dig deeper into
    the coding. Also, I've added tut3.c which is a stripped
    down version of cmd.c and of that again the relevant lines
    for the handbook to save space.

demo/Makefile.am
demo/tut2.c
demo/tut3.c
demo/tut3_part.c
doc/install.xml
doc/tutorial.xml

commit 12155822bc82cb45c9f36506a41a136a45a7cfa6
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-04-26 23:24:50 +0100

    Removed old hotplug install which is no longer used at all and
    just left udev as the only hotplug mechanism. I've also added
    an option to disable the installation of the firmware. This
    is useful for debian or ubuntu packages where the firmware
    is now provided by a package accompanying the staging kernel.
    All usbdux files are included in the kernel firmware packages.
    Package maintainers should use the --disable-firmware option.

configure.ac
etc/hotplug/usb/usbdux/Makefile.am
etc/hotplug/usb/usbduxfast/Makefile.am
etc/hotplug/usb/usbduxsigma/Makefile.am

commit e7a3e54042e692a5df1fa26b9907f9eba7ed8d36
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-04-25 18:34:54 +0100

    doc/other.xml: Make table of configuration instructions less ugly.
    
    The PDF output of the table of configurations was awful.  Fiddled with
    the column widths a bit and simplified the layout "Meanings of data[1],..."
    column to allow it to wrap.

doc/other.xml

commit be4e3b40076ff762fe8cd58a6d2d9e8da127558c
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-04-25 17:14:16 +0100

    configure: Allow choice of backend for PDF generation.
    
    Add --with-pdf-backend=[yes|no|dblatex|fop|default] option which
    defaults to "yes".  This controls the option passed to 'xmlto' to
    generate PDFs.
    
    If set to "yes" (the default) it looks for 'dblatex' and uses it as the
    backend for 'xmlto' if found, otherwise 'xmlto' will use the default
    backend.
    
    If set to "no" (same as --without-pdf-backend), PDF generation is
    disabled.
    
    If set to "dblatex" it looks for 'dblatex' and uses it as the backend
    for 'xmlto' if found, otherwise PDF generation is disabled.
    
    If set to "fop" it looks for 'fop' and uses it as the backend
    for 'xmlto' if found, otherwise PDF generation is disabled.
    
    If set to "default", 'xmlto' will use the default backend.

configure.ac
doc/Makefile.am

commit 08448172d8b2877774cd28c1b6fa0f3d8e9ff8a5
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-04-23 18:12:41 +0100

    doc/drivers.txt: Rebuilt from comedi
    
    Rebuilt "doc/drivers.txt" using "make Documentation/comedi/drivers.txt"
    in the Comedi package.  Note: this scans the driver sources included
    with the comedi.org Comedi package, not the Linux "staging" Comedi
    sources, so some newer, staging-only drivers are missing.
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

doc/drivers.txt

commit 31b558634a25e04ce633ae4c80464571e807da71
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-04-23 17:52:06 +0100

    doc/Makefile.am: Create directory for pdf output
    
    dblatex is passed the option `-o $(srcdir)/pdf`, but if this directory
    does not exist, the PDF file is created with the name 'pdf' in
    $(srcdir).  Make the directory so that the -o option treats the
    specified name as an output directory instead of an output filename.

doc/Makefile.am

commit be02f1a3d66d5b420f3bd51ffd66ee32fbb3c325
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-04-23 17:29:51 +0100

    etc/hotplug/usbduxsigma: Remove Makefile and Makefile.in ...
    
    ... but keep Makefile.am of course!

etc/hotplug/usb/usbduxsigma/Makefile
etc/hotplug/usb/usbduxsigma/Makefile.in

commit ac43731c432ab8de54cb65cf717c2296c1be67db
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-04-23 14:03:12 +0100

    Updated usbdux firmware files. The udev hotplug mechanism
    now takes binary files and no longer hex files. Also
    added the firmware for usbduxsigma.

configure.ac
etc/hotplug/usb/Makefile.am
etc/hotplug/usb/usbdux/Makefile.am
etc/hotplug/usb/usbdux/Makefile_asm
etc/hotplug/usb/usbdux/usbdux_firmware.bin
etc/hotplug/usb/usbduxfast/Makefile.am
etc/hotplug/usb/usbduxfast/usbduxfast_firmware.bin
etc/hotplug/usb/usbduxsigma/Makefile
etc/hotplug/usb/usbduxsigma/Makefile.am
etc/hotplug/usb/usbduxsigma/Makefile.in
etc/hotplug/usb/usbduxsigma/Makefile_asm
etc/hotplug/usb/usbduxsigma/README
etc/hotplug/usb/usbduxsigma/fx2-include.asm
etc/hotplug/usb/usbduxsigma/usbduxsigma
etc/hotplug/usb/usbduxsigma/usbduxsigma_firmware.asm
etc/hotplug/usb/usbduxsigma/usbduxsigma_firmware.bin
etc/hotplug/usb/usbduxsigma/usbduxsigma_firmware.hex

commit 1d86853f1b5995fa8386de277a1561bdbb8f5ee3
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-04-23 13:15:03 +0100

    Fixed an issue reported by Graeme Hattan that the udev
    rules were installed in the etc directory and not the lib.
    See also:
    http://lintian.debian.org/tags/udev-rule-in-etc.html
    ./configure --with-udev-hotplug=/lib places now all
    files in /lib. The scripts were wrongly prefixed with the
    sysconf directory which is /etc but should be /lib.
    The directory is now also taken from --with-udev-hotplug=/lib.

configure.ac

commit 456421c4f6ea59528894918fc6dc73530f2dbd84
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-04-23 12:43:04 +0100

    Fixed a path issue with comedilib.pdf. Got correctly
    saved into the pdf subfolder but install exprected
    it in the doc folder.

doc/Makefile.am

commit c2d03227e07deea8013ef55bb20a43406f25c48d
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-04-23 12:28:13 +0100

    Removed two scripts which are no longer used by hotplug.
    In the early udev days the firmware had to be uploaded
    by comedi_config. However now the driver requests the
    firmware by itself and there is no need to have dedicated
    scripts for every kernel module in udev.

etc/udev/Makefile.am
etc/udev/usbdux
etc/udev/usbduxfast

commit 9a76f63cd3ca694fb254023902a628d2f7b7752a
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-04-23 12:22:16 +0100

    automake now checks for dblatex and the pdf version
    of the comedi manual is now generated

configure.ac
doc/Makefile.am

commit 0d8c6e966124e8dd7a1f7fe66bc9b9b87c186557
Author: Bernd Porr <berndporr@f2s.com>
Date:   2012-04-23 00:23:03 +0100

    Comedilib.pdf can now be generated with
    dblatex -t pdf ./comedilib.xml
    
    There were two major issues in the comedilb.xml:
    1) there were too many nested sections so that
       latex ran out of sub-sub-sub-sub-sections.
    2) A section needs a title and can no longer
       exist without one. The first line
       of the textfiles contains now the title
       and will be inserted by mkref into the xml file.
    
    todo: switch from xmlto to dblatex for the pdf generation
    and re-enable it in the makefile.

doc/Makefile.am
doc/calibration_funcref.txt
doc/comedilib.xml
doc/command_funcref.txt
doc/deprecated_funcref.txt
doc/dio_funcref.txt
doc/error_funcref.txt
doc/extensions_funcref.txt
doc/funcref
doc/mkref
doc/reference.xml

commit 428ad43ebc33ab8dfa1ec5e1f8af4f01671da8c9
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-04-20 14:18:53 +0100

    Generate ChangeLog from git log during 'make dist'
    
    Generate the ChangeLog using git log in the dist-hook target of the main
    Makefile.  The git command used is:
    
            git log --stat --name-only --date=iso
    
    The format of the resulting ChangeLog is different to the old one that
    was produced with cvs2cl.
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

ChangeLog
Makefile.am

commit a61c28c6966d31cf40e50b4de1a4f257df61dcc0
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-04-20 13:28:15 +0100

    doc/reference.xml: Added section for comedi_polynomial_t.
    
    The tutorial.xml contained links to a missing section for the
    comedi_polynomial_t type, so I added one.
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

doc/reference.xml

commit 4f21a64daa87117902d85b3f7477ac0f05d36793
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-04-20 12:26:34 +0100

    doc/Makefile: Remove *.css files on uninstallation.
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

doc/Makefile.am

commit 67a83184ad4f8b166a56be2c50a1c8fa676842ea
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-04-20 12:10:01 +0100

    Makefile.am: Remove 'debian' from EXTRA_DIST.
    
    The 'debian' target doesn't exist and there is no rule to make it, so
    remove it from EXTRA_DIST.
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

Makefile.am

commit 38a3932fd9fdc89bfc4f56f4d8b436dadc3fface
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-04-20 11:57:23 +0100

    Makefile.am: Don't bother removing CVS directories in dist-hook.
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

Makefile.am

commit 404cee44a9535eb5d7fc03e940ffc3aecd1f8c18
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-04-20 10:42:25 +0100

    todo: Added note about Ruby bindings disabled by default.
    
    Signed-off-by: Ian Abbott <abbotti.mev.co.uk>

todo

commit 12fad7551d7502b9dbbee27b6a97fb52ae916e28
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-04-20 10:34:27 +0100

    configure.ac: Use AS_HELP_STRING()
    
    Use AS_HELP_STRING() to make the HELP-STRING arguments for the
    AC_ARG_ENABLE() and AC_ARG_WITH() macro calls.
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

configure.ac

commit 82456b6f98cc3f02eb9ff15ef1f9e273732f57ab
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-04-20 10:11:57 +0100

    configure: Disable Ruby bindings by default.
    
    The SWIG Ruby bindings do not build cleanly from scratch.  They need an
    existing installation of comedilib.  So disable them in the default
    configuration.  They can be enabled with the --enable-ruby-bindings
    configure option.
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

configure.ac

commit ee2986755aab663108ae01310217b9d6b62a061b
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-04-16 14:53:28 +0100

    include/comedi.h: synced with comedi
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

include/comedi.h

commit 679c0fb5f7f381a4629537bffa03087560b2e906
Author: W. Trevor King <wking@drexel.edu>
Date:   2012-04-16 08:58:20 -0400

    driverwriting.xml: COMEDI_CB_EOA is also used to report end-of-output.

doc/driverwriting.xml

commit 1fd268ccdb8a9df30b0dda42f21ca2ece0759f2a
Author: W. Trevor King <wking@drexel.edu>
Date:   2012-04-16 07:52:48 -0400

    driverwriting.xml: COMEDI_CB_OVERFLOW is also used to report underflows.

doc/driverwriting.xml

commit 5af8a8cf2877e6a5dac602779e382a0e45c35ca4
Author: W. Trevor King <wking@drexel.edu>
Date:   2012-03-13 09:37:08 -0400

    Add myself to the comedi.i copyright, since I just tweaked it.
    
    I also added 2010 for:
    
      commit 3fe8e6baac051d80906c6fac6c18c04c8df9ce4a
      Author: Ian Abbott <abbotti@mev.co.uk>
      Date:   Mon Dec 20 14:50:21 2010 +0000
    
        Add sampl_t and lsampl_t array_class()es to comedi.i.
        ...
        Patch from W. Trevor King.

swig/comedi.i

commit db4fd993090090a7e7054bdfb4ccff667d4cf07b
Author: W. Trevor King <wking@drexel.edu>
Date:   2012-03-13 09:30:45 -0400

    Suggest people use `PYTHONPATH` rather than adjusting `sys.path` internally.
    
    The old method only worked out of the box if you were running Python
    2.1 on a 586.  I imagine that is too small a slice of current users to
    be worth hard coding ;).

demo/python/cmd.py
demo/python/info.py
demo/python/mmap.py
swig/python/README.txt

commit 55b6a03a50713bfb9c2e1f5000765b6e4d5ef882
Author: W. Trevor King <wking@drexel.edu>
Date:   2012-03-13 09:24:07 -0400

    Add myself to the old Python demo copyrights, since I just tweaked each demo.

demo/python/cmd.py
demo/python/info.py
demo/python/mmap.py

commit b415c91aacdedb29e248ba031273d3a66636e994
Author: W. Trevor King <wking@drexel.edu>
Date:   2012-03-13 09:22:03 -0400

    Oops, fix copyright month on `demo/python/insn.py`.

demo/python/insn.py

commit 3d79204427bfc1725d8184d6467e0a96ec4dfa89
Author: W. Trevor King <wking@drexel.edu>
Date:   2012-03-13 09:17:08 -0400

    Cast the period to an integer in `demo/python/mmap.py`'s command setup.
    
    This avoids:
    
       Traceback (most recent call last):
         ...
         File ".../mmap.py", line 96, in prepare_cmd
           C.scan_begin_arg = 1e9/freq
         ...
       TypeError: in method 'comedi_cmd_struct_scan_begin_arg_set',
          argument 2 of type 'unsigned int'

demo/python/mmap.py

commit 8add63faa3b2cf2cbae18345f3caf21fdded234c
Author: W. Trevor King <wking@drexel.edu>
Date:   2012-03-13 09:12:41 -0400

    Adjust `sys.path` before importing `mmap` in `demo/python/mmap.py`.
    
    With the previous implementation, `mmap` was importing the demo
    script, not the standard `mmap` library module.  From the docs [1]:
    
      The directory containing the script being run is placed at the
      beginning of the search path, ahead of the standard library
      path. This means that scripts in that directory will be loaded
      instead of modules of the same name in the library directory.
    
    I'm not sure when this changed in Python, since the demo script
    presumably worked with an earlier version.
    
    [1]: http://docs.python.org/tutorial/modules.html#the-module-search-path

demo/python/mmap.py

commit 7a277ab0cb12e7ad6b84f9973ba5c09bcbdeb1e4
Author: W. Trevor King <wking@drexel.edu>
Date:   2012-03-13 08:58:19 -0400

    Cast the period to an integer in `demo/python/cmd.py`'s command setup.
    
    This avoids:
    
      TypeError: in method 'comedi_get_cmd_generic_timed',
        argument 5 of type 'unsigned int'

demo/python/cmd.py

commit fe3cdd466b93ccb71df112a641c79bfb6f274a74
Author: W. Trevor King <wking@drexel.edu>
Date:   2012-03-13 08:47:48 -0400

    Add serial and PWM subdevice types to `demo/python/info.py`.
    
    This catches it up for the folowing commits to the comedi repository:
    
      commit 311e9c540217d60bdf56a1dba9eafe474fd3b218
      Author: Bernd Porr <Bernd.Porr@f2s.com>
      Date:   Sun Jan 13 23:07:02 2008 +0000
    
        Added a proper PWM subdevice for comedi.
    
      commit 8092ed57ff38e1fcaf75a7e0bf3b8c4f5372f3d7
      Author: Frank Mori Hess <fmhess@speakeasy.net>
      Date:   Sat Jan 31 22:13:09 2004 +0000
    
        serial dio (SCXI) support from Caleb Tennis

demo/python/info.py

commit 4b56f24232844066dcdc62d349f565d6530e6ada
Author: W. Trevor King <wking@drexel.edu>
Date:   2012-03-13 08:41:24 -0400

    Add `chanlist_len` to `comedi_get_cmd_generic_timed()` calls in Python demos.
    
    This catches the Python demos up to:
    
      commit 003b9ec501b5c69f25bfbc68e8b3f923d482bb04
      Author: Ian Abbott <abbotti@mev.co.uk>
      Date:   Mon Nov 8 11:01:42 2010 +0000
    
        Add chanlist_len parameter to comedi_get_cmd_generic_timed.

demo/python/cmd.py
demo/python/info.py

commit 70eca906628c1562022e1878ea20f1fe11a0e24e
Author: W. Trevor King <wking@drexel.edu>
Date:   2012-03-13 08:36:39 -0400

    Add `demo/python/insn.py`, a Python clone of `demo/insn.c`.

demo/python/insn.py

commit 1fe137aa2444e65ce1a6c848dc6cddaebc08d349
Author: W. Trevor King <wking@drexel.edu>
Date:   2012-03-13 08:31:36 -0400

    Add an `insn_array` array_class to `comedi.i`.
    
    This makes it possible to populate `comedi_insnslist_struct` for use
    with `comedi_do_insnlist`.
    
    I also removed my earlier re-typedefs of `sampl_array` and
    `lsampl_array`.  I didn't understand the reason for the underlying
    `TypeError` when I added them.  The proper way to avoid that error is
    to use the `.cast()` and `.frompointer()` methods.  See
    `demo/python/insn.py` (coming soon) for details.

swig/comedi.i

commit b09e05a776f0f8ea9a71d19c021a7a8516935b90
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2012-02-13 11:36:13 +0000

    Removed comedi_calibrate.8 man page.
    
    The comedi_calibrate.8 man page has been moved to the comedi_calibrate
    package where it belongs.  Thanks to W. Trevor King for pointing it out.
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

man/Makefile.am
man/comedi_calibrate.8

commit 2665ee5627ee41f749cf02359c2e827cb28d5673
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2011-12-01 15:37:43 +0000

    libcomedi: don't ignore channel in comedi_set_clock_source()
    
    Fix bug reported by Finn Hoffman on comedi email list.

lib/insn_config_wrappers.c

commit 54712cbf6aff94d94fca6314a130c4cbfd9a2b11
Author: Christoph Schmidt-Hieber <c.schmidt-hieber@ucl.ac.uk>
Date:   2011-08-17 10:26:51 +0100

    m4/am-check-python-headers.m4: Python 3 wrapper for comedi
    
    Here's a small patch to make the configure script compatible with Python
    3. The wrapper itself (swig/python/comedi_python_wrap.c) will have to be
    generated with SWIG >= 2.0.0 for Python 3 compatibility.

m4/am-check-python-headers.m4

commit 23e8eb609e5d07b1f16dc881b1a3400bc1e9e7c7
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2011-06-27 13:08:08 +0100

    comedi_test: Remove unnecessary assignment of 'go' when checking data
    
    The 'go' variable is only used by the 'while' loop that reads the data.
    We don't need to set it in the 'for' loop that checks the data
    afterwards.
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

testing/mmap.c

commit 261d3e102945bf1389360bf5fb19142c9453f491
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2011-06-27 13:03:03 +0100

    comedi_test: Fix buffer overrun in test_mmap()
    
    If the command does not stop immediately after the last sample, there
    can be more data to read than we have room for.  Make sure the 'while'
    loop 'read()' does not overrun the end of the malloc'ed 'buf'.
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

testing/mmap.c

commit cceb2bc2500368ca4e2cf1a737d34330083fb58a
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2011-05-11 12:05:55 +0100

    Fix a couple of typos.
    
    A couple of the include files are missing the 'p' in 'published' in the
    file header comment.
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

include/comedi_errno.h
include/comedilib_version.h.in

commit cf20e6af6bb33716d7cc5cdf34a86ec04f2d5be4
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2011-05-11 11:45:07 +0100

    COMEDILIB_CFLAGS: Fix for separate build directory.
    
    When doing an out-of-tree build, the comedi_version.h file is in
    the build tree, not in the source tree.  The CFLAGS needs an additional
    -I option so the compiler can find it.
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

configure.ac

commit 5d34786aba154242bce2a70fa0b517868c34436b
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2011-05-10 14:42:46 +0100

    INSTALL: Changed cvs reference to git.
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

INSTALL

commit 4941b694a79ff7b484eafb6bbca388d2e4536525
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2011-05-10 14:41:02 +0100

    README: Update mailing list details.
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

README

commit dee77a55ea581add815d37b60c9b98bd0838f0d9
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2011-05-10 14:36:06 +0100

    README: Changed CVS references to Git.
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

README

commit 73c59552bfd9ef5a3d7649556ab18945cf584a70
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2011-05-10 14:22:16 +0100

    README.CVS: Renamed to README.Git and edited slightly.
    
    Signed-off-by: Ian Abbott <abbotti@mev.co.uk>

README.Git

commit 91a350462393e8a92d731860bd18ed1dfd6568b0
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2011-01-26 16:29:34 +0000

    Add comedilib_version.h header, produced by ./configure,
    included by comedilib.h, containing COMEDILIB_VERSION_MAJOR,
    COMEDILIB_VERSION_MINOR, COMEDILIB_VERSION_MICRO, and
    COMEDILIB_CHECK_VERSION(major,minor,micro).  This can be used to perform
    C pre-processor checks for API changes in comedilib.

configure.ac
include/Makefile.am
include/comedilib.h
include/comedilib_version.h.in

commit c530564317683306bc1673ab12fe09bb51fe70bf
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2011-01-05 15:02:44 +0000

    #include <sys/stat.h> needed for fstat().

lib/calib.c

commit cdb3a84f86e55b4cd5674c8d19cf94c95bfcdf96
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2010-12-20 15:49:59 +0000

    Updated procedures for building with Python's distutils.  Also reduced
    line-lengths for 80-character wide terminals.  Most of the updated text
    supplied by W. Trevor King.  Ian Abbott added a note that it only applies
    when building the wrappers separately from Comedilib without 'make'.

swig/python/README.txt

commit 3fe8e6baac051d80906c6fac6c18c04c8df9ce4a
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2010-12-20 14:50:21 +0000

    Add sampl_t and lsampl_t array_class()es to comedi.i.
    
    This makes it easier (possible?) to setup comedi_insn_struct and
    comedi_cmd_struct instances.
    
    Patch from W. Trevor King.

swig/comedi.i

commit 880074831499ba68c17a1c2653d71d6eef3b9cfb
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2010-12-17 13:56:26 +0000

    Adjust setup.py to link against libtool's lib/.libs/.
    Patch from W. Trevor King.

swig/python/setup.py

commit d5e7c2a1164921fdedb80e1b285bcc54e2dfa700
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2010-12-16 16:03:35 +0000

    Revert previous commit, renaming comedi_wrap.c back to comedi_python_wrap.c.
    Add "comedi_python.i" swig interface file which merely %includes the
    "comedi.i" in the parent directory.  Fix paths in "setup.py" and set it up
    to run swig directly (using "comedi_python.i" as the source).  Change
    "_comedi.py" to "comedi.py" (but keep the underscore prefix on the .so
    and .la files).
    Based on a patch by W. Trevor King.

swig/python/Makefile.am
swig/python/comedi_python.i
swig/python/setup.py

commit 5605af7eba87c0877b94ca709bc76ef46a516b79
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2010-12-16 11:41:41 +0000

    Use #ifdef SWIGRUBY around typemap(ruby,...) and remove the ruby argument.

swig/comedi.i

commit 6c6a5d5b4fb52afe22ff7ec85dcd78a0e8668483
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2010-12-16 11:34:07 +0000

    Renamed comedi_python_wrap.c to the swig default comedi_wrap.c.

swig/python/Makefile.am

commit eb57419204c5d5c7fc8e17262b57348cdd7ba014
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2010-12-16 11:29:10 +0000

    Tag comedi_sv_measure's data as a swig output in comedilib.h.
    Patch from W. Trevor King.

include/comedilib.h

commit be1d22cb797d423814211e0ca99f95e596143d55
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2010-12-14 14:43:49 +0000

    Added W. Trevor King to AUTHORS.

AUTHORS

commit aa7fd8061e586be2ae8cf44de5acbe3dd5216f21
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2010-12-14 14:41:55 +0000

    Add -lm to comedilib.pc.in Libs.
    Patch from W. Trevor King.

comedilib.pc.in

commit 4b8bf1aff5dd3e86fad0b128bfc2c51c81b2d13b
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2010-12-14 14:37:18 +0000

    Import DESTDIR in swig/ruby/setup.rb for configurable rbconfig install paths.
    Patch from W. Trevor King.

swig/ruby/setup.rb

commit df57477cba9523865e2123699bec326769f4b7c5
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2010-12-14 10:32:39 +0000

    Change --disable-docbook-binding to --disable-docbook in configure options.
    Patch from W. Trevor King.

configure.ac

commit 309fc0d7f84aa27d4a46938ad2ca37628d83789d
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2010-11-08 11:38:40 +0000

    Include chanlist length in call to comedi_get_cmd_generic_timed.
    Truncate the Float period to an integer.

swig/ruby/demo/cmd

commit 003b9ec501b5c69f25bfbc68e8b3f923d482bb04
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2010-11-08 11:01:42 +0000

    Add chanlist_len parameter to comedi_get_cmd_generic_timed.

swig/python/comedi_wrap.doc

commit 41759a9bea205122fd0cd15bc7c7aa60ce8a0225
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2010-11-08 10:42:42 +0000

    Defined SWIG_USE_OLD_TYPEMAPS as a temporary measure to work with SWIG 2.0.

swig/comedi.i

commit 5dcb1804728c6bb9ba0d6d5d72f77207a3ba8a12
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2010-03-24 16:45:15 +0000

    Specify EXTRA_DIST files in subdirectories explicitly.

swig/ruby/Makefile.am

commit b8a4f1a2658f675d1d47637a9e0a5fcaaece9b3f
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2010-03-19 13:44:56 +0000

    Added channel parameter to comedi_set_clock_source() and
    comedi_get_clock_source().  Bumped library version to 0.10.0.

c++/include/comedilib.hpp
configure.ac
demo/choose_clock.c
demo/gpct_pulse_generator.c
doc/extensions_funcref.txt
include/comedilib.h
lib/insn_config_wrappers.c
lib/version_script

commit b06cecc1516910dc9486d2a74f0a2777a6b35791
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2010-02-17 18:28:15 +0000

    comedi_find_range() should skip ranges that don't match specified units.

lib/range.c

commit becded6ae0d7f72268a80acfceccf0d0a8534ab2
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2009-08-13 11:16:04 +0000

    Check subdevice type.

demo/gpct_pulse_generator.c

commit 8a29362cd45d2cee02e254f6f86114e2ada250ef
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2009-08-13 11:09:05 +0000

    Use negative options.value to set up time as a duty cycle.

demo/gpct_pulse_generator.c

commit 2387fcffef0a2c5c5393cd31278092666b364c06
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2009-04-17 20:41:45 +0000

    Generates also binary format for the new comedi driver integrated into
    the mainstrain linux kernel

etc/hotplug/usb/usbduxfast/Makefile_asm

commit 0b9c89434c4f5bbc3953dd60b54f5a5a13cdadd3
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2009-04-17 20:40:33 +0000

    Generates also binary format for the new kernel comedi drivers

etc/hotplug/usb/usbdux/Makefile_asm

commit 0fbbf1a5f1471f5770768bf9aa51764da80f5af0
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2009-03-31 15:08:55 +0000

    Add brief note about dependencies for Python and Ruby bindings.

INSTALL

commit 1b52275fa2ad321adb48a59b7307d87fb125d5ee
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2009-03-16 19:30:39 +0000

    Added the installtion instructions from the Wiki and removed reference
    to Debian woody packages. I had recently quite a lot of e-mails
    asking about the permissions of the comedi files and every time the
    the problem was that the udev rules were installed in /usr/local/etc.

INSTALL

commit 12eedd26b387aea886bafc2e9722c593677cff54
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2009-02-18 15:35:09 +0000

    comedi_get_default_calibration_path(): Check result of asprintf() for error.

lib/calib.c

commit d7bdd10bd675d9469afcfbc78a3a288bb8e74374
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2009-02-18 15:14:53 +0000

    Update setup.rb using http://i.loveruby.net/archive/setup/setup-3.4.1.tar.gz

swig/ruby/setup.rb

commit f2fdf25018e5751aa8a630a5181a97b3fdcb963c
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2009-02-18 14:47:06 +0000

    Move "comedi_errno.h" into "include/" and install it.

include/Makefile.am
include/comedi_errno.h
lib/Makefile.am

commit 76a2e658b76a960098d20cd71598d3b2709a6884
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2009-02-18 14:10:54 +0000

    Put __comedi_errno variable into thread-local storage if the compiler
    supports it.  Configuration test uses Alan Woodland's 'ax_tls.m4' from
    <http://autoconf-archive.cryp.to/ax_tls.html>.

AUTHORS
configure.ac
lib/error.c
lib/libinternal.h
m4/ax_tls.m4

commit 24147c08a491783b38acfbd65b309c79c1395738
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2009-01-30 14:51:38 +0000

    Allow swig to include comedi.h and comedilib.h from comedi.i to avoid
    duplication.

include/comedilib.h
swig/comedi.i
swig/python/Makefile.am
swig/ruby/Makefile.am

commit 3c2522433487dfc5f56ac9ed08b780f0b9253620
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2009-01-30 14:21:52 +0000

    Added updates from comedi.h and comedilib.h.

swig/comedi.i

commit 8ccf6492f49eef8eb86d09f46091edd45a612d67
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2009-01-06 12:19:31 +0000

    Added dependencies flex and bison, and (optionally) swig, python, ruby and
    xmlto.

README.CVS

commit 3549993b550eeb5ee2272dffa251c4ebf3591432
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2008-12-21 14:29:53 +0000

    the udev scripts are no longer needed because of autoconf in kernelspace
    and the drivers request the firmware now via the standard udev firmware
    helper.

etc/udev/90-comedi.rules

commit 564e9680b02a49c1e2ffa51c4fad2d28de471537
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2008-12-18 17:23:14 +0000

    Fixed do_test_for_insn_bits(), broken by validity checks added to
    comedi_do_insnlist().  Call comedi_ioctl() instead of comedi_do_insnlist().

lib/filler.c

commit 9a06deb6f945f799cb6d2d1a16414b5cf0302377
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2008-12-18 16:44:20 +0000

    Removed unneeded comedi_insnlist from do_test_for_insn().

lib/filler.c

commit d8c3b29ca43f940b21cbae91be80a195657b62ac
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2008-12-18 16:38:51 +0000

    Corrected the 'BUG' message in do_test_for_insnlist() (it reported the
    wrong function).

lib/filler.c

commit c234d5afbc13ea8dfdf379953521cad71f483637
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2008-12-18 11:43:27 +0000

    Oops, I missed one of the info to board_info changes.

doc/install.xml

commit 80ac38a5b1ddce02b4263df7405c05a15440c0b6
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2008-12-18 11:23:48 +0000

    demo/info is now demo/board_info.  Thanks to JuanPi for pointing it out.

doc/install.xml

commit 8884128f3a2256365a9e048899eb5d0683312fbf
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-11-13 14:40:48 +0000

    Persistent names by pci device path should be in by-path subdirectory,
    not by-id.

etc/udev/z99_comedi.rules

commit 83058293b93f0be8fb9a7e055f19512b04d6d3dc
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-11-13 14:17:15 +0000

    Added C++ wrapper for comedi_get_buffer_contents().

c++/include/comedilib.hpp

commit 9c3e25cddfd600687db5a5eac3b11b7b3859ff77
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2008-11-09 21:42:41 +0000

    Simplified the comedi rules for usbdux(fast). Also fixed the coldplug problem: the script was only called after a hotplug but not at boot time. This should work now.

etc/udev/90-comedi.rules

commit 4df5ffd451692818cfa12d01219542bccd5c366a
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2008-11-05 12:52:25 +0000

    Added some device and subdevice validity checks.

lib/buffer.c
lib/calib.c
lib/comedi.c
lib/get.c
lib/range.c
lib/sv.c
lib/timer.c

commit 0038ed146700f267d9f983ae94068df826bdd1e5
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2008-11-05 11:40:42 +0000

    Handle COMEDI_SUBD_PWM and check for future unknown subdevice types.

demo/info.c
testing/info.c

commit acfb8c3fb4f7c04b13a2a7d74fa518f1ba878ea8
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-10-20 19:49:02 +0000

    Made suffix on persistent subdevice symlinks use underscore
    for consistency.

etc/udev/z99_comedi.rules

commit 81ba50ceec2b3d264ff52c1481a6520b4e218356
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-10-20 19:37:57 +0000

    Added example udev rules file for new udev/sysfs in comedi for pci boards.

etc/udev/z99_comedi.rules

commit 8103c5334a882234ef853e54a21b15b13998e8c9
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-09-16 14:49:35 +0000

    Updated it to only run the (unreliable) do_test_for_insn_bits() if the
    information was not available in the subdevice info.

lib/filler.c

commit 4d61d75531592566347b8d951639c70eaaa39bf4
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-09-16 14:48:14 +0000

    Added subdevice::subdevice_type() wrapper.

c++/include/comedilib.hpp

commit ac9f5f248fe1aae78266ff4855d93eefeb659bf6
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-09-16 14:01:38 +0000

    synced with comedi.

include/comedi.h

commit c13e19648b0e0231dd0570cd128dc768971cab0d
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-09-04 21:24:42 +0000

    fixed typo in printf.

demo/dio.c

commit b94b2ba02434e5a48d6c6d0455abfcbc56493549
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-08-29 19:17:40 +0000

    Fixed memory leak in comedi_cleanup_calibration().

lib/calib_yacc.y

commit 6c1a1cdacbdce956b63e6ec04508007abb92f4ed
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-08-29 13:38:27 +0000

    Added missing return type to member function declaration.

c++/include/comedilib.hpp

commit fa3510e8782ddad22f64b818e912ee1a1e9aa0fa
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-08-20 15:15:25 +0000

    Added binding for comedi_get/set_routing.

c++/include/comedilib.hpp

commit 72c2c73a1e518310a254606a5878190c6e6c5b05
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-08-20 00:27:16 +0000

    Added comment about using gpct_encoder demo with 660x boards.

demo/gpct_encoder.c

commit c99e7803a6b1c1ce5902e144104cdda1e7c38836
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-08-06 20:06:16 +0000

    Added C++ binding for comedi_get_clock_source.  Fixed binding for
    comedi_find_subdevice_by_type.

c++/include/comedilib.hpp

commit 4007cc82f5e0037e4d21c400da512efc1fda2c4b
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2008-07-31 09:54:43 +0000

    Added AC_CONFIG_MACRO_DIR([m4]).

configure.ac

commit fe3b6fa9d7c962ddaaf2294cbc7612810729c546
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-06-25 15:47:06 +0000

    Added comedi::subdevice::set_clock_source, set_counter_mode, and
    set_gate_source.

c++/include/comedilib.hpp

commit 0b4cf53b45e81b47da49803bc1c9b2f7660dfc09
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-06-25 15:14:23 +0000

    Added comedi::subdevice::reset wrapper for comedi_reset().

c++/include/comedilib.hpp

commit f21482f6c28956a5d83bc28debb73eee994e208a
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-05-01 17:30:11 +0000

    Added specification of return value for comedi_dio_bitfield2.

doc/dio_funcref.txt

commit 64f8e05331a8c993d970c4e3f45fe7635f3b4079
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2008-04-23 18:53:09 +0000

    Fix some 64-bit warnings.

lib/comedi.c

commit 39253a72b3274620c8f2a86e50d52c50d49db523
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-03-31 17:08:33 +0000

    Added wrappers for comedi_get_hardware_buffer_size and comedi_find_range.

c++/include/comedilib.hpp

commit 758813e9555b67aeb90083ce790c7bee4c81fc90
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-03-28 21:11:49 +0000

    Added description of return value from comedi_internal_trigger().

doc/funcref

commit 3b34f5f08d93b6d9eb86f8448d8ba0702ac4945d
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-03-28 21:10:56 +0000

    Added wrapper for comedi_internal_trigger().

c++/include/comedilib.hpp

commit 8952c74075b7490de6d6fc1cecadebbc04c59cac
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-03-28 18:16:45 +0000

    Added reference entry for comedi_get_hardware_buffer_size().

doc/extensions_funcref.txt
doc/reference.xml

commit d0956ca8b5e829e0fb7d379b18a2ba400a3bb913
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-03-28 15:56:35 +0000

    Added comedi_get_hardware_buffer_size() wrapper function, and made
    comedi_strerror return a const char*.

include/comedilib.h
lib/error.c
lib/insn_config_wrappers.c
lib/version_script

commit b3873b7c79675bd44add7fd16f6b50cbe10d169b
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-03-28 15:55:03 +0000

    Replaced a perror with comedi_perror

testing/cmd_1.c

commit 2edd66775b2f6b840e297c26e3e75e5c3fd13923
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-03-28 15:29:16 +0000

    synced with comedi.

include/comedi.h

commit 0f6494cfdc30f17add201a51d2d2a368baae7039
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-03-27 20:44:15 +0000

    Added default constructors to from_physical and to_physical.  Added
    missing const qualifier to hardcal_converter and softcal_converter
    methods.

c++/include/comedilib.hpp

commit 4acda5c777b135088360927746be5adecbda0831
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-03-26 19:52:05 +0000

    Fixed compile error.

c++/include/comedilib.hpp

commit 0e3150e577cdeb18d093135d2366b69c34f3b05d
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-03-26 19:22:38 +0000

    Made comedi::calibration default constructible.  Added wrapper classes
    for comedi_to/from_physical.

c++/include/comedilib.hpp

commit 959b2ebcadcfe09a525a3529d8736b5d00b6b09f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-03-14 19:07:22 +0000

    Added wrappers for calibration functions.  Fixed memory leak in
    default_calibration_path() method.

c++/include/comedilib.hpp

commit 7e3ad2a0fd72b1827213d1102c71c144c1ff7e56
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-03-14 18:22:24 +0000

    Made it very slightly more clear that comedi_apply_calibration is only
    useful for hardware-calibrated boards.

doc/calibration_funcref.txt

commit e0b0b89338bb17e69b53aa77dde4019682b18177
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-03-14 17:52:20 +0000

    Allow comedi_cleanup_calibration to accept a NULL argument.

lib/calib_yacc.y

commit 5e90332b026341c987735c52d17798366f5e7d95
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-03-11 16:04:23 +0000

    Added perl to EXTRA_DIST

Makefile.am

commit 051f58fd8b23cd5a2e38b683fb28b1abf86e5242
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2008-02-21 12:59:07 +0000

    Sync with comedi

doc/drivers.txt

commit cd0469894b1568e832d6ba73ef1b40fc759c47f6
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-13 20:14:38 +0000

    Made mkref script handle the case of a void parameter correctly.  Allowed
    text lines to begin with any whitespace character (not just space).

doc/mkref

commit d127a631550ec65feef8be69fd59d7d0552481ea
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-13 20:13:39 +0000

    Updated references for error reporting functions.

doc/error_funcref.txt

commit 7eb7a64566cb87b765a5baebfc2b824e54f626e7
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-12 19:31:26 +0000

    Updated the dio function reference

doc/dio_funcref.txt

commit 069547579741197d7f9556c20f254e888609e8da
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-12 18:27:00 +0000

    Updated comedi_dio_config implementation to reflect logical split
    between COMEDI_INPUT/COMEDI_OUTPUT and corresponding config insn ids
    (even though they still have the same value).  Made comedi_dio_config
    return 0 on success for better consistency in API.

lib/dio.c

commit 2d4cc8f6d0cbc3749af08beaa0044e087d26b48e
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-12 17:01:43 +0000

    Updated and added some links to reference for asynchronous command
    functions.

doc/command_funcref.txt

commit 0c69850ffceca9a5bca800da825e8ecb61ea85e7
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-12 01:12:46 +0000

    Made comedi_ioctl take its third argument as a void* instead of
    and integer type, and got rid of a bunch of casts (and added a few).

lib/buffer.c
lib/comedi.c
lib/data.c
lib/filler.c
lib/get.c
lib/ioctl.c
lib/libinternal.h
lib/sv.c

commit a61ed59402bb7fd2516b707e73efbc31e17c7242
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-11 20:50:14 +0000

    Fixed return values from comedi_mark_buffer_read/written().  Removed
    some redundant assignments of __comedi_errno

lib/buffer.c

commit d2809f82d52da4bb9e4967fd95fb2af9af2a1114
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-11 16:42:28 +0000

    Added some "type" elements to docbook output, although they don't really
    have much effect.

doc/mkref

commit a7ece13dbdcb5bab15ebe4084e33bf7b7fef19d3
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-11 16:25:15 +0000

    Added a link and remove some wrong (obsolete?) bits in the description
    of comedi_cancel().

doc/command_funcref.txt

commit 4e7a93e64623c0c1266d7bbe7d428e78432c1971
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-11 15:50:36 +0000

    Rearranged section heirarchy.  Made capitalization of section titles
    consistent.

doc/comedilib.xml
doc/mkdr
doc/reference.xml

commit 86a6fa5989b8beb4ae60ce19f982f1de3a8ef141
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-08 21:42:25 +0000

    Added section for comedi_subdevice_type enum.

doc/reference.xml

commit 3a5c3a8fb0e676d85734285b372703da17d4eab7
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-08 21:41:32 +0000

    Added some links to core function references, and fixed some bitrot.
    Deprecated comedi_set_global_oor_behavior since it only affects
    comedi_to_phys (which is already deprecated).

doc/deprecated_funcref.txt
doc/funcref

commit db048dfa6ff4dd8a821a455105629e60b1995152
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-08 19:02:18 +0000

    Fixed some spelling errors "sucess"->"success".

doc/command_funcref.txt
doc/deprecated_funcref.txt
doc/dio_funcref.txt

commit e3526fbd7caeb6ade94d3be8e722c7992547db83
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-08 18:48:27 +0000

    Removed some wrong or obsolete information.  Made it xinclude the
    tutorial programs tut1.c and tut2.c

doc/intro.xml
doc/tutorial.xml

commit d73685a2544fd0baab7e8781f53912361d1e8156
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-08 18:28:26 +0000

    Minor tweak to comedi_get_softcal_converter description.

doc/calibration_funcref.txt

commit d7434f79bb88c01af8f220654f24548314c16467
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-08 18:23:05 +0000

    trivial change to a comment.

demo/tut2.c

commit f6a4444de89c9e45ce1cc37835433652db3a259b
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-08 16:23:36 +0000

    Switched to use comedi_to_physical instead of deprecated comedi_to_phys.

demo/tut2.c

commit 9a472f9f4a6d86de2fa8e5b6f43c62c0da217ccb
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-08 16:22:43 +0000

    Added some checking of return values for errors

demo/tut1.c

commit 6639f730fcdf9f8143e595da6daa14f7eb7f1c72
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-02-07 19:58:13 +0000

    Some minor tweaks.

doc/Makefile.am
doc/comedilib.css
doc/comedilib_html_config.xsl

commit cdb13846755527cb2cab737a76f0db27bea4da05
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-28 21:34:06 +0000

    Updated drivers.txt from comedi 0.7.76

doc/drivers.txt

commit 46bd0a16bacf94a7e971f5b2a107146290802608
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-28 20:38:47 +0000

    comedi_internal_trigger is provided by comedilib now.

testing/comedi_test.h
testing/inttrig.c

commit 242aa6405f2b2621fbfd3fbb8344ea0ce1bcae29
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-28 20:35:14 +0000

    Fixed another problem with mmap test on subdevice using lsampl_t.

testing/mmap.c

commit 115b6a66c153effe8831b3b44a48fd4c202156cc
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-28 20:27:19 +0000

    Fixed bug in mmap test when run on subdevice with SDF_LSAMPL.

testing/mmap.c

commit 064f43b4f89fb79237953fd7c735bf701001d112
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-28 19:30:01 +0000

    Added css stylesheet for html docs.  At the momment, it just gives a
    light gray background to display of "programlisting" elements.

doc/Makefile.am
doc/comedilib.css
doc/comedilib_html_config.xsl

commit 014562410870d66f99e82cd1ac246b66ba4ee235
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2008-01-28 16:10:11 +0000

    Don't use SDF_WRITEABLE flag to check if read (or write) command is
    applicable.  Instead, check that the specified subdevice matches the
    read (or write) subdevice.

testing/cmd_1.c
testing/cmd_2.c
testing/inttrig.c
testing/mmap.c
testing/select.c

commit 32c98f950642e76d6e3f3cb568f548697f94efde
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-25 15:00:01 +0000

    Added some links.

doc/calibration_funcref.txt

commit d5d5d74cf525837fa83ef4b413ae547c436cdf68
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-24 21:35:24 +0000

    Links to http://www.comedi.org everywhere.

doc/comedilib.ent

commit 0b172a6493d204292477c6d4c23e5ecf0a497db4
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-24 21:09:32 +0000

    Did a little editing and updating for bitrotten parts.

doc/install.xml

commit 73cf1bf2e69a64701003787ab09a88764a711e36
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-24 21:09:05 +0000

    Use "email" element.

doc/comedilib.xml

commit 1a24ec304302e190a382183c286e204e4189543b
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-24 19:30:00 +0000

    Fixed indentation, shouldn't have made any content changes.

doc/install.xml

commit dfaf144f85eb1f3ca417ea1643d3de786b6d95b8
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-24 19:11:18 +0000

    Fixed indentation.  Performed some editing of content.  Removed some parts
    which were wrong, or made no sense to me.

doc/intro.xml

commit 48a0731a298e49bbc3da24d14bbac4709e8ef964
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-24 15:08:47 +0000

    Added some missing "para" elements in the legalnotice.  Fixed up
    indentation.

doc/comedilib.xml

commit ab8d0426c34633f6f33fd7d29784e1a492b767fb
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-24 01:34:10 +0000

    Forgot to add this new file, it's part of conversion to docbook-xml.

doc/comedilib.ent

commit a0568092e75abb3c20079fa6c43fb5fd15ee943d
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-24 01:32:41 +0000

    Converted comedilib docs to docbook-xml 4.4, fixing a bunch of
    parse errors along the way (mostly unclosed tags).

configure.ac
doc/Makefile.am
doc/comedilib.xml
doc/comedilib_html_config.xsl
doc/driverwriting.xml
doc/funcref
doc/glossary.xml
doc/install.xml
doc/intro.xml
doc/mkdr
doc/mkref
doc/other.xml
doc/reference.xml
doc/tutorial.xml

commit a06bba542a9b2305b0d455294017160da65697c7
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-23 18:56:52 +0000

    Added more INSN_CONFIG wrappers: comedi_get_clock_source(),
    comedi_get_gate_source(), and comedi_get_routing().  Added "channel"
    parameter to some of the INSN_CONFIG wrappers.

demo/gpct_buffered_counting.c
demo/gpct_encoder.c
demo/gpct_pulse_generator.c
demo/gpct_simple_counting.c
doc/extensions_funcref.txt
include/comedilib.h
lib/insn_config_wrappers.c
lib/version_script

commit 76791bfeed78109acdee5299718e355c2647f20a
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-18 16:37:32 +0000

    Added comedi_set_filter() and comedi_set_routing() configuration
    instruction wrappers.

demo/choose_filter.c
demo/choose_routing.c
doc/extensions_funcref.txt
include/comedilib.h
lib/insn_config_wrappers.c
lib/version_script

commit 64d656994a9e7f80fab62857c63cfd413c1e4f37
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-17 17:10:07 +0000

    Updated to use comedi_set_clock_source() wrapper.

demo/choose_clock.c

commit b3627840ac53e2f018bca13742b8b71e50d528e4
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-17 17:03:01 +0000

    Added reference entries for new configuration instruction wrappers.

doc/Makefile.am
doc/comedilib.sgml
doc/extensions_funcref.txt
doc/funcref
include/comedilib.h

commit 1979b2f2cc286ec45db39a008d9f8999320dc9a1
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2008-01-17 13:52:02 +0000

    More memory initialization, error detection and cleanup in get_subdevices()
    and get_rangeinfo().

lib/filler.c

commit 625d44af0475471ae1c3796e6602e6e94215d8b1
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2008-01-17 13:50:32 +0000

    Free elements of rangeinfo_list on close.

lib/comedi.c

commit 37dc388297b2c26dc4139e40c4bf773e531997f3
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-16 20:09:38 +0000

    Return 0 from the INSN_CONFIG wrappers on success.

lib/insn_config_wrappers.c

commit ebe72a2b2a306948ab6dca429b9f910b9af061fb
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-16 19:45:05 +0000

    Added more memory initialization for the sake of valgrind (especially
    memory that gets set by ioctls that valgrind can't see).  Added a little
    error handling for a few memory allocations.

lib/comedi.c
lib/data.c
lib/dio.c
lib/filler.c
lib/get.c

commit 4d07ce99692635a8fe5de02427dbda4174e3768b
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-15 21:01:40 +0000

    Moved some wrappers for INSN_CONFIG instructions into comedilib.
    Will add some reference documentation for the new functions soon.

configure.ac
demo/common.c
demo/examples.h
demo/gpct_buffered_counting.c
demo/gpct_encoder.c
demo/gpct_pulse_generator.c
demo/gpct_simple_counting.c
include/comedilib.h
lib/Makefile.am
lib/insn_config_wrappers.c
lib/version_script

commit 8e610500f3bb93a28739b3c633a03c6522208889
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-14 22:15:07 +0000

    Split function references into subsections.  Always build docs in
    $(srcdir).

doc/Makefile.am
doc/calibration_funcref.txt
doc/comedilib.sgml
doc/command_funcref.txt
doc/deprecated_funcref.txt
doc/dio_funcref.txt
doc/error_funcref.txt
doc/funcref
doc/mkref

commit d1ff202fc400610161efb3203746ae20f4a335cc
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2008-01-14 20:29:37 +0000

    fixed typo in hotplug warning message.

configure.ac

commit 9493cf1b479c2370a7e912d4d631384b171e3146
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2008-01-13 23:18:05 +0000

    Synced this with comedi. PWM support.

include/comedi.h

commit 599cf81a1bcc9dbbe5e9a088b766ca8af662be1c
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2007-12-19 11:44:16 +0000

    Define datarootdir, docdir, htmldir and pdfdir if not defined by autoconf
    (first defined in autoconf-2.59c).

configure.ac

commit 624228b8fea737894ed25b1fa1b723d2ebd4d025
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-12-17 00:06:39 +0000

    Added a little more description of return value from
    comedi_mark_buffer_read(), from Jan Gukelberger <g.u.g.i@gmx.de>.

doc/funcref

commit 0b21f807831a9f15a99688aa003e9b2e09cdd729
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2007-12-10 13:20:19 +0000

    Avoid mixing declarations and code.

demo/choose_clock.c
demo/choose_filter.c
demo/choose_routing.c
demo/gpct_buffered_counting.c
lib/calib.c
lib/calib_yacc.y

commit f87490e0f6f058252fda7874df4fc993ff36c1c6
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-12-01 15:54:08 +0000

    Fixed setting of comedi_errno in comedi_dio_config() for invalid
    arguments.

lib/dio.c

commit 792e4b741f929dbee6c77d1d167bb7052deb3f25
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-12-01 15:53:18 +0000

    Got rid of obsolete error codes.

lib/error.c
lib/libinternal.h

commit 3464515b7da4e0ae71005051e11c6be99739f5be
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2007-11-30 18:20:15 +0000

    Added blancmange curve.

demo/ao_waveform.c

commit 92eb0d52bcfd36499119da685be4cba32b25f5ea
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2007-11-30 16:02:30 +0000

    Selected waveform with -n.  Shifted up sine wave if necessary.  Added new
    waveforms.  Fixed cycloid. :-)

demo/ao_waveform.c

commit df5e7fde3f3819c0726dd7772bb9601a86007a93
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2007-11-30 12:24:08 +0000

    Synced with comedi.

include/comedi.h

commit ebd3258a054a16458a074f33d2dbcd51b8c0e500
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2007-11-25 21:17:14 +0000

    New firmware with PWM support. It uses the GPIF of the board to stream
    out the bit streams.

etc/hotplug/usb/usbdux/fx2-include.asm
etc/hotplug/usb/usbdux/usbdux_firmware.asm
etc/hotplug/usb/usbdux/usbdux_firmware.hex

commit 94ad4788d97053832b1ec7ae0f19ba99db7770b7
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2007-11-22 18:11:22 +0000

    Support -c channel and -r range options.

demo/ao_waveform.c

commit 36dfab8446199c76e518840ba90d72b584dcf6fa
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2007-11-20 19:43:00 +0000

    Moved EXTRA_DIST outside of conditionals (as already happened to hotplug)

etc/udev/Makefile.am

commit a630001ef0c2b138fea3624a5abc92c72a9e4491
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-11-13 03:18:32 +0000

    Fixed name of comedi_cleanup_calibration()

doc/funcref

commit 24da90810d10c48765735af7c8c9567c90bbd8a5
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-11-10 16:54:15 +0000

    Adding trivial email address obfuscation, since some of the AUTHORS
    files are linked to from the web page.

AUTHORS

commit 605fd5565556b75cae0769ae11d64b888549f2cc
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2007-11-07 13:01:50 +0000

    Fix use of INSN_GTOD so it works on 64-bit platforms.
    A struct timeval is not the same size as a pair of lsampl_t's for 64-bit,
    so can't point 'data' in a comedi_insn to a struct timeval and expect it
    to work!

demo/insn.c
doc/reference.sgml
doc/tutorial.sgml
testing/insn_read_time.c

commit a68c805998ebb4f3adbd92210c6db28090cd21a9
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2007-11-02 16:03:58 +0000

    Fix out-of-tree build of ruby bindings.

swig/ruby/Makefile.am

commit bf4a793f51d5feb83132cf1f726b56bb4800fb5d
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-10-29 01:12:57 +0000

    Fixed warning on 32 bit arch, caused by my fix for 64 bits.

demo/ao_mmap.c

commit 5b96772c03c2efcaeab625b45dfd4dfdd52fcde9
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-10-29 01:01:26 +0000

    Regenerated ChangeLog with "cvs2cl -t" for 0.8.1 release.

ChangeLog

commit fde862bdbdd57181b69317f29c41ec38d1718b70
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-10-29 00:59:29 +0000

    Bumped version for 0.8.1 release.

configure.ac

commit c73ce599a6449bb42ed5e61ba05825bf7cb39a32
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-10-29 00:58:41 +0000

    synced with comedi.

include/comedi.h

commit 464fb550cc082762e33edbaf7f5652fa169139de
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-10-26 21:10:05 +0000

    Fixed compile warning on amd64

demo/ao_mmap.c

commit 6c72b05ff469d6d270928e64529a1e04fe6d511a
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-10-21 20:05:13 +0000

    Moved EXTRA_DIST outside of conditionals.

etc/hotplug/usb/usbdux/Makefile.am
etc/hotplug/usb/usbduxfast/Makefile.am

commit 334b16aabe06e5527da2b37c306332826ab08adc
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-10-17 20:17:43 +0000

    Synced with comedi.

include/comedi.h

commit 595eae1962592b802276b769c66ae529437c97b1
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-10-17 20:12:41 +0000

    Added comedi_iostream.hpp to include_HEADERS

c++/include/Makefile.am

commit 95bea14e9e21493383258f4f00257529439d17d8
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-10-15 19:37:50 +0000

    Added dio_config and dio_bitfield2 to c++ binding.

c++/include/comedilib.hpp

commit 9e4c195b924cdb8260eedc223337a99228fc57b6
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-10-15 00:02:49 +0000

    Patch from steven.jenkins@ieee.org (Steven Jenkins):
    
    The SWIG interface file (swig/comedi.i) is out of date with respect to comedi.h
    and comedilib.h. I've attempted to make it current by applying most of the
    changes since 1.22 (both headers).
    
    My ability to test is limited. The swig/ruby/demo/cmd application runs
    successfully using the comedi_test device. The python extension library
    compiles, but that's as far as I've taken it.

swig/comedi.i
swig/ruby/demo/cmd
swig/ruby/lib/comedi.rb

commit b6144ac99b7ccecdf984fdd4dae1ac7cf196cd59
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-10-12 21:24:11 +0000

    Added comedi::istream and ostream classes, to provide slightly higher
    level ostream::write() and istream::read() functions for transferring
    data during commands.

c++/include/comedi_iostream.hpp

commit bdbd1ab792b39486e35c01cf4d0d5cf69c538c36
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-10-12 21:22:05 +0000

    Added default constructor for comedi::subdevice, and added missing wrapper
    for comedi_cancel().

c++/include/comedilib.hpp

commit e8ad2b3498bbb0511b10b3c39b3e403819d93a9c
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-09-28 19:02:02 +0000

    Sync with comedi.

include/comedi.h

commit d720e88a52f7a4526ac2edb4a9d5bc6ad25cd302
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-08-27 21:46:35 +0000

    Added C++ binding.

Makefile.am
c++/Makefile.am
c++/include/Makefile.am
c++/include/comedilib.hpp
configure.ac

commit e448dd685e40815358a3917e2b87a20891047417
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-08-27 20:32:07 +0000

    Got rid of redundant EXTRA_DIST

include/Makefile.am

commit d2708571d4eb2f7daaeff15a2456912251e5b957
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-08-19 18:39:03 +0000

    Patch from Tobias Blaser <tblaser@freesurf.ch>:
    
    Here is a patch to CVS which adds the DESTDIR variable to the installation
    rules in the comedilib doc Makefile. Convenient when creating packages.

AUTHORS
doc/Makefile.am

commit 1081d0ff02c139093fdaa74fb896f8e16a2b3da0
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-08-19 18:30:26 +0000

    Gave libscxi independent version info from libcomedi.  Removed
    attempt to link to libcomedi when building libscxi.

configure.ac
lib/Makefile.am
scxi/Makefile.am

commit aa782ffee1a71872cc08639ae1d0f66db82dcbec
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-08-14 13:21:47 +0000

    Added blurb about do_waveform.

demo/README

commit 70dfd75dfbf604782cc00fb4e6ca677f274cbd1b
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-08-13 21:21:39 +0000

    Added digital output command demo.

demo/Makefile.am
demo/do_waveform.c

commit aa946e4810c256bb8c62b8f391694d00c82723a8
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-08-13 21:20:35 +0000

    Be a little more correct by setting CMDF_WRITE flag, in preparation
    for subdevices that support both input and output commands.

demo/ao_waveform.c

commit e9f25368435bf4d7352f67ab077428f8924d29cb
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-08-13 21:19:36 +0000

    print subdevice too on command dumps.

demo/common.c

commit da5769b50f958ccb2eddcceca8a4d21282f39dda
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-08-13 21:18:47 +0000

    synced with comedi.

include/comedi.h

commit 12389d30c38c9eae0b053dd53d96d081c30240cf
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-08-10 18:48:03 +0000

    Moved comedi_internal_trigger into common.c

demo/ao_mmap.c
demo/ao_waveform.c
demo/common.c
demo/examples.h

commit 0ec21b27ef8d18be500b1f60d40a3411e1eaa030
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-08-10 17:50:59 +0000

    Removed some obsolete comments.

demo/ao_waveform.c

commit 37aeec001c20d26ed10830e012173bcf51eb10ea
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-08-09 14:10:52 +0000

    Need to use stop_src=TRIG_NONE

demo/gpct_buffered_counting.c

commit b5b135c303783622078703dec1528b94d3b430de
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-08-07 20:59:24 +0000

    Default buffer sizes are actually 64k now.

man/comedi_config.8

commit c1082cee6537c797e7caf852c15163dfea177579
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-08-02 19:46:44 +0000

    Fixed comedi_get_cmd_generic_timed() by adding a chanlist_len
    parameter.  Old version is still available in library, thanks to the
    magic of the version_script.

demo/cmd.c
demo/info.c
demo/mmap.c
doc/funcref
include/comedilib.h
lib/cmd.c
lib/version_script
swig/comedi.i
testing/cmd_1.c
testing/cmd_2.c
testing/cmd_3.c
testing/inttrig.c
testing/mmap.c
testing/select.c

commit d11d8a69be3712cc507499344a7e479e47fc9d7a
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-08-02 19:43:04 +0000

    sync with comedi

doc/drivers.txt

commit 3d1ae7facdb4ab3074a52eef8b65dedbec4c712d
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-08-02 18:44:39 +0000

    Removed duplicate declaration.

demo/cmd.c

commit 2dd7b6c4fea45eada2dc15395d9f8a127da68329
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-31 19:51:53 +0000

    Blah, a fresh cvs checkout does need a couple command-line options to
    autoreconf, so put autogen.sh back in.

Makefile.am
README.CVS
autogen.sh

commit c06664b86765109c86bc480802327e17e1301481
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-31 17:47:49 +0000

    Autogenerated ChangeLog using "cvs2cl -t"

ChangeLog

commit 2b73533b8b7c62ef9f0582273fa93969d96fad12
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-31 17:43:18 +0000

    Got rid of doccomedilib, use "configure --docdir=blah" and related
    options.  Fixed some problems with "make distcheck".

configure.ac
doc/Makefile.am
etc/Makefile.am

commit 9c9500a7b406060bf4d908472184c20df173bace
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-31 17:38:15 +0000

    autogen.sh is gone.

Makefile.am

commit 3a30f9f97cd7cbba6d802ab3f09b1f33f2924563
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-31 14:50:47 +0000

    Got rid of autogen.sh, and just tell people to run autoreconf.

NEWS
README.CVS
autogen.sh

commit b216256a536dea45dee5234f517c8973dc1632dc
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-31 14:47:27 +0000

    Added AUTHORS list to comedilib.

AUTHORS

commit 2d7d5f9bf35b943bc77834ac5d3fefe622dfc5a2
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-31 14:27:21 +0000

    Took comedi_dio_bitfield out of _COMEDILIB_DEPRECATED for release,
    until bindings are updated.

include/comedilib.h

commit 1e3e40f1f1c62305c8eb0f38c7d6f698afbf4f15
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-31 14:20:44 +0000

    synced with comedi

doc/drivers.txt

commit 2b04263bedaf9efdfb35a4bf590a3153b2a1f3e7
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-31 02:44:29 +0000

    Actually, according to current:revision:age practice, the next
    release should be 0.8.0 since new functions have been added since
    0.7.22.

configure.ac
lib/buffer.c
lib/calib.c
lib/dio.c
lib/get.c
lib/version_script

commit e790acd5a6c5b0f9756f98e1bf1424c124a689f0
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-31 02:29:58 +0000

    Fixed up AC_INIT and AM_INIT_AUTOMAKE parameters.

configure.ac

commit 8d74d571b32dffce94b31a2b498ba1f308ab41c4
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-31 02:21:24 +0000

    Move to current:revision:age discipline for library version numbers.
    Bumped version for next release.

configure.ac
lib/Makefile.am
m4/as-libtool.m4

commit 68e1efcdbcbb861eae332edc242898e599649cc4
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-30 03:50:30 +0000

    Synced with comedi.

doc/drivers.txt

commit 1faffb3919403bc65a6e0f2cbec008dcdf9980f8
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-30 03:26:57 +0000

    Added mention of comedi_calibrate and comedi-nonfree-firmware tarballs.

README

commit 2f7cc6c6f2d454394d8b3fa9936fc7dad5060baa
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2007-07-24 13:50:45 +0000

    synced with comedi

doc/drivers.txt

commit 06fa9b06b1cb78906f45ee39ae540d221b388456
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2007-07-24 13:38:14 +0000

    Add calib_lex.h to noinst_HEADERS.

lib/Makefile.am

commit fc1be39d47979f44d2c979a71608a64fad70f1fb
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2007-07-24 13:06:40 +0000

    Add closing tags for <glosssee> and <glossseealso>.

doc/glossary.sgml

commit c8ff80779bef355c37c32678a3b513639b24f4e4
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-16 15:01:06 +0000

    Synced with comedi.

include/comedi.h

commit 50f11c17b86f8450435a98a8d8d34c132a64a5f9
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-16 15:00:28 +0000

    Added some sanity checks, and made it use the read subdev by default
    if no "-s" command line option is given.

demo/gpct_buffered_counting.c

commit 5868ebdb9903f798af6bf3183e8503de5e7a4a46
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-16 14:01:40 +0000

    Corrected comments describing read_subdevice and write_subdevice members
    of comedi_devinfo

doc/reference.sgml

commit a7d0851c8577ac3cec6cd443a12027f36bb00def
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-16 12:46:38 +0000

    Forgot to add file for new demo.

demo/gpct_buffered_counting.c

commit 23acd1d5bdf0d266347d7999e28b6578dad8b3ae
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-13 20:32:43 +0000

    Sync with comedi.

include/comedi.h

commit ecceacdc8155d5cec71256d82c1c8ac56ae5d429
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-13 20:31:50 +0000

    Added NI GPCT buffered counting example.

demo/Makefile.am

commit 81d55d2a522a88a5595667d2f1c4bdb4b214babf
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-12 14:57:08 +0000

    New demo program.

demo/choose_filter.c

commit c5bd91e4c8165fa4372703c52d1037399f53864f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-12 14:56:21 +0000

    sync with comedi

include/comedi.h

commit 1a4e7fe192dba73e2eb80190dd61e245024d90fd
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-11 18:26:53 +0000

    Initialize counter value to zero.

demo/gpct_simple_counting.c

commit 1299e25cf46438c9495422aafa443fba19ea26bc
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-11 18:26:32 +0000

    Added a comment.

demo/gpct_pulse_generator.c

commit 44d6175e7cbea9e1a63971531a7efa7cfcdfb589
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-10 14:26:30 +0000

    Removed unused variable.

demo/gpct_encoder.c

commit 7e3d88314ba35f4277cb3552df185ef375e3d275
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-10 14:11:32 +0000

    Cleaned up mixing of spaces/tabs for indentation probably done by emacs.

demo/gpct_encoder.c

commit a78711414a1347ea11c1641b899ede41752225db
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-07-10 14:08:07 +0000

    Removed some dead code.

demo/gpct_simple_counting.c

commit 9804a8c81dda128683d9feba6130c52fee071267
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-06-28 01:22:38 +0000

    Demo program for quadrature encoder counting with NI GPCT, from
    Anders Blomdell <anders.blomdell@control.lth.se>

demo/Makefile.am
demo/gpct_encoder.c
include/comedi.h

commit 5698f4a3722e15792cb07ca16bac9650ed674b6f
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2007-05-24 10:51:17 +0000

    Added a line which sets the permissions to 0666 for all /dev/comedi devices.

etc/udev/90-comedi.rules

commit 9d36f4e886f7569c883f08bd64785e461461dae1
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-04-29 18:40:28 +0000

    Removed autogenerated file from cvs.

etc/udev/Makefile.in

commit 408d1e24cd9156f4e8097c7dc0fecbe0ab72d30a
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2007-04-28 00:24:42 +0000

    Used AC_ARG_WITH for udev as suggested by frank.

configure.ac

commit cad8c4c6c160a2cc2bbb56c4e3f5bbe1d526a259
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-04-24 20:22:53 +0000

    Silenced automake 1.10 warning.

configure.ac

commit 6277f54e12ffa1de6c27ce51ec5ee1c1ad193c55
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2007-04-23 22:20:09 +0000

    Added udev support.

configure.ac
etc/Makefile.am
etc/hotplug/usb/usbdux/Makefile.am
etc/hotplug/usb/usbduxfast/Makefile.am
etc/udev/90-comedi.rules
etc/udev/Makefile.am
etc/udev/Makefile.in
etc/udev/usbdux
etc/udev/usbduxfast

commit c80870a4a6bc9d424943e9dd263288cb1d9926c0
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-04-18 14:04:39 +0000

    Fixed compile warning under gcc 4.1.2

lib/calib_yacc.y

commit 88d88b1f41fa7f7b47f61aa53182c5d7970c66fa
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-02-26 17:24:24 +0000

    synced with comedi.

include/comedi.h

commit a5cbc369a1e129f491415208cc907901b9a7a260
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-01-08 21:54:15 +0000

    synced with comedi.

include/comedi.h

commit 6a0fc4a5e50f8538df4b1aefd6657dc17eda425c
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-01-08 21:53:59 +0000

    Added new gpct_simple_counting demo (shares some code with
    gpct_pulse_generator demo through common.c).

demo/Makefile.am
demo/README
demo/common.c
demo/examples.h
demo/gpct_pulse_generator.c
demo/gpct_simple_counting.c

commit f80c83a1d0c041911d5a2bb5648ac5a4abcdd16c
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-01-08 20:56:24 +0000

    Print large unsigned values correctly (not as negative numbers) for
    subdevice with 32 bit values.

demo/inp.c

commit 8db3fa8f4719a8332a0848e5c0108786c0c5fa31
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-01-05 21:15:00 +0000

    Added brief description of choose_routing demo.

demo/README

commit daf810a11058e366dcaf6952b62ec8d90575544f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-01-05 21:09:28 +0000

    Added gpct_pulse_generator demo.

demo/Makefile.am
demo/README
demo/gpct_pulse_generator.c

commit 98b683b85decb803e06cf0da3b488daeb18ba108
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-01-05 20:39:17 +0000

    synced with comedi

include/comedi.h

commit c1995338a12992b48fccd68bc34b1ecc6395baee
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-01-05 19:35:14 +0000

    print max data value as unsigned value instead of signed, so 32 bit
    counters show proper max value (instead of -1).

demo/info.c

commit fbdf65b4f517ad0b93a15204417147a0a9202ebd
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-01-03 21:14:53 +0000

    Made parse_options() write options to a struct instead of passing
    them through global variables.

demo/antialias.c
demo/ao_mmap.c
demo/ao_waveform.c
demo/apply_cal.c
demo/choose_clock.c
demo/choose_routing.c
demo/cmd.c
demo/common.c
demo/dio.c
demo/eeprom_dump.c
demo/examples.h
demo/info.c
demo/inp.c
demo/inpn.c
demo/insn.c
demo/ledclock.c
demo/mmap.c
demo/outp.c
demo/poll.c
demo/receiver.c
demo/select.c
demo/sender.c
demo/sigio.c
demo/sv.c

commit c7a581399a83f4ffaa210f092e5ace1297a3dccf
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-01-03 15:44:51 +0000

    Added a sentence to ao_waveform description.

demo/README

commit 8ee6219b64e2ad7b7e0e6851fd0c2d306f621563
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-01-03 15:43:06 +0000

    Removed some C99-isms (mixed code and declarations)

demo/choose_clock.c
demo/choose_routing.c

commit 257bae2a111c0baf42f427adf282a9a92e81cf39
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2007-01-03 15:31:11 +0000

    Replaced deprecated AM_PROG_CC_STDC with AC_PROG_CC_STDC

configure.ac

commit 2d38396fcb9c6a1631d29c67171a924bb561ac02
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-10-25 19:57:49 +0000

    Added a table with descriptions of a few configuration instructions.

doc/other.sgml

commit 01da122c40e55971ab6bc3a7071dfe1c076d9361
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-10-25 18:53:42 +0000

    Updated to docbook 4.2.  Fixed broken </link> in tutorial.sgml

doc/comedilib.sgml
doc/glossary.sgml
doc/install.sgml
doc/intro.sgml
doc/reference.sgml
doc/tutorial.sgml

commit 261de96d3a46ca605b2f88535df62f7742820ed1
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-10-24 20:36:33 +0000

    Sync'd with comedi

include/comedi.h

commit 53747a7f0ac3a68f7ee97bdf67bb8489f457f76d
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-10-24 15:07:41 +0000

    Updated RTSI documentation to reflect my changes.

doc/other.sgml

commit a31d71f3496976ca3a453ea10d2314398a91814b
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-10-24 15:07:08 +0000

    Sync'ed with comedi.

include/comedi.h

commit 4cdf1b09a98a064a54ac3eb28ef808ac8277ca3b
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-10-23 19:35:24 +0000

    Added choose_clock and choose_routing demo programs.  Synced comedi.h
    with comedi.  Made dio demo simply configure the line direction based
    on the command line argument.

demo/Makefile.am
demo/README
demo/choose_clock.c
demo/choose_routing.c
demo/dio.c
include/comedi.h

commit 34b9800e40fe5dc950ab29535eae9fa353051fd7
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-10-17 18:19:29 +0000

    Added const qualifiers to some char* return values.  Added new
    experimental comedi_dio_bitfield2() function which works with
    > 32 channels.  Only works properly with ni_65xx currently.
    Will post a request for review by any interested
    parties to list before I bother making the rest of the drivers
    work with it.

doc/funcref
include/comedilib.h
lib/calib.c
lib/dio.c
lib/get.c
lib/version_script

commit 4ccca1c790fa1d95c09c4778aa0b377a630ffac5
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-09-11 13:55:22 +0000

    Added description of SDF_SOFT_CALIBRATED flag.

doc/funcref

commit 905b99fb60db35e07b2193c66f03feecb8126a66
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-09-08 19:40:15 +0000

    Added brief description of enum comedi_conversion_direction

doc/reference.sgml

commit 97ab81dcbcb8812a3f40bacfcc963b704cabd6c1
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-09-08 18:38:07 +0000

    Added entries for comedi_to_physical() and comedi_from_physical().

doc/funcref

commit fe9d8704c2e6dee910089e9fd7547879c7459a4b
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-09-08 15:41:05 +0000

    sync with comedi

include/comedi.h

commit f4e592b4aab6993456f4cf18335cd57a356b82f0
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-09-08 14:53:48 +0000

    Added entries for comedi_get_hardcal_converter() and
    comedi_get_softcal_converter().  Clairified comedi_apply_calibration()
    a little.

doc/funcref

commit 1421d0919ea6790f5bc08110fa764b365b4eb82d
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-09-07 19:09:04 +0000

    Added some primative support for using software calibration in a way
    that can be integrated with boards that don't use software calibrations.

include/comedilib.h
lib/calib.c
lib/version_script

commit 881600a31e6cbfbe7fcc69be87f109518ec8c27b
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-08-31 18:09:27 +0000

    Fill in inverse polynomials for first order soft calibrations.

lib/calib_yacc.y

commit e48a8d91df5dc5307a4a9e6b49991626eaa9254b
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-08-31 15:29:44 +0000

    Added flex and bison generated files to MAINTAINERCLEANFILES

lib/Makefile.am

commit a186b9a33ceb2f19184eed7ab97c91e902f42399
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-08-28 22:59:42 +0000

    Fix parsing of floating point values in exponential notation, and numbers
    with a leading + or - sign (untested).

lib/calib_lex.l

commit 29358e699fe2428bf6f18dad2c44200776cb2701
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-08-22 20:19:19 +0000

    Fixed problem with keeping track of whether a software calibration
    is for the from_phys or to_phys direction.

lib/calib_yacc.y

commit 4f26b59efc2b77e79a341ebbc301dfeb99c51553
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-08-22 20:13:44 +0000

    Parsing of calibration file with soft calibration information works now.

lib/calib_yacc.y
lib/libinternal.h

commit d686d1278fd8f16511b4298f1a045ba9037ec119
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-08-22 18:14:22 +0000

    First pass at parsing additional calibration file elements which
    support software calibration.

include/comedilib.h
lib/Makefile.am
lib/calib_lex.l
lib/calib_yacc.y
lib/libinternal.h

commit c17577318d3842f4f1f51abb9ee43a5a9234d4f1
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2006-07-20 11:51:54 +0000

    Applied patch from David MacMahon <davidm -at- astro -dot- berkeley -dot- edu>.
    Adds physical units support to comedilib demo programs.
    I changed one of the format strings to help line up values better in the
    'cmd' example.

demo/README
demo/cmd.c
demo/common.c
demo/examples.h
demo/inp.c

commit d349d2e12b5ebc77f5048a4728fad51053610ac3
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2006-07-13 17:06:33 +0000

    Use comedi_perror to report error if comedi_open fails, and exit with exit
    code 1.

demo/info.c

commit 5706893a207409c458a5695480ff2dae4ff2a353
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2006-07-13 12:45:26 +0000

    Applied patch from David MacMahon <davidm -at- astro -dot- berkeley -dot- edu>.
    Add leading zeroes to subdevice flag values.

doc/funcref

commit 761ffc3e90b93c11f5c0d79800870ac743663fe3
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2006-07-13 12:43:14 +0000

    Applied (slightly modified) patch from David MacMahon
    <davidm -at- astro -dot- berkeley -dot- edu>.
    Reports specific error string (strerror(errno)) if comedi_open fails (I
    changed the format slightly from David's).
    Displays subdevice flags as a hexadecimal number.

demo/info.c

commit f149577d8ab1d25099001f005df707a7da79f592
Author: Ian Abbott <abbotti@mev.co.uk>
Date:   2006-07-13 12:33:58 +0000

    Added AC_PROG_LIBTOOL, as suggested by the autotools.

configure.ac

commit 44d71a63cfbe74b80924a5c90626382708cf5035
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-05-02 02:09:02 +0000

    Patch from abbotti@mev.co.uk (Ian Abbott):
    Fixes compile error with gcc 2.96.

demo/ao_mmap.c

commit 3e2bc0f15a781dbd7efd1841939300b1d37f296e
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-05-02 01:25:35 +0000

    synced with comedi

doc/drivers.txt

commit 0abfdd0a0e02f6cd14986107175738294ab324fa
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-05-02 01:21:46 +0000

    RTSI documentation from terry1@beam.ltd.uk (Terry Barnaby)

doc/other.sgml

commit c548e180872dea26a47a65671516c22436b9d70c
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-03-03 01:00:50 +0000

    sync with comedi

include/comedi.h

commit 64d90d7f374c64cdce46aff0e397ba35f33563e6
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-02-15 22:27:00 +0000

    Removed comedi_calibrate from subdirs, as it has been split into
    its own module.  Fix is from Ian Abbott <abbotti@mev.co.uk>.

Makefile.am

commit c632d4e636aa89acd4543aea4d04aa32ac05da94
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-02-05 20:56:11 +0000

    Removed comedi_calibrate from comedilib, it is now in its own
    module.

comedi_calibrate/Makefile.am
comedi_calibrate/README
comedi_calibrate/cal_common.c
comedi_calibrate/calib.h
comedi_calibrate/cb.c
comedi_calibrate/cb64.c
comedi_calibrate/comedi_calibrate.c
comedi_calibrate/ni.c
comedi_calibrate/ni_labpc.c
comedi_calibrate/ni_m_series.c
comedi_calibrate/other.c
comedi_calibrate/results/DAQCard-6024E
comedi_calibrate/results/DAQCard-6036E
comedi_calibrate/results/DAQCard-6062E
comedi_calibrate/results/DAQCard-ai-16e-4
comedi_calibrate/results/DAQCard-ai-16xe-50
comedi_calibrate/results/at-mio-16de-10
comedi_calibrate/results/at-mio-16e-1
comedi_calibrate/results/at-mio-16e-10
comedi_calibrate/results/at-mio-16e-2
comedi_calibrate/results/at-mio-16xe-50
comedi_calibrate/results/measurement-computing-pci-das1000
comedi_calibrate/results/measurement-computing-pci-das1602-16
comedi_calibrate/results/measurement-computing-pci-das6014
comedi_calibrate/results/measurement-computing-pci-das6025
comedi_calibrate/results/measurement-computing-pci-das6034
comedi_calibrate/results/pci-6014
comedi_calibrate/results/pci-6023e
comedi_calibrate/results/pci-6024e
comedi_calibrate/results/pci-6025e
comedi_calibrate/results/pci-6031e
comedi_calibrate/results/pci-6032e
comedi_calibrate/results/pci-6033e
comedi_calibrate/results/pci-6034e
comedi_calibrate/results/pci-6035e
comedi_calibrate/results/pci-6036e
comedi_calibrate/results/pci-6052e
comedi_calibrate/results/pci-6071e
comedi_calibrate/results/pci-6110
comedi_calibrate/results/pci-6711
comedi_calibrate/results/pci-6713
comedi_calibrate/results/pci-mio-16e-1
comedi_calibrate/results/pci-mio-16e-4
comedi_calibrate/results/pci-mio-16xe-10
comedi_calibrate/results/pci-mio-16xe-50
comedi_calibrate/save_cal.c
comedi_calibrate/split_dumps
configure.ac

commit d4fd5f7b087d96676f53d3d74fde681baa26270c
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-02-03 01:06:30 +0000

    Make sure fine caldacs are reset before attempting to recalibrate
    coarse caldacs for unipolar ai.

comedi_calibrate/ni.c

commit adac86b5d94d5585b4d250ef87865acf2616cb42
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-01-08 16:37:59 +0000

    synced with comedi

include/comedi.h

commit 0b55b0435d1f1cad37b74bcce9063ee04eecf82b
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2006-01-04 02:55:40 +0000

    Added beginnings of support for m-series calibration.  So far, it just
    reads various internal calibration sources.

comedi_calibrate/Makefile.am
comedi_calibrate/calib.h
comedi_calibrate/ni.c
comedi_calibrate/ni_m_series.c

commit caedc7bf151251602bf0a396462f571dcef9f397
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-12-28 17:11:35 +0000

    Made cmd demo work with SDF_LSAMPL subdevices.

demo/cmd.c

commit 96fab11cada2a507aad9ba7b297e057027765aad
Author: David Schleef <ds@schleef.org>
Date:   2005-11-04 01:21:42 +0000

    Change Kurt Müller's email address

doc/intro.sgml

commit 7d743ff4972fd46466f9e7a0a06c644da45d672d
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-11-03 01:24:38 +0000

    new results

comedi_calibrate/results/measurement-computing-pci-das6014

commit 85237bcd52424a67ca53ffe7c2742b2ba28b4ff0
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-11-03 01:21:38 +0000

    MC pci-das6014 calibration looks good.

comedi_calibrate/cb64.c

commit 8ff9586edbb0246e82f5e0d10d8b0cbeccfa3272
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-11-02 00:18:27 +0000

    sync comedi.h with comedi

include/comedi.h

commit 904da61cb4b63c0aed2749fe8e9ce12ed59f3555
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-11-02 00:12:31 +0000

    Added entry for MC pci-das6014

comedi_calibrate/cb64.c

commit 4fa75441de080c390f3bba524616c889cfbab3c3
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-10-06 22:20:56 +0000

    Update 6024e status to STATUS_DONE, and update results for same.

comedi_calibrate/ni.c
comedi_calibrate/results/pci-6024e

commit 43c7a043b741e0dcfac116118d40e63d3eb1e3f2
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-09-10 22:20:43 +0000

    Added outline of code for loading pci-6052 caldacs from eeprom
    (doesn't work yet).

comedi_calibrate/cb64.c

commit 47f1100bf95439631a04a0937ab420b1509a28a2
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-09-09 01:06:25 +0000

    Set status of at-mio-16xe-50 back to STATUS_DONE, as it seems to be
    fine after all.

comedi_calibrate/ni.c

commit af6516b8985091fb6c13dff8d346e7a864844b4e
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-08-27 00:36:44 +0000

    undo recent changes for AT-MIO-16XE-50, which were unproductive.

comedi_calibrate/ni.c

commit f96c37bb8523f68c45b847a3567c06e12ce4b713
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-08-25 23:41:18 +0000

    update at-mio-16de-10 to STATUS_DONE

comedi_calibrate/ni.c

commit 602e201a54eceaea007ca664dfd0e3e21c13c338
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-08-25 23:38:03 +0000

    new results

comedi_calibrate/results/at-mio-16de-10

commit 98b7dd53f6d6935c689d193ba4027f213dca925c
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-08-24 22:35:04 +0000

    fix AT-MIO-16XE-50  calibration to take into account coarse postgain
    offset that it seems to have (not sure though).

comedi_calibrate/ni.c

commit be3faf44dddbb859f9463a585e63a8f5b5c1a5a1
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-08-22 00:06:05 +0000

    Added some diagnostics to try and figure out the 6052.

comedi_calibrate/cb64.c

commit 40b41587d748d3db8460e0bb4fae4c65955e9e4d
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-08-14 21:34:36 +0000

    updated results for at-mio-16xe-50

comedi_calibrate/results/at-mio-16xe-50

commit ede8fca2441270eb7f47b6340d49dbb23ba31070
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-08-14 21:31:43 +0000

    update at-mio-16xe-50 status to STATUS_DONE

comedi_calibrate/ni.c

commit 62264c38054580ebdaefeac27e1b500e68efe081
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-07-28 01:03:00 +0000

    first try at at-mio-16de-10 calibration

comedi_calibrate/ni.c

commit 909897a5c341b2aa9d7dc1bb461c63d33c1c6181
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2005-06-07 23:28:25 +0000

    Changed the path so that the .conf files are copied in
    the doc directory. Otherwise they would have ended up
    in /usr/share.

etc/Makefile.am

commit 47450e43879f0c713df3c604dc77a56644d3711a
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2005-06-07 23:27:00 +0000

    Creates the proper so-version defined in configure.ac.

lib/Makefile.am

commit 5ef66deba049f179af5782f0c1d9e4bca51ec628
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2005-06-07 23:24:39 +0000

    Documentation now goes in usr/share/doc/libcomedi0. This path
    is just the same path debian is using for its own files
    like README.debian or changlog. Thus, all the docu is then
    in the same place.

doc/Makefile.am

commit b53b8933b730f1415d080244e83bd2ca5a1f4f6f
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2005-06-07 23:21:34 +0000

    Added variable for the documentation

configure.ac

commit 45797fa801f3bc643058fec603b04b7ce780eb07
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-05-19 23:14:50 +0000

    add mention of defaults for --range, --subdevice, --channel, and
    --subdevice options

man/comedi_calibrate.8

commit 4e8e8b8aa9ec0674377410faff590dfc4cea26eb
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-05-17 01:35:36 +0000

    add missing whitespace on description of --help option

man/comedi_calibrate.8

commit 15317de0c35d8d98c97af6be8042e98ee6536790
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-04-27 00:03:03 +0000

    removed debian files from cvs

debian/changelog
debian/control
debian/copyright
debian/dirs
debian/libcomedi-dev.files
debian/libcomedi0.files
debian/libcomedi0.postinst
debian/libcomedi0.postrm
debian/libcomedi0.shlibs
debian/python-comedilib.files
debian/rules

commit 58a2e315df3bc0af3918860e65a2c4dc05ae325a
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-04-25 21:43:37 +0000

    return errors properly in comedi_mark_buffer_read() and
    comedi_mark_buffer_written()

lib/buffer.c

commit 4f670c0248c3cc18b9f49e227e53a28622cdbdca
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-04-25 21:41:48 +0000

    fix for comedi_get_generic_timed() from Jan Gukelberger <g.u.g.i@gmx.de>

lib/cmd.c

commit 34ce707da0f06c798d5cd7619d77e611cd86971f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-04-11 02:13:43 +0000

    update instructions for integrating new drivers

doc/driverwriting.sgml

commit 19442d5d0697e03f525c21606e744019da7b0407
Author: David Schleef <ds@schleef.org>
Date:   2005-04-07 22:36:05 +0000

    Ugh, fix the soname problem

lib/Makefile.am

commit fb04c820053c34c57a8474666294febb76d2954e
Author: David Schleef <ds@schleef.org>
Date:   2005-04-07 22:33:36 +0000

    Update from Comedi.

doc/drivers.txt

commit 17b0ebbf7dc43be86db837173a6fd42ab605b0c0
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-03-22 02:05:11 +0000

    sync with comedi

doc/drivers.txt

commit 051314ac61c8cb2d9ccc0785b7a36f3b3e7a57ce
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-03-19 18:51:13 +0000

    add description of --init-data options

man/comedi_config.8

commit e91b12f54dac7bb61564536513b8bfdc41033c13
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-03-19 00:57:00 +0000

    cleanup file pointers with fclose()

comedi_config/comedi_config.c

commit 7c0ab8f2acdfb3ac1e6800742686bacf82d2ed14
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2005-03-19 00:42:05 +0000

    Fixed a segfault. The fopen command needs a string and not an integer
    as flag. Every entry in the filename arrary is initally initialised
    with "NULL".

comedi_config/comedi_config.c

commit de651eaca0aa5be24cf6a135e6f28c07b27c7e59
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-03-17 17:28:19 +0000

    add support for multiple firmware files, and uploading firmware
    on 64 bit arches

comedi_config/comedi_config.c

commit 111541c2d37829d1fb9cbb513f70e2aeffdf028a
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-03-17 17:27:12 +0000

    sync with comedi

include/comedi.h

commit ceeb49162ba2c8a2f9ddd9caa3dff35c6ddebe51
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-03-16 22:34:38 +0000

    added table for subdevice flags to comedi_get_subdevice_flags()
    documentation

doc/funcref

commit 933be9aae494781bc797f8d7575dfad0435a0698
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-03-16 19:05:34 +0000

    use SDF_RUNNING flag to test for completion of ao command

testing/cmd_1.c

commit 4d7d67982653fe913a677db29576f95527fa344c
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-03-16 19:04:59 +0000

    updated version of comedi_get_subdevice_flags() which is capable of
    returning dynamic flags like SDF_RUNNING or SDF_BUSY

lib/get.c
lib/version_script

commit 55147aef5c212706540aeb9daf098f497b6d332a
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-03-13 17:04:47 +0000

    info is board_info now

demo/README

commit 8e115ae15b121401889aa9645e4c8fa7b74a3a57
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-03-12 21:11:01 +0000

    fix name collision with automake 1.9

demo/Makefile.am

commit 2a720182e41ed6b2d7dac4f984e55e844c4e6d15
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-03-06 17:42:56 +0000

    added comedi_dio_get_config()

doc/funcref
include/comedilib.h
lib/dio.c
lib/version_script

commit 1e601cbd3f6c7c93e1bff876d54384397f83f298
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-03-06 17:35:04 +0000

    sync with comedi

include/comedi.h

commit 8fdb92784a7a430cadd0fe67363e451f6214ee61
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-02-27 22:45:14 +0000

    patch from Ian Abbott <abbotti@mev.co.uk>:
    
    I was running "comedi_test -v" on my new analog output driver and
    noticed that it was getting stuck in a loop during the
    "cmd_write_fast_1_chan" test.
    
    It turned out that the test had written more data to the buffer than was
    required to complete the acquisition (it was using cmd->stop_src =
    TRIG_COUNT) and then got stuck in a loop waiting for the buffer to empty.
    
    The attached patch stops the test_cmd_write_fast_1chan function writing
    more data than is required to complete the acquisition.

testing/cmd_1.c

commit 0dc6fe9c33eee8b2857fae0bf0812f591ef18601
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2005-02-27 20:40:38 +0000

    Conterpart to the change in comedi: have taken out the
    bufferoverflow packet. It has messed everything up. Just
    restarting the gpif is the best option. Without any additional
    packets.

etc/hotplug/usb/usbduxfast/usbduxfast_firmware.asm
etc/hotplug/usb/usbduxfast/usbduxfast_firmware.hex

commit 3ed5c07df6655a933154ab417ce2609036e2a2b8
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2005-02-27 02:18:23 +0000

    Set the ring buffer length to 512kB for usbduxfast. This is needed
    for graphical software like qtscope. Otherwise we get always buffer
    overflows.

etc/hotplug/usb/usbduxfast/usbduxfast

commit 545b9420d5b665eba08c2b96d21bbcebf07d53c4
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-02-24 20:46:56 +0000

    added some error checks

demo/tut2.c

commit e3c958cf65805b80adaa8fc74009d7afe7e7e43a
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-02-22 23:00:36 +0000

    new results

comedi_calibrate/results/measurement-computing-pci-das6034

commit f2eff57381fb540226ade4f55750119b4c055d5f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-02-22 23:00:13 +0000

    mc pci-das6024 calibration is good now.

comedi_calibrate/cb64.c

commit 61a12da72fecac6c28e0a95cd5c8e2e6ba963b50
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-02-22 13:00:07 +0000

    crank up delay for mc pci-das6034 still more.

comedi_calibrate/cb64.c

commit d11da3c6fac96154b879247388fcfa7c1721f005
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-02-20 22:06:00 +0000

    trying to fix calibration for meas. computing pci-das6034

comedi_calibrate/cb64.c

commit 7ed14c5b16249e1d15e0874fae381e71355d0e7c
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-02-09 23:20:51 +0000

    new results

comedi_calibrate/results/measurement-computing-pci-das1000

commit 68ec8cc1846cce5a7b9f14ae9c7423645e43dc44
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-02-09 23:19:10 +0000

    calibration for pci-das1000 works now

comedi_calibrate/cb.c

commit def0e9bf8ee473b8be73cdf21b94f678c57674f1
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-02-06 16:25:16 +0000

    add license header to scxi.c, and caleb as author

include/comedilib_scxi.h
scxi/scxi.c

commit cd07b7217bf438e4755387f9803a456fd48f32e8
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-02-06 16:22:41 +0000

    fix license headers, and prevent multiple includes of comedilib_scxi.h

include/comedi.h
include/comedilib.h
include/comedilib_scxi.h

commit 3a85b2d8985f402270ef0b9d1b926ad23ef653b9
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-02-06 16:17:51 +0000

    patch from beat.zahnd@phim.unibe.ch (Beat ZAHND), he says:
    
    I extendended the SCXI support for the 1122 module and moved the
    scxi_boards structure to scxi.c

include/comedilib_scxi.h
scxi/scxi.c

commit 1142536a233ade6134d12c3217aa0aa98762b716
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-02-03 02:45:40 +0000

    fix entries for pcm-das08

etc/pcmcia/comedi.conf

commit 5d4729b9eccc5661111d3dc9a3cccfd8535b0de3
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-01-23 03:11:30 +0000

    mmap works for output waveforms now.

demo/ao_mmap.c
include/comedi.h
lib/buffer.c
swig/comedi.i

commit 8f06878f5d028b17133609fd076deac4085affce
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-01-22 14:31:20 +0000

    mark initial buffer contents as written, remove some unused variables,
    fixed buffer overrun

demo/ao_mmap.c

commit 99c8d0b5f1cef607889165a5dd9b1e343d7bf3b9
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-01-17 20:20:26 +0000

    added memory mapped ao waveform demo (untested)

demo/Makefile.am
demo/ao_mmap.c

commit 9f6b16e004a2545af7014dc9d4b07b94bd64c921
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2005-01-10 00:46:28 +0000

    added comedi_mark_buffer_written() (untested)

doc/comedilib.sgml
doc/funcref
include/comedilib.h
lib/buffer.c
lib/version_script

commit 22eea6221efc86734351c4d2543d35ef0c147e06
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2005-01-04 17:27:23 +0000

    Transfer mode for data is now bulk. If a buffer overflow occurrs
    the next packet has two 0xff at the begining.

etc/hotplug/usb/usbduxfast/usbduxfast_firmware.asm
etc/hotplug/usb/usbduxfast/usbduxfast_firmware.hex

commit ca83900fcf0289be0a0aac47767154f4ac827b29
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-12-04 18:12:35 +0000

    patch from steven.jenkins@ieee.org (Steven Jenkins):
    
    'setup.rb config' calls 'extconf.rb' in the ext directory to build the extension
    Makefile. 'extconf.rb' looks for C source files in the directory when it runs,
    so SWIG needs to run before 'setup.rb config'. The attached patch makes the
    output of SWIG a prerequisite for ext/Makefile.

swig/ruby/Makefile.am

commit d0b58e51d0c034e54f437b5285d5f44a680143e6
Author: David Schleef <ds@schleef.org>
Date:   2004-12-02 07:59:00 +0000

    change URL for RTLinux

doc/intro.sgml
doc/other.sgml

commit 0942349bb8879ede9c4e7a09512af09b2a89a467
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-11-23 01:18:14 +0000

    patch from Steven Jenkins <steven.jenkins@ieee.org>:
    
    If configure attempts to build the Ruby extension on a system without a previous
    installation of comedilib, compilation fails because gcc can't find comedilib.h.
    
    The attached patch adds the distribution include directory to the gcc search
    path when compiling the extension.

swig/ruby/Makefile.am
swig/ruby/ext/extconf.rb

commit 4cff0c973ef9396ce29c0eb35c76aa061056e72d
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-11-20 16:56:09 +0000

    sync with comedi

doc/drivers.txt

commit 2b058cf74ed8271af007b77eaecc79ce1ed88629
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2004-11-02 00:21:21 +0000

    Added path to the usbduxfast makefile

configure.ac

commit 317ef9454d1ea64fd2f1958118094bf0e7f87193
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2004-11-02 00:19:36 +0000

    Added usbduxfast to the makefile.am

etc/hotplug/usb/Makefile.am

commit e7f8fe430101fff0e6d819d943a3272990b7bda9
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2004-11-02 00:17:58 +0000

    usbduxfast hotplug scripts and firmware.

etc/hotplug/usb/usbduxfast/Makefile_asm
etc/hotplug/usb/usbduxfast/README
etc/hotplug/usb/usbduxfast/fx2-include.asm
etc/hotplug/usb/usbduxfast/usbduxfast
etc/hotplug/usb/usbduxfast/usbduxfast_firmware.asm
etc/hotplug/usb/usbduxfast/usbduxfast_firmware.hex

commit c6463add663761b1b2df39c550b391f816f58f26
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2004-11-02 00:15:47 +0000

    For usbduxfast. Initial commit.

etc/hotplug/usb/usbduxfast/Makefile.am

commit c3422f0c0f1fee3b3ed24c159740109bd06aed73
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-10-17 15:25:04 +0000

    changed a parameter name

include/comedilib_scxi.h
scxi/scxi.c

commit ce991f80dd84e60ea1fd09d3163c50c6822db341
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-10-17 15:24:24 +0000

    docbook is not a binding

configure.ac

commit 4e4c7e33f1dd1af41d362627eea7a87d9c2f3377
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-10-17 15:22:06 +0000

    new scxi README from Caleb Tennis

scxi/Makefile.am
scxi/README

commit f9e4eb07d73b9a53415606c0470a70aff2f3df5d
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-10-10 17:03:58 +0000

    moved Changelog to ChangeLog and added entry for 0.7.22

ChangeLog

commit 366b8b5da0402caf0f3e94a2d5b36f0926ad4384
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-09-27 03:27:43 +0000

    fix handling of swig so it is run at compile time instead of when
    building tarball (due to possible dependence on swig library).

autogen.sh
configure.ac
swig/python/Makefile.am
swig/python/comedi.py
swig/ruby/Makefile.am

commit 96e61f54e897d43f5d8c877ff073ac3097a85d64
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2004-09-22 22:54:04 +0000

    Added docbook disable.
    If the binding is now disabled configure doesn't look for the program and is not complaining that the program is not there.

configure.ac

commit 3f065e174d97383bb4cadeffdd3acd0334fabf44
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-09-09 21:43:16 +0000

    add eeprom address for reference voltage on at-mio-64e-3

comedi_calibrate/ni.c

commit b956b0ceb49211046f07d721e939c8fedb452619
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-08-31 00:09:27 +0000

    add support for at-mio-64e-3

comedi_calibrate/ni.c

commit 98ceac99f32add86fcc3f4d15a1662aa773ab928
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2004-08-18 22:22:31 +0000

    Changed e-mail adress to berndporr@f2s.com

etc/hotplug/usb/usbdux/README

commit 769a448373d1bd675ea79c2551a41132ba2d74c2
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2004-08-18 22:21:42 +0000

    New constants for the new firmware. Access to revision control of the FX2.

etc/hotplug/usb/usbdux/fx2-include.asm

commit 1249c61de9703b51f004fc9aeca2bc7b533ed6c5
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2004-08-18 22:16:14 +0000

    Removed usbdux_firmware.lst because it's just the listing of the assembler which is not needed in the distro.

etc/hotplug/usb/usbdux/usbdux_firmware.lst

commit f4ca47d701dd2c698b01770c0de6bf315e8c421b
Author: Bernd Porr <Bernd.Porr@f2s.com>
Date:   2004-08-18 22:12:38 +0000

    Minor bug fixes.

etc/hotplug/usb/usbdux/usbdux_firmware.asm
etc/hotplug/usb/usbdux/usbdux_firmware.hex
etc/hotplug/usb/usbdux/usbdux_firmware.lst

commit 766795510a82d4fa91938e071a67145d63ea9726
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-08-14 20:33:46 +0000

    add "serial" to subdevice_types

testing/info.c

commit a9740966edb236a62d84347acf5b53a6b6cb6840
Author: David Schleef <ds@schleef.org>
Date:   2004-08-13 03:58:06 +0000

    bump version

configure.ac

commit 7cfa1941d7ec4c857608e05de3f30796e4e5764e
Author: David Schleef <ds@schleef.org>
Date:   2004-08-13 03:57:53 +0000

    add pkgconfig file

comedilib.pc.in

commit d9c0d0dc7037faff8214752784edf1893d7850bf
Author: David Schleef <ds@schleef.org>
Date:   2004-08-13 03:52:41 +0000

    Add pkgconfig file.  Add 'make dev' target.

Makefile.am

commit 8f3bcc94c5ad4a788c133f6d1472f5f7680c81c2
Author: David Schleef <ds@schleef.org>
Date:   2004-08-11 21:56:06 +0000

    update debian packaging

debian/changelog
debian/control
debian/rules

commit f8389c58f5908d2b626d21e7a901962e78bb9f0a
Author: David Schleef <ds@schleef.org>
Date:   2004-08-11 21:37:46 +0000

    Fix distcheck

swig/Makefile.am
swig/ruby/Makefile.am

commit 33d9f3daca79f930bbc587735b309a69123be702
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-08-02 01:35:41 +0000

    removed an unneeded debug message

comedi_calibrate/cb64.c

commit 2b1efc8b6c91bf50a8bec4ed2f170d74eb815721
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-08-02 00:10:47 +0000

    added some error messages, and update status of pcidas-1000

comedi_calibrate/cb.c
comedi_calibrate/cb64.c

commit 06a7891c4dd4975f9d2edfe19babbf2efeb253bc
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-08-02 00:09:51 +0000

    fix check for presence of ao subdevice

comedi_calibrate/cal_common.c

commit cdb4e7d266dfb2f8f02a19bb75a13cb3141744db
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-08-01 22:24:01 +0000

    updated usbdux firmware from Bernd Porr:
    
    Firmware now only measures as many channels as are in the channel list. If
    there's only one channel in the list we can manage to measure within one
    microframe. This makes it possible to measure with 8kHz max.
    Added a counter. The counter is called every 2ms from an FX2 timer inerrupt. Low
    priority so that measurements are not disturbed.
    The bulk transfers are now two times faster (insn). Reading an A/D value or an
    DIO takes now only 2ms or less. The trick is that the in endpoint is already
    filled when the request is issued.
    Fixed a bug in the FIFO resets.
    
    Second counter did not count properly. That's fixed. Also
    found two missing syncdelays.

etc/hotplug/usb/usbdux/usbdux_firmware.asm
etc/hotplug/usb/usbdux/usbdux_firmware.hex

commit 2afaa069bd3ad18a53e0048aec50f7bfd6d176b1
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-07-25 00:39:39 +0000

    insert usleep() in loop

testing/cmd_1.c

commit 5ff9f2f63e5a598e2ffc8b02dc961b864ca0ca90
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-07-24 21:27:05 +0000

    update status of 6014

comedi_calibrate/ni.c

commit 4496652627870742500fc23c1b31c72b522a58ed
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-07-24 18:04:59 +0000

    fix building of drivers.sgml and funcref.sgml when building out of
    tree

doc/Makefile.am

commit 53419b4e09b81cfa36a802d2e02e1deaa99c1c61
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-07-24 17:03:06 +0000

    patch for out-of-tree builds from Caleb Tennis

doc/Makefile.am

commit c673de7c79ba910a891ecf8653971a263f232cbc
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-07-24 16:09:01 +0000

    fix internal trigger when testing write command, and fix test when
    write command uses stop_src==TRIG_NONE instead of TRIG_COUNT

testing/cmd_1.c
testing/comedi_test.h

commit e66997b981d748941821eb224f048760386d5075
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-07-24 15:47:30 +0000

    fix test_segfault() so it works with 2.6 kernel signal handling behaviour

testing/mmap.c

commit 6aa65af0be33119a198058273d6869f291812ffc
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-07-14 11:42:05 +0000

    add entry for at-mio-64e-3

comedi_calibrate/ni.c

commit 60a04025a926c53642e43dd9b83b83db3b31dd39
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-30 00:28:27 +0000

    new results

comedi_calibrate/results/pci-6034e

commit 8d5b7e9e13a555f90d52a8640901677ffe6594a8
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-30 00:25:23 +0000

    updated pci-6034e to STATUS_DONE

comedi_calibrate/ni.c

commit 769129848d30924595c0543ffff11fff1eb7675e
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-29 01:21:23 +0000

    add support for pci-6034e

comedi_calibrate/ni.c

commit 9a84e6a44b6360bd2d989a862de0772c383a70be
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-20 03:36:33 +0000

    use setup.rb for clean-local and distclean-local

swig/ruby/Makefile.am

commit 7888c4a8e705cded1ac6f233ad2a1465aa26ea86
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-20 02:37:18 +0000

    make distcheck works now with automake 1.8

Makefile.am

commit 9dd97c647061ebd6507636d4478a2d29fff43533
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-20 01:45:16 +0000

    fix strict aliasing warning

lib/data.c

commit bddf0434f115eb1929b138f77864d4757ec413fe
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-19 23:12:30 +0000

    fix ruby prefix to work for distcheck

Makefile.am
configure.ac

commit 67319a9e99c5839bd12f09093f70e348c8cefe4c
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-19 19:55:26 +0000

    fix for compiler warning about strict aliasing rules

testing/mode0_read.c

commit 06a5a7846a3bab8a434eedbe6f6cefa18ef87186
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-19 17:55:38 +0000

    added some files to EXTRA_DIST that were left out of tarball

swig/ruby/Makefile.am

commit 3d426c3cac4620628863f57e238844394ab875ac
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-19 15:25:30 +0000

    fixes for srcdir != biulddir

lib/Makefile.am

commit 0e94ca5098111a5d912023436ee4d1b8332044ff
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-19 15:24:24 +0000

    fix compiler warnings about strict aliasing

lib/dio.c

commit d20c5e18c9e3a41ae48641b0e80920b225ea208f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-19 15:06:00 +0000

    fix compilation when builddir != srcdir

swig/python/Makefile.am
swig/ruby/Makefile.am

commit 2541e7b171ca582321378408c0f1b5e582ca0bf2
Author: David Schleef <ds@schleef.org>
Date:   2004-06-12 20:56:06 +0000

    distcheck fixes

configure.ac
swig/ruby/Makefile.am

commit 60942692cffc0b393b428fe446e4e9f5d5e0829f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-10 12:01:59 +0000

    fix eeprom address for 6713

comedi_calibrate/ni.c

commit bbe6060b5312de30c79a1d52248ee83342869270
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-09 23:08:26 +0000

    add warning to 6711 calibration if driver version might be too old

comedi_calibrate/ni.c

commit ccdecfcd81dd8fd0c452de36eb94c1813f585cfe
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-09 23:01:35 +0000

    6713 is completely failing

comedi_calibrate/ni.c

commit 917e918708ce5e59fb65e5732f4dd0a96c0bd03f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-08 00:20:22 +0000

    updated status of 6713

comedi_calibrate/ni.c

commit 57490664b40fa7b53a5de92dca986d230e070fdf
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-05 16:29:38 +0000

    new results

comedi_calibrate/results/pci-6014

commit d827f8ab712fb1269e823216e8c39757176e3585
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-05 16:25:17 +0000

    actually, status for 6713 should still be STATUS_GUESS

comedi_calibrate/ni.c

commit 63239bdde8a4188595878e38039802ae963ca038
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-05 16:21:59 +0000

    update pci-6713 status and add eeprom address of reference voltage

comedi_calibrate/ni.c

commit 4dbc361f7e968fcb29037bebf155e060fa1f6b94
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-01 01:37:56 +0000

    6014 seems to have ao fine offset caldacs, instead of linearity

comedi_calibrate/ni.c

commit 600b597caf78f28a4c857b68161804c69544e995
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-01 01:26:35 +0000

    update daqcard-6036e status to STATUS_DONE

comedi_calibrate/ni.c

commit 9d095b876b9cdadbda4d94beb1931c8a84a3701f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-06-01 01:26:09 +0000

    new results

comedi_calibrate/results/DAQCard-6036E

commit 0cec15340669871dd7ac7d4e0dd14b22b0736632
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-05-25 00:15:34 +0000

    pci-6014 support

comedi_calibrate/ni.c

commit d405d3694400b1a7323df65d33e12925a4484682
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-05-22 01:08:48 +0000

    added stub for pci-6014

comedi_calibrate/ni.c

commit 57decd8731665279c3672a0dd58464f0abb80386
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-05-20 21:53:38 +0000

    fixes for DAQCard-6036E

comedi_calibrate/ni.c

commit a80fe88246d3e92e28d0e4f662f036156f22c855
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-05-13 02:15:48 +0000

    new results

comedi_calibrate/results/at-mio-16e-10

commit b63b9ae21a6ce4199fec1afe5ce1aa5991885776
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-05-13 02:14:05 +0000

    update status of at-mio-16e-10

comedi_calibrate/ni.c

commit fe2b93e7b5a8f28adb361154a3a635e752833ea0
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-05-12 01:08:49 +0000

    filling in missing caldacs for at-mio-16e-10

comedi_calibrate/ni.c

commit d85b79a3f5d5c3f11076f5a6cdcefc6a53bf854b
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-05-09 21:57:56 +0000

    fixes for at-mio-16e-10

comedi_calibrate/ni.c

commit 907942460b486b585ab6e20e9323b182be9e21ef
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-04-11 17:29:53 +0000

    new calibration output

comedi_calibrate/results/at-mio-16e-1

commit b737bfcbb79d4ae0a809aed45acba36bce228aa5
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-04-04 02:22:44 +0000

    add support for ao linearity calibration on at-mio-16e-1 and
    at-mio-16e-2

comedi_calibrate/ni.c

commit 0dbabb2cdd287516afebc0a845ce01c9f479b40b
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-03-29 02:19:38 +0000

    scxi convenience library patch from caleb tennis:
    
    This latest patch changes the interface to three functions:
    
     comedi_scxi_open
     comedi_scxi_close
     comedi_scxi_readwrite
    
      With these three functions one can properly interface to all SCXI devices.  If
      you like the latest patch (3/23/04 07:14), please apply and close this bug.
    
       Next up will be adding some generic analog and digital IO functions.

include/comedilib_scxi.h
scxi/scxi.c

commit 30e7053ebce4d058ecef42c81477bd8680d03aed
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-03-29 01:43:27 +0000

    usbdux update from bernd porr:
    The new hotplug script uses comedi/usbdux.c for firmware upload and not fxload
    any more. fxload is too unreliable and seems to be missing or different among
    different distros. All users of usbdux boards report problems which are fxload
    related. The new hotplug script simply uses comedi_config -i firmware.hex. This
    fix also removes problems with the usbdevfs (race in 2.6, sleep, ...). The
    usbdevfs is no longer needed.

etc/hotplug/usb/usbdux/usbdux

commit dfc1ffbdbaa9a6554d16f1cbdd90ae666bbcfe69
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-03-29 01:39:36 +0000

    update to ruby binding from steven jenkins:
    
    Better exception handling. More consistent handling of return values. Updated
    documentation.

swig/ruby/README
swig/ruby/demo/cmd
swig/ruby/demo/common.rb
swig/ruby/demo/inp
swig/ruby/demo/outp
swig/ruby/lib/comedi.rb

commit 96cfcf95364d5290d549485c0f4a37814ba64eeb
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-03-29 01:34:15 +0000

    added daqcard 6036e support

comedi_calibrate/comedi_calibrate.c
comedi_calibrate/ni.c

commit 6623e404d8218438ea24885aca24ddb473d0dcdc
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-03-24 21:26:02 +0000

    new calibration results

comedi_calibrate/results/pci-6711

commit bb2f1868846116c92cbc984b4668301a992f5b7a
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-03-11 23:29:58 +0000

    ni pci-6711 calibration works now

comedi_calibrate/ni.c

commit 246d9434f2e062ef3e6d5cab4d7aa376ba8689d9
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-03-07 22:21:10 +0000

    downgrade status of 67xx boards to STATUS_UNKNOWN, since they don't
    work

comedi_calibrate/ni.c

commit 41ce3f70a09940eb4e4b613013d0829f8058adf2
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-03-06 22:13:37 +0000

    patch from Steven Jenkins  -------
    
    The attached patch updates files in comedilib/swig/ruby. lib/comedi.rb is
    updated to raise Ruby exceptions as indicated by the comedilib API
    documentation. README and demo/cmd are updated accordingly.

swig/ruby/README
swig/ruby/demo/cmd
swig/ruby/lib/comedi.rb

commit b48bfe080a5d3597ea8f8f756c1c99578f2951e6
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-03-03 03:14:03 +0000

    fix equality test

m4/as-ac-expand.m4

commit bb1ff949c9e5a9c76a0ecc5cec8d02f5c2289329
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-02-29 16:52:17 +0000

    beginnings of scxi convenience library from Caleb Tennis

Makefile.am
configure.ac
include/Makefile.am
include/comedilib_scxi.h
scxi/Makefile.am
scxi/scxi.c

commit 8be040818710665c8a85b4db6ed23bf9a51a6267
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-02-29 16:49:29 +0000

    add serial dio subdevice type

demo/info.c

commit ae9babbc61186254d5608f4958dbf6dd4031b1db
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-02-24 13:09:26 +0000

    guess reference eeprom address again

comedi_calibrate/ni.c

commit 628ec4210b32a6f5e8151dd117ba07339dcc1677
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-02-24 01:20:06 +0000

    new results

comedi_calibrate/results/pci-6033e

commit 368b22e2515e6b28b66c277e189c26139df82699
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-02-24 01:16:25 +0000

    fix eeprom address for voltage reference on 6033e

comedi_calibrate/ni.c

commit 23c1d703db25edefb1b5e7124aab494f00b596ad
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-02-21 14:34:08 +0000

    make sure ground isn't out of range during  unipolar gain calibration
    for 6033e

comedi_calibrate/ni.c

commit f97908c06e3e6b5e9ba01240d253642b7c587428
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-02-18 00:14:30 +0000

    sync with comedi

include/comedi.h

commit 3271187236baef27f7ff5b519593b3a58e72632d
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-02-16 14:30:45 +0000

    enabling support for pci-6033e

comedi_calibrate/ni.c

commit 6ea1735e6e934c76674fae4edf1ff1afb4928915
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-02-16 14:02:19 +0000

    Update from Bernd Porr. Sleeps only if the file is not there.

etc/hotplug/usb/usbdux/usbdux

commit 9097a55736595f3e35ea7fefe28cc5f01bd5f6ab
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-02-15 22:24:57 +0000

    add support for 67xx boards.  Doesn't work yet, due to unknown reference
    of internal calibration adc.  On my board, it's input seems to be about
    2% off from +-10V.

comedi_calibrate/cal_common.c
comedi_calibrate/calib.h
comedi_calibrate/comedi_calibrate.c
comedi_calibrate/ni.c

commit 2aeeb17080e8f1250792c46440294ba54054c550
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-02-07 22:20:16 +0000

    usbdux firmware update from Bernd Porr:
    Bugfix version of the firmware. When running ./cmd and ./ao_waveform at the same
    time I got CRC errors on the USB. Reason: some registers in the FX2 need a
    syncdelay. After a write to a register no other write is allowed to any other
    register for a certain time. This is called "Syncdelay". Introduced syncdelays
    for all EP registers. Now the CRC errors are gone.
    Another bugfix: the byte for the CPUCS register was wrong (shifted one bit to
    the left). This resulted in undefined processor speed. The speed was chosen just
    by chance at power up (12Mhz,24Mhz,48Mhz).

etc/hotplug/usb/usbdux/usbdux_firmware.asm
etc/hotplug/usb/usbdux/usbdux_firmware.hex

commit 38580fc697078c8a59646d1673a7afbe5f2c7aea
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-02-07 21:42:49 +0000

    patch form Bernd Porr:
    added a "sleep 1" just before fxload to eliminate race condition betwwen hotplug and usbdevfs in the preemptive 2.6 kernel

etc/hotplug/usb/usbdux/usbdux

commit 659520b9587feabf18a7d018bc7d1a6d8679367e
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-31 22:19:47 +0000

    sync with comedi

include/comedi.h

commit 4d08248fdaab09cd9f53b06692d218430660d95c
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-31 21:57:02 +0000

    update for usbdux driver form Bernd Porr who says:
    
    Had to change the USB 2.0 transfer protocol from IRQ transfer to ISO transfer.
    Reason: IRQ transfer is still not stable (2.4/2.6). However, ISO transfer has
    been rewritten in the kernel and works (just now in 2.6 but will be backported
    sooner or later)!
    I supply new firmware and a new version of the driver which now uses ISO
    transfer throughout (1.1 / 2.0).

etc/hotplug/usb/usbdux/usbdux_firmware.asm
etc/hotplug/usb/usbdux/usbdux_firmware.hex

commit 524f2090f4724b08a0af7a886bce664b29198291
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-18 21:35:50 +0000

    added description of comedi_command_test() return values

doc/funcref

commit 0c37ffaa7cabf3be60ae9240431fb1cb7986897f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-18 21:35:19 +0000

    fixed typo

doc/other.sgml

commit ad69935badb830459ca02a901c9dcb32fe4b9f1d
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-18 20:26:47 +0000

    don't make comedi_command arg INOUT

swig/comedi.i

commit 610dfd9bcf00dc53bb6847ee0182cd7dd6e91545
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-17 20:23:07 +0000

    fix check for ruby.h

configure.ac

commit ebec2e6206cc2b5fbbc5d957ddbc3262ee839d8f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-17 20:12:17 +0000

    add check for ruby header

configure.ac

commit f59b64a8dedf77677bef171717c65e083964f036
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-17 19:39:54 +0000

    added configure options for disabling python and ruby bindings

configure.ac

commit 2fe5055c25db467d99778a3a6da137c56f64e768
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-17 19:18:08 +0000

    clean up object files

swig/ruby/Makefile.am

commit 3e81d9e11ed1c5ab457fea38dceee755fe87a9ba
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-17 19:17:42 +0000

    update README to reflect automake support for compilation/installation

swig/ruby/README

commit b8d7e64c4df876e93a95ff47411c626d5d310787
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-17 19:08:46 +0000

    more autoconf support for ruby binding

configure.ac
swig/ruby/Makefile.am

commit 0178ccd682be24995a1077eed71b00159b5cd201
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-17 19:08:17 +0000

    pass arguments to configure

autogen.sh

commit a3005f2922ca2f1f34f21b0b104663ee31912f80
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-17 17:11:17 +0000

    start of automake support for ruby extension

swig/ruby/Makefile.am

commit cac5a2eac607daf53e3d199e2b0abcf27676929f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-17 16:33:09 +0000

    ruby binding and example from Steven Jenkins.  I still need to tweak
    the Makefiles a bit to integrate it properly

swig/ruby/README
swig/ruby/demo/cmd
swig/ruby/demo/common.rb
swig/ruby/ext/MANIFEST
swig/ruby/ext/extconf.rb
swig/ruby/lib/comedi.rb
swig/ruby/setup.rb
swig/ruby/syntax_sugar

commit a7ad74bf2d5d5684f3fd2384b82926876875c733
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-12 22:41:40 +0000

    include typemaps.i

swig/comedi.i

commit 153547a0477a66434dd9b004ffacc3b0642ee02f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-12 01:38:06 +0000

    ruby fix from steven jenkins

swig/comedi.i

commit 57dc5de6d32045637885e794745283a9b8da1bd2
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-12 00:03:45 +0000

    fix problem with html directory getting remade every time (at least
    with automake1.8)

doc/Makefile.am

commit 971764caf184cdcbb9ed957fefe17154eeb25710
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-11 23:39:18 +0000

    added some m4 quoting to get rid of automake1.8 warnings

m4/as-ac-expand.m4
m4/as-compiler-flag.m4
m4/as-libtool.m4
m4/as-version.m4

commit 37cc8552e8dd3107255dc4228ef1198138dc3fe9
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-11 23:16:02 +0000

    add some comments on obsolete sections

swig/python/README.txt

commit 711679b1e2295672ab661a72e28d5a4aa1bb4914
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-11 23:14:44 +0000

    restore README.txt that got lost when I moved the python directory

swig/python/README.txt

commit 09aa989c1f946030e70d8303a067dea40052c2de
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-11 23:04:35 +0000

    swig deprecated BOTH in favor of INOUT

swig/comedi.i

commit a64c59b46d9a7789092ceece625a88a6ae75e223
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-08 03:10:32 +0000

    make cvs checkout compilable by people without swig

configure.ac
swig/python/Makefile.am
swig/ruby/Makefile.am

commit 76c73a095645e9c5216d3979961689d6cf524238
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-04 17:07:04 +0000

    fix typo

swig/python/Makefile.am

commit bc7a0262b23ffbf49ed8689e5a5d8dd56454db28
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-04 16:56:35 +0000

    moved SWIG code from python directory to new swig directory.  Added
    beginnings of support for ruby swig binding

Makefile.am
configure.ac
python/README.txt
python/comedi.i
python/comedi_wrap.c
swig/Makefile.am
swig/comedi.i
swig/python/Makefile.am
swig/python/comedi.py
swig/python/comedi_wrap.doc
swig/python/setup.py
swig/python/test_comedi.py
swig/ruby/Makefile.am
swig/ruby/examples/cmd
swig/ruby/examples/common
swig/ruby/syntax_sugar

commit 56027b215404d941e513fc13f3e79cdfe65b6f85
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-04 16:06:51 +0000

    html_targets and man_targets not working out so hot

doc/Makefile.am
doc/html_targets
doc/man_targets

commit 998c091e1e3376da29e46c1efd141c11224b3024
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-02 01:16:00 +0000

    doing a retry for the preload write is useless, since the command
    hasn't started yet.  Print a useful error message and exit instead.

demo/ao_waveform.c

commit 054cade97fe44580d4c3dc4e59610e48a0214fe4
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2004-01-02 00:06:33 +0000

    made BUF_LEN larger, so boards with huge ao fifos (ni 67xx)
    don't underrun when starting up.

demo/ao_waveform.c

commit a264b821eb397c236f756b434e2b225007091dcb
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-12-24 16:09:30 +0000

    try to keep html_targets and man_targets up-to-date as automatically
    as possible

doc/Makefile.am

commit 663896f3257050bcca1268b9a8768023889fe2cb
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-12-24 15:46:55 +0000

    use files to keep track of html and man targets

doc/Makefile.am
doc/html_targets
doc/man_targets

commit c5028f969908bee282b7229d393e5cac47a8f866
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-12-24 15:40:31 +0000

    fix possibility of incorrect bison invocation, when make tries to
    make calib_yacc.h before calib_yacc.c

lib/Makefile.am

commit af062d28653ee55b19ee83ab0b6930d06308f2ba
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-12-24 15:00:47 +0000

    put gif back in EXTRA_DIST

doc/Makefile.am

commit 4581baf59a3eb21aac63f5dda9bd693406ee6240
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-12-24 01:48:51 +0000

    provide prebuilt docs in distribution tarballs

configure.ac
doc/Makefile.am
doc/acq-seq.gif
doc/html/Makefile.am
doc/man/Makefile.am

commit c75e9301c819858d929fb5f9c5267f63cd0a85a4
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-12-21 18:07:42 +0000

    added some missing end tags, noted by Steven Jenkins

doc/comedilib.sgml
doc/driverwriting.sgml
doc/install.sgml
doc/other.sgml
doc/tutorial.sgml

commit a57ff1fc14750abf4d140686fa4f8dc7e754d859
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-12-21 17:30:01 +0000

    update from bernd porr to use fxload to load firmware

etc/hotplug/usb/usbdux/usbdux

commit cb5e78da65d94d1329dbff5598c3490e3deac075
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-12-03 02:43:47 +0000

    make dependency handling work for subdirs

doc/Makefile.am
doc/html/Makefile.am
doc/man/Makefile.am

commit a03c337cdb9fa2e7c1a8302447a70644588bc91c
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-12-03 02:43:22 +0000

    trying to improve calibration docs

doc/funcref

commit 217924bcfe6f65975601a38a8f2134919ac55424
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-12-03 01:47:39 +0000

    trying to improve calibration docs

man/comedi_calibrate.8

commit 7f83f89d4c7aad50bc82d962dca9887c8fbeccdd
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-11-30 15:41:52 +0000

    add support for usb scripts/firmware

configure.ac

commit e410cfda9c898495942c45673227e9f96d24faa5
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-11-30 15:41:14 +0000

    comedilib support for new usbdux driver

etc/Makefile.am
etc/hotplug/Makefile.am
etc/hotplug/usb/Makefile.am
etc/hotplug/usb/usbdux/Makefile.am
etc/hotplug/usb/usbdux/Makefile_asm
etc/hotplug/usb/usbdux/README
etc/hotplug/usb/usbdux/fx2-include.asm
etc/hotplug/usb/usbdux/usbdux
etc/hotplug/usb/usbdux/usbdux_firmware.asm
etc/hotplug/usb/usbdux/usbdux_firmware.hex
etc/hotplug/usb/usbdux/usbdux_firmware.lst

commit 9350128a51ef9d09a95a1248091dc05b22ba10e0
Author: David Schleef <ds@schleef.org>
Date:   2003-11-20 18:40:30 +0000

    new files

testing/results/pci-6023e
testing/results/pci-6713
testing/results/pci-das6023
testing/results/pci-dio-32hs

commit 8bca0fc2cdb93df8e1ad0f7d10ec31b86096e8ec
Author: David Schleef <ds@schleef.org>
Date:   2003-11-17 20:13:42 +0000

    Add notes about compiling from CVS

README.CVS

commit 3fd60e201e94d9907d574ebc56bced9b71975b22
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-11-15 14:35:20 +0000

    *** empty log message ***

INSTALL

commit a0b578697fe4582692fe99a0b8972f93d9b0d2b9
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-10-24 00:56:30 +0000

    add daqcard-6036e

etc/pcmcia/comedi.conf

commit 28ea3d0529423af82b6b7f718e8f96c9a1fe06eb
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-10-13 19:22:07 +0000

    fix coarse/fine ai pregain offset caldacs for pci-6025e

comedi_calibrate/ni.c

commit d9a35aa836e4a8b09443688dfb2b2f8414d9191a
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-10-13 18:52:23 +0000

    fix path when creating calibration directory during install, bug noted
    by Norbert Schmidt.

comedi_calibrate/Makefile.am

commit ad25b37d406234a69ce250716b850f49a4f684bd
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-10-09 14:59:44 +0000

    add ACLOCAL_AMFLAGS so automake calls aclocal correctly when necessary

Makefile.am

commit 6d4b3337c25500c389e5e69f98816661e76f4153
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-09-03 03:54:06 +0000

    hack so we don't rebuild docs with every make

doc/html/Makefile.am
doc/man/Makefile.am

commit ee428c99bc9f6a75e629f54f82febfefd41203f1
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-09-03 03:49:12 +0000

    typo

doc/funcref

commit 29b0c0b5eb00cb0e0886365bcee56720a977c435
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-09-03 02:59:00 +0000

    added a -release option for libtool, so it names the library with
    the version instead of libcomedi-0.0.0.so

lib/Makefile.am

commit 37a8e0533fe9b57b038a07601c3fa08601342e59
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-09-03 02:18:52 +0000

    add id to glossary so it doesn't produce a randomly named html file

doc/glossary.sgml

commit 3602f4abab26da45add24c09f994a0dbfdf3b72c
Author: David Schleef <ds@schleef.org>
Date:   2003-08-30 04:21:50 +0000

    localstatedir should be /var, thus we need append a lib/ here

lib/calib.c

commit 22b88279c2db04e1b9cd07d567ead1858585e133
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-08-30 02:08:21 +0000

    coarse and fine pregain offsets were switched for pci-6024e

comedi_calibrate/ni.c

commit a2f63aeedb63303e684a6efd4513c21ccc947d6c
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-08-23 03:26:39 +0000

    add stub for daqcard-6036e

comedi_calibrate/ni.c

commit 366e3a261300ae678c6e71d3ecdc5ac0c5ed5dc4
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-08-21 16:10:56 +0000

    add calib_yacc.h to BUILT_SOURCES

lib/Makefile.am

commit 17d9741765d4276a7ed54d1a4cfce9f695580db2
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-08-21 15:11:34 +0000

    use 'ue' instead of 'u' for uumlat

doc/comedilib.sgml

commit 8e2cd55f2423f7a451f8524243d93ecc64586e40
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 23:18:07 +0000

    fix warnings

comedi_calibrate/save_cal.c
demo/sv.c

commit df9e839390c9064e85b513dd84b1bd760203e765
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 23:11:18 +0000

    version bump

configure.ac

commit 691373797b53851a3350c2a6373645f7e61562ce
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 22:55:40 +0000

    force aux dir

configure.ac

commit d7a275dcaccfcd86d083f5d9232f45ef0da6ee83
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 22:19:35 +0000

    new makefiles

etc/Makefile.am
etc/pcmcia/Makefile.am

commit 73d57773000d2b1733fd460f1c72c5a4a49656a2
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 22:18:05 +0000

    rerefactor Makefile.am

doc/Makefile.am

commit 57ee5a6de730b22ab4e96b9ac00f525de91f75db
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 22:17:30 +0000

    add Makefiles into etc/

Makefile.am
configure.ac

commit 47d1c330571411391f28b7595e619951f966c5fc
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 22:14:58 +0000

    install a few more files

debian/libcomedi-dev.files
debian/libcomedi0.files
debian/rules

commit 42eb25e515bf206c3919e1dfa459401f7ea2297c
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 00:51:13 +0000

    not needed

etc/rel_comedilib

commit 7174581d98b2473987ed416bfdfc1a088a5097ab
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 00:43:52 +0000

    add files

debian/libcomedi-dev.files

commit 3770278066c365d60440c1e92077bb414f5428f2
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 00:42:41 +0000

    updates from debian package

debian/changelog
debian/control
debian/libcomedi0.postinst
debian/libcomedi0.postrm
debian/libcomedi0.shlibs
debian/rules

commit 71e3e08c9011ea90ecee46e113e4e69d8f4296be
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 00:41:35 +0000

    update

debian/copyright

commit 8c7886ff0db2a7db141a3d628997bfd94a6ecc1e
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 00:20:54 +0000

    don't dist acq-seg.gif

doc/Makefile.am

commit fac5eabb0bb6d6d0fefea59486661222aacf281e
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 00:20:41 +0000

    moved to html

doc/acq-seq.gif

commit 733da099a23be5807f3830fe51b6b5030837caa2
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 00:20:02 +0000

    refactor build system for docs

doc/Makefile.am
doc/comedilib.sgml
doc/html/Makefile.am
doc/html/acq-seq.gif
doc/man/Makefile.am

commit 0a70a2f231551d05c0930e06f4253d86b5a58b2a
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 00:18:46 +0000

    calibrations is installed in $localstatedir

lib/calib.c

commit cd7cab945867cf9bbec81f46b3c59182ad5e7a4f
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 00:18:04 +0000

    dist generated lex and yacc sources

lib/Makefile.am

commit b666cdc3d1084de1b0f463af107353d69a2a1fc0
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 00:16:32 +0000

    remove flex and bison from build deps

debian/control

commit c7701b0b87b422cb91cc90fb1f783d1c08c8f3ff
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 00:15:58 +0000

    Install calibrations/ to localstatedir

comedi_calibrate/Makefile.am

commit 038034fdbbce5d781d35bcff66e92a114c0243f6
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 00:15:29 +0000

    remove include from EXTRA_DIST

Makefile.am

commit 7dec44588034992bdfc77ebda7b92725dc9e34a1
Author: David Schleef <ds@schleef.org>
Date:   2003-08-16 00:15:15 +0000

    update version.  switch back to using docbook2xxx, and test for
    each one.  Jade/jw doesn't really have a way to test for backends.

configure.ac

commit 7adc4794f67f9e08b5a6662d0598e9174fe8e367
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-08-15 21:13:29 +0000

    ignore externally referenced ranges in get_bipolar_lowgain(), etc.

comedi_calibrate/comedi_calibrate.c

commit 66ab57bca108f56f98bd8d9ed74f6680c2d4e819
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-08-11 20:05:06 +0000

    marked sv_ functions as deprecated

doc/funcref

commit 605a5fa68b35d494dc15f5368342fb837d208a86
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-08-08 18:41:20 +0000

    ignore install errors for manpages

doc/Makefile.am

commit ef4b9afdb5e01a08152615a460081839665d6467
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-08-08 17:38:59 +0000

    it's https instead of http

comedi_calibrate/comedi_calibrate.c

commit a20a51506cf3ba2bde10cf51b30bdb4ca8ae458a
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-08-02 03:58:21 +0000

    added missing </para>

doc/intro.sgml

commit 82f3f20381d78d93742a1a466b5fe21b5b2d39ea
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-08-02 03:44:13 +0000

    fixed closing of </refentry>

doc/mkref

commit e45e9a2c277ebc541d5d49ed1fcf546da9a9fa59
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-08-02 03:20:22 +0000

    added support for fine unipolar offset caldac, especially for pci-6042e.
    updated pci-6052e status to STATUS_DONE (unipolar analog output
    linearity calibration works correctly now).

comedi_calibrate/ni.c

commit 044bba0d1a8335b506f013d727ac317ae8859e0f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-08-02 03:18:36 +0000

    moved a few lines around for clairity

comedi_calibrate/cal_common.c

commit 7c1c60388edc0c9e211c163cd6d5bd8f35001127
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-08-02 03:17:49 +0000

    updated results using debug caldacs

comedi_calibrate/results/pci-6052e

commit 48a08ec68ee7d18dd3ac3b2d8d07e520494804c1
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-23 20:00:49 +0000

    tweaks, and always reset fine caldacs before adjusting corresponding
    coarse caldac

comedi_calibrate/cal_common.c
comedi_calibrate/ni.c

commit ca615cb0fe2b7f95af973ff022c4381bb9f8972b
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-21 19:23:58 +0000

    updated pci-6031e status to STATUS_DONE, and made pegs happen only
    when caldacs are reset.

comedi_calibrate/cal_common.c
comedi_calibrate/ni.c

commit 5ec125425e78af05223402abb1aa58f7bcf7a350
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-21 19:22:38 +0000

    updated results

comedi_calibrate/results/pci-6031e

commit 4f5a67c36d91529348e23d44e9227013324b6ffe
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-20 05:10:13 +0000

    do seperate unipolar ai calibration on ni boards that need it

comedi_calibrate/cal_common.c
comedi_calibrate/calib.h
comedi_calibrate/ni.c

commit 5c505d7b573965348cd47a6b7f365fbed30791c7
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-20 03:20:50 +0000

    don't save multiple values for the same caldac channel

comedi_calibrate/save_cal.c

commit 4a028b8012806dae4b5af03f7e493a1d0f19fefa
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-19 22:48:31 +0000

    add pci-6031e support.

comedi_calibrate/ni.c

commit fda2e6259d9e85630ebc099ed133fb67237321d7
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-19 22:12:29 +0000

    alphabetize boards and add more STATUS_UNKNOWN board types

comedi_calibrate/ni.c

commit b2c706096e29b8da084ed1b7705e291ab1fb61da
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-19 22:09:47 +0000

    new results

comedi_calibrate/results/pci-6031e

commit 35ae28907b8882736df7a81999756b5493bb24e6
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-19 19:16:41 +0000

    tell user when command line options are being forced on or off

comedi_calibrate/comedi_calibrate.c

commit 8c5615994f902a7005407ceaf31398872e1dc335
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-16 16:45:27 +0000

    correct url for cvs instructions

README

commit 389507482bf11d7050427af6357f79acf0938823
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-16 16:38:33 +0000

    fix use of COMEDI_DEVCONF_AUX_DATA* options (from Bernd Porr)

comedi_config/comedi_config.c

commit 0812812571d85c9c4459817bea73f4a02000dbea
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-16 16:26:14 +0000

    sync with comedi

include/comedi.h

commit 092659f27deebc8e9c971181652f3f6b0ca372f2
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-15 15:58:28 +0000

    refined handling of built directories

doc/Makefile.am

commit 5a951646a7187b3407f7b979ad64eff65762246c
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-12 01:32:02 +0000

    incremented n_observables for new observables i added

comedi_calibrate/ni.c

commit d9f02d1466e23526473f8d25525c0a0c7f5eb7d8
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-11 23:31:08 +0000

    tweaked bipolar ao targets

comedi_calibrate/ni.c

commit dfdb0915aa961e2e455c3ca4d149785b883c5020
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-11 23:25:10 +0000

    ignore errors making manpages again

doc/Makefile.am

commit caa9fd466389a89a8e0877368e5515ca41ccba31
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-11 23:07:42 +0000

    added symlink for figure

doc/Makefile.am

commit d3e6b58fdf0f5dde365926493c934233a61b64e6
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-11 22:53:40 +0000

    replaced all &ldquo; and &rdquo; with <quote> and </quote>

doc/driverwriting.sgml
doc/install.sgml
doc/intro.sgml
doc/other.sgml
doc/reference.sgml
doc/tutorial.sgml

commit 4f397d0a38478b73a5dedaec0070296f2851e4f4
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-10 22:07:12 +0000

    fix 6052 calibration to use ad8804_debug caldacs

comedi_calibrate/ni.c

commit 9574922ac1633e73e26346f1bd039a735dba8350
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-10 21:55:03 +0000

    fixing bipolar ao linearity calibration, lowered 6052 status since
    I'm pretty sure the caldac type is wrong in the driver.

comedi_calibrate/ni.c

commit 70666cad39806a5c79a353eea608c25ce5bd351a
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-09 20:13:00 +0000

    added etc/ to EXTRA_DIST, moved creation of /etc/comedi/calibrations to
    comedi_calibrate subdirectory's makefile

Makefile.am
comedi_calibrate/Makefile.am
etc/pcmcia/comedi

commit d53f8fb6b8f49496c2f637984de95f62ecb3159f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-09 19:49:59 +0000

    got rid of advanced.sgml

doc/Makefile.am

commit 41291d69a661cb0c8e8254b0fe8fa79a87d67f7d
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-09 19:03:48 +0000

    use AC_PROG_LIBTOOL instead of old name AM_PROG_LIBTOOL

m4/as-libtool.m4

commit d7fc976d8b226961dff315af3e14b2d75533a687
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-09 02:46:39 +0000

    undoing regression

doc/advanced.sgml

commit 5cc75f5efe0d27abb427bb46e14372c6d2161edd
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-08 23:51:29 +0000

    fix regressions, remove obsolete description of isapnp support

doc/install.sgml
doc/other.sgml
doc/reference.sgml

commit f98e8f792ee2fefbcf929924717dd19323bf2f7c
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-08 23:02:42 +0000

    fixed a regression and added some copyright notices

doc/comedilib.sgml

commit 49414d97d626c7b8b9137c983b2681d4ff612565
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-08 22:58:20 +0000

    fix figure

doc/intro.sgml

commit b9f2b7d2fea7675a95cb799320704c6d57b555df
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-08 22:39:23 +0000

    undoing funcref regressions

doc/funcref

commit 81df61bede802814263a9e54754e48156b78d996
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-08 22:13:00 +0000

    make install-data-local target conditional, and use $(INSTALL_DATA)
    instead of $(INSTALL)

doc/Makefile.am

commit 374e8ca6635a23d8e9bfd475b170a63eff890f92
Author: David Schleef <ds@schleef.org>
Date:   2003-07-07 22:48:44 +0000

    escape quotes in perl string

doc/mkref

commit 7202fb8b74ff69df1c3602a99e52369e81c628c2
Author: David Schleef <ds@schleef.org>
Date:   2003-07-07 22:44:39 +0000

    add figure

doc/Makefile.am
doc/acq-seq.gif

commit d70d0eef2cd9cdfadb10c7571ae43083464a0619
Author: David Schleef <ds@schleef.org>
Date:   2003-07-07 22:34:18 +0000

    Much fixage and new text from Herman.

doc/advanced.sgml
doc/comedilib.sgml
doc/driverwriting.sgml
doc/funcref
doc/glossary.sgml
doc/install.sgml
doc/intro.sgml
doc/mkref
doc/other.sgml
doc/reference.sgml
doc/tutorial.sgml

commit 8e33ed9c6e4effc890e9a25a6ce077f12f13c265
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-06 00:11:13 +0000

    added detection of flex/bison to configure

configure.ac
lib/Makefile.am

commit d492ffbc39ee3caef41d4f7d1819f3d550059e4a
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-03 21:51:23 +0000

    daqcard-1200 is now supported by ni_labpc_cs.o driver

etc/pcmcia/comedi.conf

commit b6cbf8a08ed98bfc3376f09f18024c118a5c3800
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-03 16:17:40 +0000

    added creation of /etc/comedi/calibrations directory during install

Makefile.am

commit 79a109dcc66e931d2db91d98148c10dfae663be6
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-03 15:51:53 +0000

    added reference eeprom address for pci-6036e

comedi_calibrate/ni.c

commit 2b3832c22008fa32df23db3828f62718570aeaaa
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-02 18:35:52 +0000

    pci-6036e works

comedi_calibrate/ni.c

commit d471a2dc394ef676c5a0a7e80871ebb169bcf4e4
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-02 18:35:03 +0000

    added a perror()

comedi_calibrate/save_cal.c

commit f801b52a9a06f483d31c303b5ea9087c247cf91f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-02 18:26:26 +0000

    new results with ad8804_debug caldac

comedi_calibrate/results/pci-6036e

commit 02125939f196dac92ffd2ef4fa89ad3653f62da8
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-02 18:04:46 +0000

    fix out-of-range problems with ao unipolar linearity calibration

comedi_calibrate/ni.c

commit 5de65aa11de4cec133923c6b42a4affdbfd1323f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-01 21:14:15 +0000

    fix analog output targets

comedi_calibrate/ni.c

commit a73cef8a7679ae96434028a490c7439b9838b5e6
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-01 21:01:31 +0000

    fixed a DPRINT

comedi_calibrate/comedi_calibrate.c

commit 54530d0efb9c1be68a032aa024281f9d0a9843e7
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-01 20:57:15 +0000

    fixes for pci-6071e

comedi_calibrate/ni.c

commit a0ca3dc58afbd2e38f9504095d04bb507c674e12
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-07-01 20:56:43 +0000

    new results with ad8804_debug caldac in driver

comedi_calibrate/results/pci-6071e

commit b69e3de979670a34ba6f7ba5e0ec64d1324d222c
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-30 15:25:16 +0000

    added adc_pregain_offset_fine for 6036e

comedi_calibrate/ni.c

commit 4e7a838087f2c3990c0c4f8cbd6f35ec3b92ced8
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-27 14:26:18 +0000

    first pass at pci-6036e calibration support

comedi_calibrate/ni.c

commit a575e23b55a0d2b82523f7115d471887b4a0c09c
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-27 03:23:49 +0000

    added pci-6036e entry

comedi_calibrate/ni.c

commit f5fd0b02693894ca6bf468d3fe4daa17e5b9dec7
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-27 03:15:02 +0000

    trivial changes of 1 to 1.0

comedi_calibrate/cb.c
comedi_calibrate/cb64.c

commit 04582261ab6f294f602c023270067ce46d8fc01f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-18 00:06:20 +0000

    fix possible segfault

comedi_calibrate/comedi_calibrate.c

commit 49b521c21c8bad390b9c9876bf09802e9c9781ef
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-17 23:57:49 +0000

    make it loop through gain/offset calibrations until the readings are
    within specified tolerance of targets.

comedi_calibrate/cal_common.c
comedi_calibrate/calib.h
comedi_calibrate/cb.c
comedi_calibrate/cb64.c
comedi_calibrate/comedi_calibrate.c

commit 57f038f35c38163d684b089382346c1d402adcae
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-17 00:44:14 +0000

    updated comment

comedi_calibrate/cb.c

commit b0a4a1dbd0c8fb94c7b7952556fe71777723ae32
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-17 00:05:28 +0000

    Disable attempt to do unipolar postgain calibration on measurement computing
    pci-das1602/16 boards, since it is failing badly.

comedi_calibrate/cal_common.c
comedi_calibrate/calib.h
comedi_calibrate/cb.c

commit 11264f9d0163159a4acf1afe4f2494eccc819c06
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-14 16:04:23 +0000

    make unipolar gain calibration work a little better

comedi_calibrate/cal_common.c

commit a61dcfa9f79c7682640559c706660c1bc0087803
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-13 21:49:27 +0000

    use bipolar range when pegging pregain offset before unipolar postgain
    calibration

comedi_calibrate/cal_common.c
comedi_calibrate/cb.c

commit 07b25b2b9f1e5099a87281303b912d40c3c2c953
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-13 18:03:22 +0000

    remove duplicate lines

comedi_calibrate/cal_common.c

commit f04b00a8584d370e5f4b55defcc03d6d27f28fae
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-13 17:15:40 +0000

    tweak to unipolar postgain offset routine

comedi_calibrate/cal_common.c

commit c62918e14e6a09759335ac6ea9d0a66a402dc183
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-13 17:13:28 +0000

    new results for measurement computing pci-das1602/16

comedi_calibrate/cb.c
comedi_calibrate/results/measurement-computing-pci-das1602-16

commit 532ff2daa571bf0d020ec1c864f15441dd6a4a81
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-12 19:57:43 +0000

    fix problems with set_target setting the target to NaN on unipolar ao ranges

comedi_calibrate/comedi_calibrate.c

commit 5b8c21c96a702092d361cb9a552b6ba37d356892
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-06 18:57:30 +0000

    fix swapping of unipolar and bipolar postgain offsets during calibration

comedi_calibrate/cal_common.c

commit 553a0142e91c616ea1b3a8b0cdc91425027e287a
Author: David Schleef <ds@schleef.org>
Date:   2003-06-06 17:50:33 +0000

    Macro from gstreamer

m4/as-compiler-flag.m4

commit 53a43ff0a711174a40ec6d05e513e285adbcf9b8
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-06 14:59:29 +0000

    make sure we aren't out-of-range when doing unipolar postgain offset

comedi_calibrate/cal_common.c
comedi_calibrate/calib.h
comedi_calibrate/comedi_calibrate.c

commit 7af1cc7f5ede78b87c996706f8ee4ef7e08b6009
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-06 14:07:58 +0000

    added some m4 quoting (fixes docbook warning message with comma), added
    warning message when python binding will not be compiled.

comedi_calibrate/comedi_calibrate.c
configure.ac

commit 49e17577dfc7d4a8dff3dbfb500a57e0829b6792
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-06 05:01:08 +0000

    fixed return value for comedi_dio_config() entry

doc/funcref

commit 613d45f72a595a8c56d2024dc21881fe2b0db172
Author: David Schleef <ds@schleef.org>
Date:   2003-06-05 22:17:01 +0000

    Conditional compile.  Use compiler flags found by autoconf

python/Makefile.am

commit a2e5d96ba6e3bae243000d0e8a651a85f34cd375
Author: David Schleef <ds@schleef.org>
Date:   2003-06-05 22:16:02 +0000

    Add conditional compilation.  Use docbook found by autoconf.

doc/Makefile.am

commit b5c7d281a2e251ceb7302849af0354fa22492a13
Author: David Schleef <ds@schleef.org>
Date:   2003-06-05 22:15:12 +0000

    move files around.  fix build depends.

debian/changelog
debian/control
debian/libcomedi-dev.files
debian/libcomedi0.files
debian/python-comedilib.files

commit 00849f157e630ea49be0ea4f908e67a06cec59cb
Author: David Schleef <ds@schleef.org>
Date:   2003-06-05 22:13:58 +0000

    Conditionally find python and docbook.  Check compiler flags.

configure.ac

commit 8f36bbd560fed2a388da012ee343a9ade177331e
Author: David Schleef <ds@schleef.org>
Date:   2003-06-05 22:12:45 +0000

    Fix to actually make it work.

comedilib.spec.in

commit f3c2842bfb18b23718ee8f190fceb7c95fe55c1c
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-05 04:22:50 +0000

    gcc 2.95 doesn't understand -Wno-unused-function, replaced with -Wno-unused

python/Makefile.am

commit 065495273e1265cd1134ec96b284b4791f1f302e
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 20:28:04 +0000

    add some compiler flags to make quieter

python/Makefile.am

commit a41a632c5d0c275be2b0f26c724f1067bec45bd6
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 20:27:25 +0000

    remove check for python >= 2.2

configure.ac

commit a6bb2b79113cf51410eeb1917e81b59bd0f1ee33
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 20:00:29 +0000

    Use autoconf-located includes for python

python/Makefile.am

commit 1d1005175ac6fd97fe3081a566a258e72c73b6f5
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 04:23:57 +0000

    Fix name of comedi module

python/Makefile.am

commit 76e49e97e2e8dd38167d029c8cd00f6797556b2c
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 04:23:22 +0000

    new snapshot

debian/changelog

commit 7e0247279729343d1a72a100323148b025f8959e
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 04:15:02 +0000

    Change return value of comedi_data_{read|write}()

doc/funcref

commit ce44af670c67aea0cda370545f36ee1301fb5fb1
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 03:38:06 +0000

    move files to python-comedi

debian/libcomedi0.files
debian/python-comedilib.files

commit 718b2db19351d6be7afeb81e6ba4039009182d32
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 03:36:55 +0000

    autogenerate spec file

Makefile.am
comedilib.spec.in
configure.ac

commit 13c4f1fc3d7b4ed9a4cea3e849d21bcf9dd54606
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 03:34:57 +0000

    make autogenerated

comedilib.spec.in

commit 4737f22ddd4ff1e6fb18ead9a5147a0c9c5a5ff9
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 03:33:59 +0000

    hacking.  Don't know if this works :)

comedilib.spec

commit 463736ca60f65466cfa2af9d63b1e6442753886b
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 03:04:42 +0000

    learn how to write sh correctly

autogen.sh

commit 7b9099df6bf85ead3575c8c4b98247d8fea4f6af
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 03:03:17 +0000

    stolen from gst-python

m4/am-check-python-headers.m4

commit 3f05c6147feffb7809354a0e34928ea5c2614ad2
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 03:02:25 +0000

    touch some missing files

autogen.sh

commit e21f2a555dc026312c4ca6e03bf5566d209f0e6b
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 02:59:18 +0000

    er, don't really want to use acinclude.m4

acinclude.m4

commit 2445e19237571c866360fcf9e65d6db39a115be5
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 02:58:00 +0000

    acinclude.m4 stolen from gst-python

acinclude.m4

commit 74e8c0e4a936f410b557088570188e827ee58609
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 02:55:50 +0000

    need to dist these files.

include/Makefile.am

commit bd414e5a57a37253f03bc65fbe80539314bbadb8
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 02:54:41 +0000

    add #! line

demo/python/cmd.py
demo/python/mmap.py

commit cbc88ac621cd7d416857660857c8884589268234
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 02:53:45 +0000

    Add python examples from Luc Lefebvre <luc.lefebvre@mcgill.ca>

demo/python/README
demo/python/cmd.py
demo/python/info.py
demo/python/mmap.py

commit 25669b17b28463a91d573bee651f0da94efbc656
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 02:49:23 +0000

    regenerate

python/comedi.py
python/comedi_wrap.c

commit 1cfc30e91079fb52ecf3b63ee8450f6ac72c3f92
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 02:48:32 +0000

    update

doc/drivers.txt

commit 11de6fee0de0c6d8cd580c943ee4dae40edf509f
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 02:48:00 +0000

    not needed with new debhelper

debian/libcomedi0.conffiles

commit c6370ce00d06e5f261d32fc29b0fa28497fc9ede
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 02:47:41 +0000

    install in a more debhelper-friendly way

debian/libcomedi-dev.files
debian/libcomedi0.files

commit ca4dfd446d6d8a9f73b9dc090a674b8398b74f06
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 02:47:15 +0000

    packaging fixes

debian/changelog
debian/control
debian/rules

commit 435ad43809f5ac9f3f0f071c9fd002e57bf0eff4
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 02:47:00 +0000

    tell people to submit a bug report

comedi_calibrate/comedi_calibrate.c

commit a744f60230b2875c9d7ba7699cd26016d9915159
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 02:46:41 +0000

    no longer used

Config

commit 342b47fb2b5c13b6a1ab829ff5cd4c0bfba849e1
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 02:43:49 +0000

    moved to ..

rpm/comedilib.patch
rpm/comedilib.spec

commit 6f8877b61dfc7b292e363492273ed165bebce36c
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 02:43:12 +0000

    move out of rpm directory

comedilib.spec

commit 2cdfa17091cc29835c8e8ab88630feb00d601ebf
Author: David Schleef <ds@schleef.org>
Date:   2003-06-04 02:42:08 +0000

    Fixes to make python and docs build correctly

Makefile.am
configure.ac
doc/Makefile.am
python/Makefile.am
python/comedi.i
python/comedi_wrap.c
python/setup.py

commit 90b41e59604f93e39fb0472790dd05a654ec3365
Author: David Schleef <ds@schleef.org>
Date:   2003-06-03 23:57:32 +0000

    Rewrite of python wrappers based on swig

python/Makefile.am
python/Makefile.pre.in
python/README.txt
python/Setup.in
python/comedi.i
python/comedi.py
python/comedi_wrap.c
python/comedi_wrap.doc
python/compy.c
python/sample.py
python/sample1.py
python/setup.py
python/test_comedi.py

commit 598fa693a6beaaa3805d8b43076f277590d8530b
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-01 18:58:55 +0000

    removed obsolete advanced.sgml.  Got rid of references to hard-coded
    comedi_config paths

doc/Makefile.am
doc/advanced.sgml
doc/install.sgml

commit c06d17d1ddde68577e86448ab137b9249a56d2db
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-01 18:44:41 +0000

    removed assumption that comedi_config is in /usr/sbin

man/comedi_config.8

commit 840b17a894d936b51b3a102f8c18994411e298cc
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-06-01 18:38:22 +0000

    fix script for different common comedi_config paths

etc/pcmcia/comedi

commit 788056d3b06127b91f482ff483a4ef6ac2cd9b7f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-05-31 16:59:29 +0000

    move some warning messages so they will actually get seen

comedi_calibrate/cb.c

commit 9825b8a1af5156447b6e6d805f86eca58f2705f5
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-05-31 16:58:45 +0000

    be a little more careful about fixing up calibration file path, although
    it doesn't make any practical difference

lib/calib.c

commit ad40297bf280b0cf26698b57a5d7221cf7037ef1
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-05-28 21:22:59 +0000

    catch some errors

comedi_calibrate/cb.c

commit 9b78a41963608192d5d1b41c00e9d58d80cc0436
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-05-28 21:18:34 +0000

    fix default calibration file path for boards with '/' in name

lib/calib.c

commit aa47373687b3526cbf4ae593cf6a59e5bf14683d
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-05-28 18:55:36 +0000

    replace return with YYABORT

lib/calib_yacc.y

commit 4ebdc2dbbe1df5eaaa66b260e0485169d60667a7
Author: David Schleef <ds@schleef.org>
Date:   2003-05-27 19:05:56 +0000

    update.

comedi_calibrate/results/pci-6071e

commit aa28c07bde62337d58a42a8e17367cf43bb9498b
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-05-25 21:20:41 +0000

    added support for new cb_pcidas64 board types

comedi_calibrate/cb64.c
comedi_calibrate/comedi_calibrate.c

commit 80034d661d835943eb7d26a63c49fa9411e1bead
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-05-25 21:11:20 +0000

    made sv order adjustable

comedi_calibrate/cal_common.c
comedi_calibrate/calib.h
comedi_calibrate/comedi_calibrate.c
comedi_calibrate/ni.c

commit d3973e166631fa067b6650db2d3750446de5721f
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-05-25 16:20:42 +0000

    fix statistics of new_sv_measure, and reduce number of steps in
    check_gain_chan_x

comedi_calibrate/comedi_calibrate.c

commit fa4100f9a3ce2f8e7fb9a6c9d68a2b24f3455f34
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-05-24 21:15:06 +0000

    use CR_EDGE and CR_INVERT constants instead of magic numbers

demo/receiver.c

commit a18d21726f11c6c45a3d0a42d358fab8f85bdb07
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-05-22 21:40:50 +0000

    new results

comedi_calibrate/results/pci-6110

commit f233ede6ef17ebfee67282201384ce755535a3d0
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-05-22 20:49:53 +0000

    make verbosity options work again

comedi_calibrate/comedi_calibrate.c

commit 299d9df1deaf0ebcfa292b49766598bf7b61aad2
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-05-22 20:42:34 +0000

    trivial tweak

comedi_calibrate/ni.c

commit e036c5a8d41e71b5a9ad7ec1860559481c4cf335
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-05-22 20:30:41 +0000

    increased sv->order for 611x

comedi_calibrate/comedi_calibrate.c

commit f2bdfdfd13abe155316fd036c4a38ee6a687c11e
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-05-22 16:13:12 +0000

    still trying to get 611x ai to calibrate well, trying to increase
    settling time now.

comedi_calibrate/ni.c

commit 78c5a7e9bd77d2bca2f0294044ffaa3d49a507a4
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-05-22 16:12:07 +0000

    cleanup some redundant initialization of sv stuff

comedi_calibrate/comedi_calibrate.c

commit 93cb91df254148cd1881defa0ab6c34e4b71ce54
Author: Frank Mori Hess <fmhess@speakeasy.net>
Date:   2003-05-21 18:44:28 +0000

    fix analog out ch 1 calibration, and calulation of variable ai
    reference source for 611x

comedi_calibrate/ni.c

commit d2a9fc95d61372de52e243bfcc13b96e400f871c
